capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\Afrobarometer_merge.log", replace

// name of do-file: Afrobarometer_merge
// project: legacy of authoritarian regimes
// data: Afrobarometer

// Merging all waves of the Afrobarometer

/**IMPORTANT
The response codes in the codebooks/question wording spreadsheet are incorrect for most Afrobarometer waves
Refer to this do-file for the correct codes
**/

set more off

version 13
clear all
macro drop _all

*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Afrobarometer"
cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Afrobarometer"


use afrobar_1.dta
gen afrobar_1=1
keep country dmpext dmpsat supdem trscts trsarm trspol trspre scund scint scdsc medrad medtv mednew ///
	parvot gender age educ race rejdic afrobar_1

append using afrobar_2.dta, keep(country q37 q40 q38 q43b q43j q43h q43i q43o q43a q43f q43g q28a ///
	q27 q25a q26a q26b q26c q96 q80 q85 q81 q84 q89 q96new q90 q90new) gen(afrobar_2) nolabel

append using afrobar_3.dta, keep(country q46 q47 q37 q55b q55i q55g q55h q55m q55a q55e q55f q18a ///
	q16 q17 q15a q15b q15c q30 q24 q101 q1 q91 q90 q94 q102) gen(afrobar_3) nolabel

append using afrobar_4.dta, keep(COUNTRY Q42A Q43 Q30 Q49B Q49H Q49G Q49A Q49E Q49F Q16 Q13 Q14 ///
	Q12A Q12B Q12C Q101 Q1 Q90 Q2 Q89 Q94 Q102) gen(afrobar_4) nolabel

append using afrobar_5.dta, keep(COUNTRY Q42 Q43 Q32 Q59B Q59J Q59I Q59H Q59A Q59F Q59G Q14 Q15 ///
	Q13A Q13B Q13C Q27 Q22 Q101 Q1 Q98A Q97 Q96 Q102) gen(afrobar_5) nolabel
	
append using merged_r6_data_2016_36countries2.dta, keep(country Q1 Q12A Q12B Q12C Q13 Q14 Q21 Q30 Q40 Q41 Q52B Q52F ///
	Q52G Q52H Q52I Q52J Q52A Q95 Q97 Q98A Q101 Q18) gen(afrobar_6) nolabel

// Country
gen country_afb = 72 if country==1&afrobar_1==1|country==1&afrobar_2==1| ///
	country==2&afrobar_3==1|COUNTRY==2&afrobar_4==1|COUNTRY==2&afrobar_5==1| ///
	country==3&afrobar_6==1 /*Botswana*/
replace country_afb  = 288 if country==2&afrobar_1==1|country==2&afrobar_2==1| ///
	country==4&afrobar_3==1|COUNTRY==5&afrobar_4==1|COUNTRY==5&afrobar_5==1| ///
	country==11&afrobar_6==1 /*Ghana*/
replace country_afb  = 426 if country==3&afrobar_1==1|country==3&afrobar_2==1| ///
	country==6&afrobar_3==1|COUNTRY==7&afrobar_4==1|COUNTRY==7&afrobar_5==1| ///
	country==14&afrobar_6==1 /*Lesotho*/
replace country_afb  = 454 if country==4&afrobar_1==1|country==4&afrobar_2==1| ///
	country==8&afrobar_3==1|COUNTRY==10&afrobar_4==1|COUNTRY==10&afrobar_5==1| ///
	country==17&afrobar_6==1 /*Malawi*/
replace country_afb  = 466 if country==5&afrobar_1==1|country==5&afrobar_2==1| ///
	country==9&afrobar_3==1|COUNTRY==11&afrobar_4==1|COUNTRY==11&afrobar_5==1| ///
	country==18&afrobar_6==1 /*Mali*/
replace country_afb  = 516 if country==6&afrobar_1==1|country==6&afrobar_2==1| ///
	country==11&afrobar_3==1|COUNTRY==13&afrobar_4==1|COUNTRY==13&afrobar_5==1| ///
	country==22&afrobar_6==1 /*Namibia*/
replace country_afb  = 566 if country==7&afrobar_1==1|country==7&afrobar_2==1| ///
	country==12&afrobar_3==1|COUNTRY==14&afrobar_4==1|COUNTRY==14&afrobar_5==1| ///
	country==24&afrobar_6==1 /*Nigeria*/
replace country_afb  = 710 if country==8&afrobar_1==1|country==8&afrobar_2==1| ///
	country==14&afrobar_3==1|COUNTRY==16&afrobar_4==1|COUNTRY==16&afrobar_5==1| ///
	country==28&afrobar_6==1 /*South Africa*/
replace country_afb  = 834 if country==9&afrobar_1==1|country==9&afrobar_2==1| ///
	country==15&afrobar_3==1|COUNTRY==17&afrobar_4==1|COUNTRY==17&afrobar_5==1| ///
	country==31&afrobar_6==1 /*Tanzania*/
replace country_afb = 800 if country==10&afrobar_1==1|country==10&afrobar_2==1| ///
	country==16&afrobar_3==1|COUNTRY==18&afrobar_4==1|COUNTRY==18&afrobar_5==1| ///
	country==34&afrobar_6==1 /*Uganda*/
replace country_afb  = 894 if country==11&afrobar_1==1|country==11&afrobar_2==1| ///
	country==17&afrobar_3==1|COUNTRY==19&afrobar_4==1 |COUNTRY==19&afrobar_5==1| ///
	country==35&afrobar_6==1 /*Zambia*/
replace country_afb  = 716 if country==12&afrobar_1==1|country==12&afrobar_2==1| ///
	country==18&afrobar_3==1|COUNTRY==20&afrobar_4==1|COUNTRY==20&afrobar_5==1| ///
	country==36&afrobar_6==1 /*Zimbabwe*/
replace country_afb  = 3 if country==13&afrobar_2==1|country==3&afrobar_3==1| ///
	COUNTRY==4&afrobar_4==1|COUNTRY==4&afrobar_5==1|country==7&afrobar_6==1 /*Cape Verde*/
replace country_afb  = 404 if country==14&afrobar_2==1|country==5&afrobar_3==1| ///
	COUNTRY==6&afrobar_4==1|COUNTRY==6&afrobar_5==1|country==13&afrobar_6==1 /*Kenya*/
replace country_afb  = 508 if country==15&afrobar_2==1|country==10&afrobar_3==1| ///
	COUNTRY==12&afrobar_4==1|COUNTRY==12&afrobar_5==1|country==21&afrobar_6==1 /*Mozambique*/
replace country_afb  = 686 if country==16&afrobar_2==1|country==13&afrobar_3==1| ///
	country== 13&afrobar_3==1|COUNTRY==15&afrobar_4==1|COUNTRY==15&afrobar_5==1| ///
	country==26&afrobar_6==1 /*Senegal*/
replace country_afb  = 4 if country==1&afrobar_3==1|COUNTRY==1&afrobar_4==1| ///
	COUNTRY==1&afrobar_5==1|country==2&afrobar_6==1 /*Benin*/
replace country_afb  = 450 if country==7&afrobar_3==1|COUNTRY==9&afrobar_4==1| ///
	COUNTRY==9&afrobar_5==1|country==16&afrobar_6==1 /*Madagascar*/
replace country_afb  = 854 if COUNTRY==3&afrobar_4==1|COUNTRY==3&afrobar_5==1| ///
	country==4&afrobar_6==1 /*Burkina Faso*/
replace country_afb  = 430 if COUNTRY==8&afrobar_4==1|COUNTRY==8&afrobar_5==1| ///
	country==16&afrobar_6==1 /*Liberia*/
replace country_afb  = 12 if COUNTRY==31&afrobar_5==1|country==1&afrobar_6==1 /*Algeria*/
replace country_afb  = 108 if COUNTRY==25&afrobar_5==1|country==5&afrobar_6==1 /*Burundi*/
replace country_afb  = 120 if COUNTRY==26&afrobar_5==1|country==6&afrobar_6==1 /*Cameroon*/
replace country_afb  = 384 if COUNTRY==27&afrobar_5==1|country==8&afrobar_6==1 /*Cote d'Ivoire*/
replace country_afb  = 818 if COUNTRY==32&afrobar_5==1|country==9&afrobar_6==1 /*Egypt*/
replace country_afb  = 324 if COUNTRY==28&afrobar_5==1|country==12&afrobar_6==1 /*Guinea*/
replace country_afb  = 480 if COUNTRY==21&afrobar_5==1|country==19&afrobar_6==1 /*Mauritius*/
replace country_afb  = 504 if COUNTRY==33&afrobar_5==1|country==20&afrobar_6==1 /*Morocco*/
replace country_afb  = 562 if COUNTRY==23&afrobar_5==1|country==23&afrobar_6==1 /*Niger*/
replace country_afb  = 694 if COUNTRY==22&afrobar_5==1|country==27&afrobar_6==1 /*Sierra Leone*/
replace country_afb  = 736 if COUNTRY==34&afrobar_5==1|country==29&afrobar_6==1 /*Sudan*/
replace country_afb  = 19 if COUNTRY==30&afrobar_5==1|country==30&afrobar_6==1 /*Swaziland*/
replace country_afb  = 768 if COUNTRY==24&afrobar_5==1|country==32&afrobar_6==1 /*Togo*/
replace country_afb  = 788 if COUNTRY==35&afrobar_5==1|country==33&afrobar_6==1 /*Tunisia*/
replace country_afb = 266 if country==10&afrobar_6==1 /*Gabon*/
replace country_afb = 678 if country==25&afrobar_6==1 /*Sao Tome and Principe*/

drop country
rename country_afb country

*do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
*do "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Do files/Label_Cntry.do"

label values country countrylab

// Wave
gen afrobar_wave=1999 if afrobar_1==1&country==72|afrobar_1==1&country==288| ///
	afrobar_1==1&country==454|afrobar_1==1&country==516|afrobar_1==1&country==894| ///
	afrobar_1==1&country==716
replace afrobar_wave=2000 if afrobar_1==1&country==426|afrobar_1==1&country==566| ///
	afrobar_1==1&country==710|afrobar_1==1&country==800
replace afrobar_wave=2001 if afrobar_1==1&country==466|afrobar_1==1&country==834
replace afrobar_wave=2002 if afrobar_2==1&country==132|afrobar_2==1&country==288| ///
	afrobar_2==1&country==466|afrobar_2==1&country==508|afrobar_2==1&country==686| ///
	afrobar_2==1&country==710|afrobar_2==1&country==800
replace afrobar_wave=2003 if afrobar_2==1&country==72|afrobar_2==1&country==404| ///
	afrobar_2==1&country==426|afrobar_2==1&country==454|afrobar_2==1&country==516| ///
	afrobar_2==1&country==566|afrobar_2==1&country==834|afrobar_2==1&country==894
replace afrobar_wave=2004 if afrobar_2==1&country==716
replace afrobar_wave=2005 if afrobar_3==1&country==204|afrobar_3==1&country==72| ///
	afrobar_3==1&country==132|afrobar_3==1&country==288|afrobar_3==1&country==404| ///
	afrobar_3==1&country==426|afrobar_3==1&country==450|afrobar_3==1&country==454| ///
	afrobar_3==1&country==466|afrobar_3==1&country==508|afrobar_3==1&country==566| ///
	afrobar_3==1&country==686|afrobar_3==1&country==834|afrobar_3==1&country==800| ///
	afrobar_3==1&country==894|afrobar_3==1&country==716
replace afrobar_wave=2006 if afrobar_3==1&country==516|afrobar_3==1&country==710
replace afrobar_wave=2008 if afrobar_4==1&country!=894&country!=716
replace afrobar_wave=2009 if afrobar_4==1&country==894|afrobar_4==1&country==716
replace afrobar_wave=2011 if afrobar_5==1&country==204|afrobar_5==1&country==132| ///
	afrobar_5==1&country==404|afrobar_5==1&country==710
replace afrobar_wave=2012 if afrobar_5==1&country==72|afrobar_5==1&country==854| ///
	afrobar_5==1&country==108|afrobar_5==1&country==288|afrobar_5==1&country==426| ///
	afrobar_5==1&country==430|afrobar_5==1&country==454|afrobar_5==1&country==480| ///
	afrobar_5==1&country==508|afrobar_5==1&country==516|afrobar_5==1&country==694| ///
	afrobar_5==1&country==834|afrobar_5==1&country==768|afrobar_5==1&country==800| ///
	afrobar_5==1&country==716
replace afrobar_wave=2013 if afrobar_5==1&country==12|afrobar_5==1&country==120| ///
	afrobar_5==1&country==384|afrobar_5==1&country==818|afrobar_5==1&country==231| ///
	afrobar_5==1&country==324|afrobar_5==1&country==450|afrobar_5==1&country==466| ///
	afrobar_5==1&country==504|afrobar_5==1&country==562|afrobar_5==1&country==566| ///
	afrobar_5==1&country==686|afrobar_5==1&country==736|afrobar_5==1&country==748| ///
	afrobar_5==1&country==788|afrobar_5==1&country==894
replace afrobar_wave=2014 if afrobar_6==1&country==204|afrobar_6==1&country==72| ///
	afrobar_6==1&country==108|afrobar_6==1&country==132|afrobar_6==1&country==384| ///
	afrobar_6==1&country==288|afrobar_6==1&country==404|afrobar_6==1&country==426| ///
	afrobar_6==1&country==454|afrobar_6==1&country==466|afrobar_6==1&country==480| ///
	afrobar_6==1&country==516|afrobar_6==1&country==686|afrobar_6==1&country==834| ///
	afrobar_6==1&country==768|afrobar_6==1&country==894|afrobar_6==1&country==716
replace afrobar_wave=2015 if afrobar_6==1&country==12|afrobar_6==1&country==854| ///
	afrobar_6==1&country==120|afrobar_6==1&country==818|afrobar_6==1&country==266| ///
	afrobar_6==1&country==324|afrobar_6==1&country==430|afrobar_6==1&country==450| ///
	afrobar_6==1&country==504|afrobar_6==1&country==508|afrobar_6==1&country==562| ///
	afrobar_6==1&country==566|afrobar_6==1&country==678|afrobar_6==1&country==694| ///
	afrobar_6==1&country==710|afrobar_6==1&country==736|afrobar_6==1&country==748| ///
	afrobar_6==1&country==788|afrobar_6==1&country==800

gen year=afrobar_wave
tab country afrobar_wave, missing

// DVs
// Full democracy
gen fulldem = 1 if dmpext==1&afrobar_1==1|q37==2&afrobar_2==1|q46==2&afrobar_3==1| ///	
	Q42A==2&afrobar_4==1|Q42==2&afrobar_5==1|Q40==4&afrobar_6==1
replace fulldem = 2 if dmpext==2&afrobar_1==1|q37==3&afrobar_2==1|q46==3&afrobar_3==1| ///
	Q42A==3&afrobar_4==1|Q42==3&afrobar_5==1|Q40==3&afrobar_6==1
replace fulldem = 3 if dmpext==3&afrobar_1==1|q37==4&afrobar_2==1|q46==4&afrobar_3==1| ///
	Q42A==4&afrobar_4==1|Q42==4&afrobar_5==1|Q40==2&afrobar_6==1
replace fulldem = 4 if dmpext==4&afrobar_1==1|q37==5&afrobar_2==1|q46==5&afrobar_3==1| ///
	Q42A==5&afrobar_4==1|Q42==5&afrobar_5==1|dmpext==5&afrobar_1==1|Q40==1&afrobar_6==1
replace fulldem = -6 if q46==6&afrobar_3==1|Q42A==6&afrobar_4==1|Q40==8&afrobar_6==1
replace fulldem = -4 if q37==7&afrobar_2==1|q46==7&afrobar_3==1|Q42A==7&afrobar_4==1| ///
	Q42==7&afrobar_5==1|Q40==9&afrobar_6==1
replace fulldem = -3 if dmpext==7&afrobar_1==1
replace fulldem = -2 if dmpext==8&afrobar_1==1|Q42==8&afrobar_5==1
replace fulldem = -1 if dmpext==9&afrobar_1==1|q37==1&afrobar_2==1|q46==1&afrobar_3==1| ///
	Q42A==1&afrobar_4==1|Q42==1&afrobar_5==1|Q40==-1&afrobar_6==1
lab var fulldem "How much of a democracy is [country]"

label define fulldem_lbl -6 "don't understand" -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "A full democracy" 2 "a democracy, but with minor problems" ///
	3 "a democracy, with major problems" 4 "not a democracy"
label values fulldem fulldem_lbl

// Democratic satisfaction

tab1 dmpsat // q40 q47 Q43
tab1 dmpsat, nolabel

gen demsat_afb = 0 if dmpsat==1&afrobar_1==1|q40==2&afrobar_2==1|q47==2&afrobar_3==1| ///
	Q43==2&afrobar_4==1|Q43==2&afrobar_5==1|Q41==0&afrobar_6==1
replace demsat_afb = 1 if dmpsat==6&afrobar_1==1|q40==6&afrobar_2==1|q47==6&afrobar_3==1| ///
	Q43==6&afrobar_4==1|Q43==6&afrobar_5==1|Q41==4&afrobar_6==1
replace demsat_afb = 2 if dmpsat==5&afrobar_1==1|q40==5&afrobar_2==1|q47==5&afrobar_3==1| ///
	Q43==5&afrobar_4==1|Q43==5&afrobar_5==1	|Q41==3&afrobar_6==1
replace demsat_afb = 3 if dmpsat==4&afrobar_1==1
replace demsat_afb = 4 if dmpsat==3&afrobar_1==1|q40==4&afrobar_2==1|q47==4&afrobar_3==1| ///
	Q43==4&afrobar_4==1|Q43==4&afrobar_5==1|Q41==2&afrobar_6==1
replace demsat_afb = 5 if dmpsat==2&afrobar_1==1|q40==3&afrobar_2==1|q47==3&afrobar_3==1| ///
	Q43==3&afrobar_4==1|Q43==3&afrobar_5==1|Q41==1&afrobar_6==1
replace demsat_afb = -4 if dmpsat==7&afrobar_1==1|q40==7&afrobar_2==1|q47==7&afrobar_3==1| ///
	Q43==7&afrobar_4==1|Q43==7&afrobar_5==1|Q41==9&afrobar_6==1
replace demsat_afb = -3 if dmpsat==8&afrobar_1==1
replace demsat_afb = -2 if dmpsat==9&afrobar_1==1|q40==8&afrobar_2==1|Q41==98&afrobar_6==1
replace demsat_afb = -1 if dmpsat==10&afrobar_1==1|q40==1&afrobar_2==1|q47==1&afrobar_3==1| ///
	Q43==1&afrobar_4==1|Q43==1&afrobar_5==1|Q41==-1&afrobar_6==1
	
lab var demsat_afb "Satisfaction with democracy"

label define sat_lab2 -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 0 "country is not a democracy" 1 "very satisfied" 2 "somewhat satisfied" ///
	3 "neutral" 4 "somewhat dissatisfied" 5 "very dissatisfied"
label values demsat_afb sat_lab2

tab country year if demsat_afb ==0

// Best government
gen bestgovt_afb = 1 if supdem==1&afrobar_1==1|q38==4&afrobar_2==1|q37==4&afrobar_3==1| ///
	Q30==4&afrobar_4==1|Q32==4&afrobar_5==1|Q30==3&afrobar_6==1
replace bestgovt_afb = 2 if supdem==3&afrobar_1==1|q38==3&afrobar_2==1|q37==3&afrobar_3==1| ///
	Q30==3&afrobar_4==1|Q32==3&afrobar_5==1|Q30==2&afrobar_6==1
replace bestgovt_afb = 3 if supdem==2&afrobar_1==1|q38==2&afrobar_2==1|q37==2&afrobar_3==1| ///
	Q30==2&afrobar_4==1|Q32==2&afrobar_5==1|Q30==1&afrobar_6==1
replace bestgovt_afb = -4 if supdem==4&afrobar_1==1|q38==5&afrobar_2==1|q37==5&afrobar_3==1| ///
	Q30==5&afrobar_4==1|Q32==5&afrobar_5==1|Q30==9&afrobar_6==1
replace bestgovt_afb = -3 if supdem==5&afrobar_1==1
replace bestgovt_afb = -2 if supdem==6&afrobar_1==1
replace bestgovt_afb = -1 if supdem==7&afrobar_1==1|q38==1&afrobar_2==1|q37==1&afrobar_3==1| ///
	Q30==1&afrobar_4==1|Q32==1&afrobar_5==1|Q30==-1&afrobar_6==1
lab var bestgovt_afb "Which is best form of government?"

label define dem_lab -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "democracy is preferable" 2 "sometimes authoritarian better than democracy" ///
	3 "doesn't matter if democratic or authoritarian"
label values bestgovt_afb dem_lab



// Confidence in Parliament
gen conf_parl_afb = 1 if q43b==5&afrobar_2==1|q55b==5&afrobar_3==1|Q49B==5&afrobar_4==1| ///
	Q59B==5&afrobar_5==1|Q52B==3&afrobar_6==1
replace conf_parl_afb = 2 if q43b==4&afrobar_2==1|q55b==4&afrobar_3==1|Q49B==4&afrobar_4==1| ///
	Q59B==4&afrobar_5==1|Q52B==2&afrobar_6==1
replace conf_parl_afb = 3 if q43b==3&afrobar_2==1|q55b==3&afrobar_3==1|Q49B==3&afrobar_4==1| ///
	Q59B==3&afrobar_5==1|Q52B==1&afrobar_6==1
replace conf_parl_afb = 4 if q43b==2&afrobar_2==1|q55b==2&afrobar_3==1|Q49B==2&afrobar_4==1| ///
	Q59B==2&afrobar_5==1|Q52B==0&afrobar_6==1
replace conf_parl_afb = -4 if q43b==6&afrobar_2==1|q55b==6&afrobar_3==1|Q49B==6&afrobar_4==1| ///
	Q59B==6&afrobar_5==1|Q52B==9&afrobar_6==1
replace conf_parl_afb = -1 if q43b==1&afrobar_2==1|q55b==1&afrobar_3==1|Q49B==1&afrobar_4==1| ///
	Q59B==1&afrobar_5==1|Q52B==99&afrobar_6==1|Q52B==-1&afrobar_6==1

label define conf_lab -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "lot" 2 "some" 3 "a little" 4 "no trust"
label values conf_parl_afb conf_lab

// Confidence in judiciary
gen conf_judic_afb = 1 if trscts==4&afrobar_1==1|q43j==5&afrobar_2==1|q55i==5&afrobar_3==1| ///
	Q49H==5&afrobar_4==1|Q59J==5&afrobar_5==1|Q52J==3&afrobar_6==1
replace conf_judic_afb = 2 if trscts==3&afrobar_1==1|q43j==4&afrobar_2==1|q55i==4&afrobar_3==1| ///
	Q49H==4&afrobar_4==1|Q59J==4&afrobar_5==1|Q52J==2&afrobar_6==1
replace conf_judic_afb = 3 if trscts==2&afrobar_1==1|q43j==3&afrobar_2==1|q55i==3&afrobar_3==1| ///
	Q49H==3&afrobar_4==1|Q59J==3&afrobar_5==1|Q52J==1&afrobar_6==1
replace conf_judic_afb = 4 if trscts==1&afrobar_1==1|q43j==2&afrobar_2==1|q55i==2&afrobar_3==1| ///
	Q49H==2&afrobar_4==1|Q59J==2&afrobar_5==1|Q52J==0&afrobar_6==1
replace conf_judic_afb = -4 if trscts==4&afrobar_1==1|q43j==6&afrobar_2==1|q55i==6&afrobar_3==1| ///
	Q49H==6&afrobar_4==1|Q59J==6&afrobar_5==1|Q52J==9&afrobar_6==1
replace conf_judic_afb = -2 if trscts==6&afrobar_1==1|Q52J==98&afrobar_6==1
replace conf_judic_afb = -1 if trscts==7&afrobar_1==1|q43j==1&afrobar_2==1|q55i==1&afrobar_3==1| ///
	Q49H==1&afrobar_4==1|Q59J==1&afrobar_5==1|Q52J==-1&afrobar_6==1

label values conf_judic_afb conf_lab

// Confidence in military
gen conf_milit_afb = 1 if trsarm==4&afrobar_1==1|q43h==5&afrobar_2==1|q55g==5&afrobar_3==1| ///
	Q59I==5&afrobar_5==1|Q59I==3&afrobar_6==1
replace conf_milit_afb = 2 if trsarm==3&afrobar_1==1|q43h==4&afrobar_2==1|q55g==4&afrobar_3==1| ///
	Q59I==4&afrobar_5==1|Q59I==2&afrobar_6==1
replace conf_milit_afb = 3 if trsarm==2&afrobar_1==1|q43h==3&afrobar_2==1|q55g==3&afrobar_3==1| ///
	Q59I==3&afrobar_5==1|Q59I==1&afrobar_6==1
replace conf_milit_afb = 4 if trsarm==1&afrobar_1==1|q43h==2&afrobar_2==1|q55g==2&afrobar_3==1| ///
	Q59I==2&afrobar_5==1|Q59I==0&afrobar_6==1
replace conf_judic_afb = -4 if trsarm==4&afrobar_1==1|q43h==6&afrobar_2==1|q55g==6&afrobar_3==1| ///
	Q59I==6&afrobar_5==1|Q59I==9&afrobar_6==1
replace conf_milit_afb = -2 if trsarm==6&afrobar_1==1
replace conf_milit_afb = -1 if trsarm==7&afrobar_1==1|q43h==1&afrobar_2==1|q55g==1&afrobar_3==1| ///
	Q59I==6&afrobar_5==1|Q59I==-1&afrobar_1==1

label values conf_milit_afb conf_lab

// Confidence in police
gen conf_police_afb = 1 if trspol==4&afrobar_1==1|q43i==5&afrobar_2==1|q55h==5&afrobar_3==1| ///
	Q49G==5&afrobar_4==1|Q59H==5&afrobar_5==1|Q52H==3&afrobar_6==1
replace conf_police_afb = 2 if trspol==3&afrobar_1==1|q43i==4&afrobar_2==1|q55h==4&afrobar_3==1| ///
	Q49G==4&afrobar_4==1|Q59H==4&afrobar_5==1|Q52H==2&afrobar_6==1
replace conf_police_afb = 3 if trspol==2&afrobar_1==1|q43i==3&afrobar_2==1|q55h==3&afrobar_3==1| ///
	Q49G==3&afrobar_4==1|Q59H==3&afrobar_5==1|Q52H==1&afrobar_6==1
replace conf_police_afb = 4 if trspol==1&afrobar_1==1|q43i==2&afrobar_2==1|q55h==2&afrobar_3==1| ///
	Q49G==2&afrobar_4==1|Q59H==2&afrobar_5==1|Q52H==0&afrobar_6==1
replace conf_police_afb = -4 if trspol==4&afrobar_1==1|q43i==6&afrobar_2==1|q55h==6&afrobar_3==1| ///
	Q49G==6&afrobar_4==1|Q59H==6&afrobar_5==1|Q52H==9&afrobar_6==1
replace conf_police_afb = -2 if trspol==6&afrobar_1==1
replace conf_police_afb = -1 if trspol==7&afrobar_1==1|q43i==1&afrobar_2==1|q55h==1&afrobar_3==1| ///
	Q49G==1&afrobar_4==1|Q59H==1&afrobar_5==1|Q52H==-1&afrobar_6==1

label values conf_police_afb conf_lab

// Confidence in press
gen conf_press_afb = 1 if q43o==5&afrobar_2==1|q55m==5&afrobar_3==1
replace conf_press_afb = 2 if q43o==4&afrobar_2==1|q55m==4&afrobar_3==1
replace conf_press_afb = 3 if q43o==3&afrobar_2==1|q55m==3&afrobar_3==1
replace conf_press_afb = 4 if q43o==2&afrobar_2==1|q55m==2&afrobar_3==1
replace conf_press_afb = -4 if q43o==6&afrobar_2==1|q55m==6&afrobar_3==1
replace conf_press_afb = -1 if q43o==1&afrobar_2==1|q55m==1&afrobar_3==1

label values conf_press_afb conf_lab

// Confidence in President
gen conf_president_afb = 1 if trspre==4&afrobar_1==1|q43a==5&afrobar_2==1|q55a==5&afrobar_3==1| ///
	Q49A==5&afrobar_4==1|Q59A==5&afrobar_5==1|Q52A==3&afrobar_6==1
replace conf_president_afb = 2 if trspre==3&afrobar_1==1|q43a==4&afrobar_2==1|q55a==4&afrobar_3==1| ///
	Q49A==4&afrobar_4==1|Q59A==4&afrobar_5==1|Q52A==2&afrobar_6==1
replace conf_president_afb = 3 if trspre==2&afrobar_1==1|q43a==3&afrobar_2==1|q55a==3&afrobar_3==1| ///
	Q49A==3&afrobar_4==1|Q59A==3&afrobar_5==1|Q52A==1&afrobar_6==1
replace conf_president_afb = 4 if trspre==1&afrobar_1==1|q43a==2&afrobar_2==1|q55a==2&afrobar_3==1| ///
	Q49A==2&afrobar_4==1|Q59A==2&afrobar_5==1|Q52A==0&afrobar_6==1
replace conf_president_afb = -4 if trspre==4&afrobar_1==1|q43a==6&afrobar_2==1|q55a==6&afrobar_3==1| ///
	Q49A==6&afrobar_4==1|Q59A==6&afrobar_5==1|Q52A==9&afrobar_6==1
replace conf_president_afb = -2 if trspre==6&afrobar_1==1
replace conf_president_afb = -1 if trspre==7&afrobar_1==1|q43a==1&afrobar_2==1|q55a==1&afrobar_3==1| ///
	Q49A==1&afrobar_4==1|Q59A==1&afrobar_5==1|Q52A==-1&afrobar_6==1

label values conf_president_afb conf_lab

// Confidence in ruling party
gen conf_rule_afb = 1 if q43f==5&afrobar_2==1|q55e==5&afrobar_3==1|Q49E==5&afrobar_4==1| ///
	Q59F==5&afrobar_5==1|Q52F==3&afrobar_6==1
replace conf_rule_afb = 2 if q43f==4&afrobar_2==1|q55e==4&afrobar_3==1|Q49E==4&afrobar_4==1| ///
	Q59F==4&afrobar_5==1|Q52F==2&afrobar_6==1
replace conf_rule_afb = 3 if q43f==3&afrobar_2==1|q55e==3&afrobar_3==1|Q49E==3&afrobar_4==1| ///
	Q59F==4&afrobar_5==1|Q52F==1&afrobar_6==1
replace conf_rule_afb = 4 if q43f==2&afrobar_2==1|q55e==2&afrobar_3==1|Q49E==2&afrobar_4==1| ///
	Q59F==4&afrobar_5==1|Q52F==0&afrobar_6==1
replace conf_rule_afb = -4 if q43f==6&afrobar_2==1|q55e==6&afrobar_3==1|Q49E==6&afrobar_4==1| ///
	Q59F==6&afrobar_5==1|Q52F==9&afrobar_6==1
replace conf_rule_afb = -1 if q43f==1&afrobar_2==1|q55e==1&afrobar_3==1|Q49E==1&afrobar_4==1| ///
	Q59F==1&afrobar_5==1|Q52F==99&afrobar_6==1|Q52F==-1&afrobar_6==1
	
label values conf_rule_afb conf_lab

// Confidence in opposition
gen conf_opp_afb = 1 if q43g==5&afrobar_2==1|q55f==5&afrobar_3==1|Q49F==5&afrobar_4==1| ///
	Q59G==5&afrobar_5==1|Q52G==3&afrobar_6==1
replace conf_opp_afb = 2 if q43g==4&afrobar_2==1|q55f==4&afrobar_3==1|Q49F==4&afrobar_4==1| ///
	Q59G==4&afrobar_5==1|Q52G==2&afrobar_6==1
replace conf_opp_afb = 3 if q43g==3&afrobar_2==1|q55f==3&afrobar_3==1|Q49F==3&afrobar_4==1| ///
	Q59G==3&afrobar_5==1|Q52G==1&afrobar_6==1
replace conf_opp_afb = 4 if q43g==2&afrobar_2==1|q55f==2&afrobar_3==1|Q49F==2&afrobar_4==1| ///
	Q59G==2&afrobar_5==1|Q52G==0&afrobar_6==1
replace conf_opp_afb = -4 if q43g==6&afrobar_2==1|q55f==6&afrobar_3==1|Q49F==6&afrobar_4==1| ///
	Q59G==6&afrobar_5==1|Q52G==9&afrobar_6==1
replace conf_opp_afb = -1 if q43g==1&afrobar_2==1|q55f==1&afrobar_3==1|Q49F==1&afrobar_4==1| ///
	Q59G==1&afrobar_5==1|Q52G==99&afrobar_6==1|Q52G==-1&afrobar_6==1

label values conf_opp_afb conf_lab	
	
// Politics complicated
gen polcomp_afb = 1 if scund==1&afrobar_1==1|q28a==2&afrobar_2==1|q18a==2&afrobar_3==1| ///
	Q16==2&afrobar_4==1
replace polcomp_afb = 2 if scund==2&afrobar_1==1|q28a==3&afrobar_2==1|q18a==3&afrobar_3==1| ///
	Q16==3&afrobar_4==1
replace polcomp_afb = 3 if scund==5&afrobar_1==1|q28a==4&afrobar_2==1|q18a==4&afrobar_3==1| ///
	Q16==4&afrobar_4==1
replace polcomp_afb = 4 if scund==3&afrobar_1==1|q28a==5&afrobar_2==1|q18a==5&afrobar_3==1| ///
	Q16==5&afrobar_4==1
replace polcomp_afb = 5 if scund==4&afrobar_1==1|q28a==6&afrobar_2==1|q18a==6&afrobar_3==1| ///
	Q16==6&afrobar_4==1
replace polcomp_afb = -4 if scund==6&afrobar_1==1|q28a==7&afrobar_2==1|q18a==7&afrobar_3==1| ///
	Q16==7&afrobar_4==1
replace polcomp_afb = -2 if scund==7&afrobar_1==1
replace polcomp_afb = -1 if scund==8&afrobar_1==1|q28a==1&afrobar_2==1|q18a==1&afrobar_3==1| ///
	Q16==1&afrobar_4==1

label define polcomp_lab -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "strongly agree" 2 "agree" 3 "neither agree nor disagree" ///
	4 "disagree" 5 "strongly disagree"
label values polcomp_afb polcomp_lab

// Political interest
gen polinterest_afb = 1 if scint==1&afrobar_1==1|q16==5&afrobar_3==1|Q13==5&afrobar_4==1| ///
	Q14==5&afrobar_5==1|Q13==3&afrobar_6==1
replace polinterest_afb = 2 if scint==2&afrobar_1==1|q16==4&afrobar_3==1|Q13==4&afrobar_4==1| ///
	Q14==4&afrobar_5==1|Q13==2&afrobar_6==1
replace polinterest_afb = 3 if scint==3&afrobar_1==1|q16==3&afrobar_3==1|Q13==3&afrobar_4==1| ///
	Q14==3&afrobar_5==1|Q13==1&afrobar_6==1
replace polinterest_afb = 4 if scint==4&afrobar_1==1|q16==2&afrobar_3==1|Q13==2&afrobar_4==1| ///
	Q14==2&afrobar_5==1|Q13==0&afrobar_6==1
replace polinterest_afb = -4 if scint==5&afrobar_1==1|q16==6&afrobar_3==1|Q13==6&afrobar_4==1| ///
	Q14==6&afrobar_5==1|Q13==9&afrobar_6==1
replace polinterest_afb = -2 if scint==6&afrobar_1==1|Q14==7&afrobar_5==1
replace polinterest_afb = -1 if scint==7&afrobar_1==1|q16==1&afrobar_3==1|Q13==1&afrobar_4==1| ///
	Q14==1&afrobar_5==1|Q13==-1&afrobar_6==1

label define intlab -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "very interested" 2 "fairly interested" 3 "not very interested" 4 "not at all interested"
lab values polinterest_afb intlab

// in wave 2 (2004) - political interest has 3 categories 

tab q27

gen polinterest2_afb = 1 if q27==4&afrobar_2==1
replace polinterest2_afb = 2 if q27==3&afrobar_2==1
replace polinterest2_afb = 3 if q27==2&afrobar_2==1
replace polinterest2_afb = -4 if q27==5&afrobar_2==1
replace polinterest2_afb = -3 if polinterest_afb==-3
replace polinterest2_afb = -2 if polinterest_afb==-2
replace polinterest2_afb = -1 if q27==1&afrobar_2==1

label define intlab2 -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "very interested" 2 "fairly interested" 3 "not interested"
label values polinterest2_afb intlab2
tab polinterest2_afb

tab year polinterest2_afb

// Talk about politics
gen discpol2_afb = 1 if scdsc==3&afrobar_1==1|q25a==6&afrobar_2==1|q17==4&afrobar_3==1| ///
	Q14==4&afrobar_4==1|Q15==4&afrobar_5==1|Q14==2&afrobar_6==1
replace discpol2_afb = 2 if scdsc==2&afrobar_1==1|q25a==5&afrobar_2==1|q25a==4&afrobar_2==1| ///
	q17==3&afrobar_3==1|Q14==3&afrobar_4==1|Q15==3&afrobar_5==1|Q14==1&afrobar_6==1
replace discpol2_afb = 3 if scdsc==1&afrobar_1==1|q25a==3&afrobar_2==1|q25a==2&afrobar_2==1| ///
	q17==2&afrobar_3==1|Q14==2&afrobar_4==1|Q15==2&afrobar_5==1|Q14==0&afrobar_6==1
replace discpol2_afb = -4 if scdsc==4&afrobar_1==1|q25a==7&afrobar_2==1|q17==5&afrobar_3==1| ///
	Q15==5&afrobar_4==1|Q15==5&afrobar_5==1
replace discpol2_afb = -2 if scdsc==5&afrobar_1==1|Q14==98&afrobar_6==1
replace discpol2_afb = -1 if scdsc==6&afrobar_1==1|q25a==1&afrobar_2==1|q17==1&afrobar_3==1| ///
	Q15==1&afrobar_4==1|Q15==1&afrobar_1==1|Q14==-1&afrobar_6==1

label define howoftenlab -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "often" 2 "sometimes" 3 "never"
label values discpol2_afb howoftenlab

// News on radio
gen newsradio_afb = 1 if medrad==6&afrobar_1==1|q26a==6&afrobar_2==1|q15a==6&afrobar_3==1| ///
	Q12A==6&afrobar_4==1|Q13A==6&afrobar_5==1|Q12A==4&afrobar_6==1
replace newsradio_afb = 2 if medrad==5&afrobar_1==1|q26a==5&afrobar_2==1|q15a==5&afrobar_3==1| ///
	Q12A==5&afrobar_4==1|Q13A==5&afrobar_5==1|Q12A==3&afrobar_6==1
replace newsradio_afb = 3 if medrad==4&afrobar_1==1|q26a==4&afrobar_2==1|q15a==4&afrobar_3==1| ///
	Q12A==4&afrobar_4==1|Q13A==4&afrobar_5==1|Q12A==2&afrobar_6==1
replace newsradio_afb = 4 if medrad==3&afrobar_1==1|medrad==2&afrobar_1==1|q26a==3&afrobar_2==1| ///
	q15a==3&afrobar_3==1|Q12A==4&afrobar_4==1|Q13A==3&afrobar_5==1|Q12A==1&afrobar_6==1
replace newsradio_afb = 5 if medrad==1&afrobar_1==1|q26a==2&afrobar_2==1|q15a==2&afrobar_3==1| ///
	Q12A==2&afrobar_4==1|Q13A==2&afrobar_5==1|Q12A==0&afrobar_6==1
replace newsradio_afb = -4 if medrad==7&afrobar_1==1|q26a==7&afrobar_2==1|q15a==7&afrobar_3==1| ///
	Q12A==7&afrobar_4==1|Q13A==7&afrobar_5==1|Q12A==9&afrobar_6==1
replace newsradio_afb = -2 if Q13A==8&afrobar_5==1
replace newsradio_afb = -1 if medrad==9&afrobar_1==1|q26a==1&afrobar_2==1|q15a==1&afrobar_3==1| ///
	Q12A==1&afrobar_4==1|Q13A==1&afrobar_5==1|Q12A==-1&afrobar_6==1

label define howoftenlab2 -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 1 "every day" 2 "few times a week" 3 "few times a month" ///
	4 "once a month or less" 5 "never"
label values newsradio_afb howoftenlab2

// News on television
gen newstv_afb = 1 if medtv==6&afrobar_1==1|q26b==6&afrobar_2==1|q15b==6&afrobar_3==1| ///
	Q12B==6&afrobar_4==1|Q13B==6&afrobar_5==1|Q12B==4&afrobar_6==1
replace newstv_afb = 2 if medtv==5&afrobar_1==1|q26b==5&afrobar_2==1|q15b==5&afrobar_3==1| ///
	Q12B==5&afrobar_4==1|Q13B==5&afrobar_5==1|Q12B==3&afrobar_6==1
replace newstv_afb = 3 if medtv==4&afrobar_1==1|q26b==4&afrobar_2==1|q15b==4&afrobar_3==1| ///
	Q12B==4&afrobar_4==1|Q13B==4&afrobar_5==1|Q12B==2&afrobar_6==1
replace newstv_afb = 4 if medtv==3&afrobar_1==1|medtv==2&afrobar_1==1|q26b==3&afrobar_2==1| ///
	q15b==3&afrobar_3==1|Q12B==4&afrobar_4==1|Q13B==3&afrobar_5==1|Q12B==1&afrobar_6==1
replace newstv_afb = 5 if medtv==1&afrobar_1==1|q26b==2&afrobar_2==1|q15b==2&afrobar_3==1| ///
	Q12B==2&afrobar_4==1|Q13B==2&afrobar_5==1|Q12B==0&afrobar_6==1
replace newstv_afb = -4 if medtv==7&afrobar_1==1|q26b==7&afrobar_2==1|q15b==7&afrobar_3==1| ///
	Q12B==7&afrobar_4==1|Q13B==7&afrobar_5==1|Q12B==9&afrobar_6==1
replace newstv_afb = -2 if Q13B==8&afrobar_5==1
replace newstv_afb = -1 if medtv==9&afrobar_1==1|q26b==1&afrobar_2==1|q15b==1&afrobar_3==1| ///
	Q12B==1&afrobar_4==1|Q13B==1&afrobar_5==1|Q12B==-1&afrobar_6==1

label values newstv_afb howoftenlab2

// Newspaper readership
gen readnews_afb = 1 if mednew==6&afrobar_1==1|q26c==6&afrobar_2==1|q15c==6&afrobar_3==1| ///
	Q12C==6&afrobar_4==1|Q13C==6&afrobar_5==1|Q12C==4&afrobar_6==1
replace readnews_afb = 2 if mednew==5&afrobar_1==1|q26c==5&afrobar_2==1|q15c==5&afrobar_3==1| ///
	Q12C==5&afrobar_4==1|Q13C==5&afrobar_5==1|Q12C==3&afrobar_6==1
replace readnews_afb = 3 if mednew==4&afrobar_1==1|q26c==4&afrobar_2==1|q15c==4&afrobar_3==1| ///
	Q12C==4&afrobar_4==1|Q13C==4&afrobar_5==1|Q12C==2&afrobar_6==1
replace readnews_afb = 4 if mednew==3&afrobar_1==1|mednew==2&afrobar_1==1|q26c==3&afrobar_2==1| ///
	q15c==3&afrobar_3==1|Q12C==4&afrobar_4==1|Q13C==3&afrobar_5==1|Q12C==1&afrobar_6==1
replace readnews_afb = 5 if mednew==1&afrobar_1==1|q26c==2&afrobar_2==1|q15c==2&afrobar_3==1| ///
	Q12C==2&afrobar_4==1|Q13C==2&afrobar_5==1|Q12C==0&afrobar_6==1
replace readnews_afb = -4 if mednew==7&afrobar_1==1|q26c==7&afrobar_2==1|q15c==7&afrobar_3==1| ///
	Q12C==7&afrobar_4==1|Q13C==7&afrobar_5==1|Q12C==9&afrobar_6==1
replace readnews_afb = -2 if Q13C==8&afrobar_5==1
replace readnews_afb = -1 if mednew==9&afrobar_1==1|q26c==1&afrobar_2==1|q15c==1&afrobar_3==1| ///
	Q12C==1&afrobar_4==1|Q13C==1&afrobar_5==1|Q12C==-1&afrobar_6==1

label values readnews_afb howoftenlab2

// Turnout
// collapse all no voters into one group because they are not consistent across waves
gen turnout_afb = 1 if parvot==4&afrobar_1==1|q30==2&afrobar_3==1|Q27==3&afrobar_5==1| ///
	Q21==1&afrobar_6==1
replace turnout_afb = 0 if parvot==1&afrobar_1==1|parvot==2&afrobar_1==1|parvot==3&afrobar_1==1| ///
	parvot==5&afrobar_1==1|parvot==6&afrobar_1==1|q30==3&afrobar_3==1|q30==4&afrobar_3==1| ///
	q30==5&afrobar_3==1|q30==6&afrobar_3==1|q30==7&afrobar_3==1|q30==8&afrobar_3==1| ///
	Q27==2&afrobar_5==1|Q27>=4&afrobar_5==1|Q21==0&afrobar_6==1|Q21>=2&Q21<=8&afrobar_6==1
replace turnout_afb = -5 if parvot==6&afrobar_1==1|q30==9&afrobar_3==1|Q27==11&afrobar_5==1| ///
	Q21==9&afrobar_6==1
replace turnout_afb = -2 if parvot==7&afrobar_1==1
replace turnout_afb = -1 if parvot==8&afrobar_1==1|q30==1&afrobar_3==1|Q27==1&afrobar_5==1| ///
	Q21==99&afrobar_6==1|Q21==-1&afrobar_6==1

label define votelab -5 "can't remember" -4 "don't know" -3 "not applicable" -2 "refused to answer" ///
	-1 "missing" 0 "did not vote" 1 "voted"
label values turnout_afb votelab

// Men better political leaders than women
gen women_leaders_afb = 1 if q24==5&afrobar_3==1|Q22==2&afrobar_5==1|Q18==1&afrobar_6==1
replace women_leaders_afb = 2 if q24==4&afrobar_3==1|Q22==3&afrobar_5==1|Q18==2&afrobar_6==1
replace women_leaders_afb = 3 if q24==6&afrobar_3==1|Q22==6&afrobar_5==1|Q18==5&afrobar_6==1
replace women_leaders_afb = 4 if q24==3&afrobar_3==1|Q22==4&afrobar_5==1|Q18==3&afrobar_6==1
replace women_leaders_afb = 5 if q24==2&afrobar_3==1|Q22==5&afrobar_5==1|Q18==4&afrobar_6==1
replace women_leaders_afb = -1 if q24==1&afrobar_3==1|Q22==1&afrobar_5==1|Q18==-1&afrobar_6==1
replace women_leaders_afb = -4 if q24==7&afrobar_3==1|Q22==7&afrobar_5==1|Q18==9&afrobar_6==1

label define womenlab 1 "strongly agree men make better political leaders" ///
	2 "agree men make better political leaders" 3 "neither" ///
	4 "agree women should have same chance of being elected" ///
	5 "strongly agree women shouls have same chance of being elected" ///
	-1 "missing" -4 "don't know"
label values women_leaders_afb womenlab


// IVs
// sex
gen female_afb = 1 if gender==2&afrobar_1==1|q96==2&afrobar_2==1|q101==3&afrobar_3==1| ///
	Q101==3&afrobar_4==1|Q101==3&afrobar_5==1|Q101==2&afrobar_6==1
replace female_afb = 0 if gender==1&afrobar_1==1|q96==1&afrobar_2==1|q101==2&afrobar_3==1| ///
	Q101==2&afrobar_4==1|Q101==2&afrobar_5==1|Q101==1&afrobar_6==1
replace female_afb = -1 if gender==99
label define femlab 0 "male" 1 "female" -1 "missing"
label values female_afb femlab

// age
generate agevar_afb = age if afrobar_1==1&age>0&age<=100
replace agevar_afb = q80 if afrobar_2==1&q80>-1&q80<=105
replace agevar_afb = q1 if afrobar_3==1&q1>-1&q1<=102
replace agevar_afb = Q1 if afrobar_4==1&Q1>-1&Q1<=110
replace agevar_afb = Q1 if afrobar_5==1&Q1>=1&Q1<=105
replace agevar_afb = Q1 if afrobar_6==1&Q1>=1&Q1<=105
replace agevar_afb = -4 if age==0&afrobar_1==1|q80==999&afrobar_2==1|q1==999&afrobar_3==1| ///
	Q1==999&afrobar_4==1|Q1==999&afrobar_5==1|Q1==999&afrobar_6==1
replace agevar_afb = -2 if age==101&afrobar_1==1|q80==998&afrobar_2==1|q1==998&afrobar_3==1| ///
	Q1==998&afrobar_4==1|Q1==998&afrobar_5==1|Q1==998&afrobar_6==1
replace agevar_afb = -1 if age==999&afrobar_1==1|q80==-1&afrobar_2==1|q1==-1&afrobar_3==1| ///
	q1>=115&q1<=130&afrobar_3==1|Q1==-1&afrobar_4==1|Q1==-1&afrobar_5==1|Q1==-1&afrobar_6==1

drop age
rename agevar_afb age
replace age=. if age<0
label define misslab -1 "missing" -2 "refused" -4 "don't know"
label values age misslab

// categorical age
gen age_cat10 = 1 if age>=15&age<=24
replace age_cat10 = 2 if age>=25&age<=34
replace age_cat10 = 3 if age>=35&age<=44
replace age_cat10 = 4 if age>=45&age<=54
replace age_cat10 = 5 if age>=55&age<=64
replace age_cat10 = 6 if age>=65
label define agelab 1 "15-24" 2 "25-34" 3 "35-44" 4 "45-54" 5 "55-64" 6 "65+"
label values age_cat10 agelab

// birth year
gen birth=afrobar_wave-age

// religion
gen religion_afb = -1 if q85==1&afrobar_2==1|q91==1&afrobar_3==1|Q90==1&afrobar_4==1| ///
	Q98A==1&afrobar_5==1|Q98A==99&afrobar_6==1
replace religion_afb = 10 if q85==2&afrobar_2==1|q85==10&afrobar_2==1|q85==11&afrobar_2==1| ///
	q91==2&afrobar_3==1|q91==9&afrobar_3==1|q91==10&afrobar_3==1|Q90==2&afrobar_4==1| ///
	Q90==30&afrobar_4==1|Q90==31&afrobar_4==1|Q98A==2&afrobar_5==1|Q98A==30&afrobar_5==1| ///
	Q98A==31&afrobar_5==1|Q98A==0&afrobar_6==1|Q98A==28&afrobar_6==1|Q98A==29&afrobar_6==1
replace religion_afb = 1 if q85==4&afrobar_2==1|q91==3&afrobar_3==1|Q90==4&afrobar_4==1| ///
	Q98A==4&afrobar_5==1|Q98A==2&afrobar_6==1
replace religion_afb = 3 if q85==3&afrobar_2==1|q85==25&afrobar_2==1|q85==26&afrobar_2==1| ///
	q85==27&afrobar_2==1|q85==28&afrobar_2==1|q85==29&afrobar_2==1|q85==30&afrobar_2==1| ///
	q91==12&afrobar_3==1|q91==13&afrobar_3==1|q91==16&afrobar_3==1|q91==32&afrobar_2==1| ///
	q91==33&afrobar_3==1|q91==34&afrobar_3==1|q91==35&afrobar_3==1|Q90==20&afrobar_4==1| ///
	Q90==21&afrobar_4==1|Q90==22&afrobar_4==1|Q90==23&afrobar_4==1|Q90==24&afrobar_4==1| ///
	Q90==25&afrobar_4==1|Q90==26&afrobar_4==1|Q90==46&afrobar_4==1|Q98A==20&afrobar_5==1| ///
	Q98A==21&afrobar_5==1|Q98A==22&afrobar_5==1|Q98A==23&afrobar_5==1|Q98A==24&afrobar_5==1| ///
	Q98A==25&afrobar_5==1|Q98A==26&afrobar_5==1|Q98A==69&afrobar_5==1|Q98A==101&afrobar_5==1| ///
	Q98A==18&afrobar_6==1|Q98A==19&afrobar_6==1|Q98A==20&afrobar_6==1|Q98A==21&afrobar_6==1| ///
	Q98A==22&afrobar_6==1|Q98A==23&afrobar_6==1|Q98A==24&afrobar_6==1|Q98A==501&afrobar_6==1| ///
	Q98A==502&afrobar_6==1|Q98A==503&afrobar_6==1|Q98A==660&afrobar_6==1
replace religion_afb = 4 if q85==4&afrobar_2==1|q85==5&afrobar_2==1|q91==4&afrobar_3==1| ///
	q91==5&afrobar_3==1|Q90==7&afrobar_4==1|Q90==8&afrobar_4==1|Q90==10&afrobar_4==1| ///
	Q90==13&afrobar_4==1|Q90==14&afrobar_4==1|Q90==15&afrobar_4==1|Q90==32&afrobar_4==1| ///
	Q90==36&afrobar_4==1|Q90==53&afrobar_4==1|Q90==48&afrobar_4==1|Q90==52&afrobar_4==1| ///
	Q90==54&afrobar_4==1|Q98A==7&afrobar_5==1|Q98A==8&afrobar_5==1|Q98A==9&afrobar_5==1| ///
	Q98A==10&afrobar_5==1|Q98A==13&afrobar_5==1|Q98A==14&afrobar_5==1|Q98A==15&afrobar_5==1| ///
	Q98A==32&afrobar_5==1|Q98A==33&afrobar_5==1|Q98A==5&afrobar_6==1|Q98A==6&afrobar_6==1| ///
	Q98A==7&afrobar_6==1|Q98A==8&afrobar_6==1|Q98A==11&afrobar_6==1| ///
	Q98A==12&afrobar_6==1|Q98A==13&afrobar_6==1|Q98A==30&afrobar_6==1|Q98A==31&afrobar_6==1| ///
	Q98A==820&afrobar_6==1|Q98A==860&afrobar_6==1|Q90==33&afrobar_4==1|Q90==9&afrobar_4==1| ///
	Q90==37&afrobar_4==1
replace religion_afb = 8 if q85==7&afrobar_2==1|q85==12&afrobar_2==1|q85==13&afrobar_2==1| ///
	q85==14&afrobar_2==1|q85==16&afrobar_2==1|q85==17&afrobar_2==1|q85==18&afrobar_2==1| ///
	q85==20&afrobar_2==1|q85==21&afrobar_2==1|q85==22&afrobar_2==1|q85==23&afrobar_2==1| ///
	q85==31&afrobar_2==1|q91==6&afrobar_3==1|q91==11&afrobar_3==1|q91==14&afrobar_3==1| ///
	q91==15&afrobar_3==1|Q90==3&afrobar_4==1|Q90==6&afrobar_4==1| ///
	Q90==11&afrobar_4==1|Q90==12&afrobar_4==1|Q90==16&afrobar_4==1|Q90==17&afrobar_4==1| ///
	Q90==18&afrobar_4==1|Q90==19&afrobar_4==1|Q90==32&afrobar_4==1| ///
	Q90==34&afrobar_4==1|Q90==35&afrobar_4==1|Q90==40&afrobar_4==1| ///
	Q90==41&afrobar_4==1|Q90==42&afrobar_4==1| ///
	Q90==43&afrobar_4==1|Q90==55&afrobar_4==1|Q98A==3&afrobar_5==1| ///
	Q98A==6&afrobar_5==1|Q98A==11&afrobar_5==1|Q98A==12&afrobar_5==1|Q98A==16&afrobar_5==1| ///
	Q98A==17&afrobar_5==1|Q98A==18&afrobar_5==1|Q98A==19&afrobar_5==1|Q98A==34&afrobar_5==1| ///
	Q98A==35&afrobar_5==1|Q98A==36&afrobar_5==1|Q98A==37&afrobar_5==1|Q98A==38&afrobar_5==1| ///
	Q98A==39&afrobar_5==1|Q98A==40&afrobar_5==1|Q98A==41&afrobar_5==1|Q98A==43&afrobar_5==1| ///
	Q98A==50&afrobar_5==1|Q98A==56&afrobar_5==1|Q98A==57&afrobar_5==1|Q98A==58&afrobar_5==1| ///
	Q98A==65&afrobar_5==1|Q98A==67&afrobar_5==1|Q98A==68&afrobar_5==1|Q98A==71&afrobar_5==1| ///
	Q98A==72&afrobar_5==1|Q98A==73&afrobar_5==1|Q98A==75&afrobar_5==1|Q98A==76&afrobar_5==1| ///
	Q98A==78&afrobar_5==1|Q98A==79&afrobar_5==1|Q98A==80&afrobar_5==1|Q98A==81&afrobar_5==1| ///
	Q98A==83&afrobar_5==1|Q98A==84&afrobar_5==1|Q98A==94&afrobar_5==1|Q98A==1&afrobar_6==1| ///
	Q98A==14&afrobar_6==1|Q98A==15&afrobar_6==1|Q98A==16&afrobar_6==1|Q98A==17&afrobar_6==1| ///
	Q98A==32&afrobar_6==1|Q98A==33&afrobar_6==1|Q98A==35&afrobar_6==1|Q98A==100&afrobar_6==1| ///
	Q98A==220&afrobar_6==1|Q98A==260&afrobar_6==1|Q98A==300&afrobar_6==1|Q98A==460&afrobar_6==1| ///
	Q98A==461&afrobar_6==1|Q98A==462&afrobar_6==1|Q98A==540&afrobar_6==1|Q98A==541&afrobar_6==1| ///
	Q98A==822&afrobar_6==1|Q98A==1260&afrobar_6==1|Q90==51&afrobar_4==1|Q98A==9&afrobar_6==1| ///
	Q98A==36&afrobar_6==1|Q98A==91&afrobar_5==1
replace religion_afb = 9 if q85==8&afrobar_2==1|q85==32&afrobar_2==1|q85==33&afrobar_2==1| ///
	q91==7&afrobar_3==1|q91==36&afrobar_3==1|Q90==26&afrobar_4==1|Q90==27&afrobar_4==1| ///
	Q90==29&afrobar_4==1|Q90==44&afrobar_4==1|Q90==45&afrobar_4==1| ///
	Q90==49&afrobar_4==1|Q90==39&afrobar_4==1| ///
	Q90==47&afrobar_4==1|Q90==50&afrobar_4==1|Q90==53&afrobar_4==1| ///
	Q90==56&afrobar_4==1|Q98A==27&afrobar_5==1|Q98A==29&afrobar_5==1|Q98A==51&afrobar_5==1| ///
	Q98A==52&afrobar_5==1|Q98A==54&afrobar_5==1|Q98A==55&afrobar_5==1|Q98A==61&afrobar_5==1| ///
	Q98A==62&afrobar_5==1|Q98A==89&afrobar_5==1|Q98A==90&afrobar_5==1| ///
	Q98A==92&afrobar_5==1|Q98A==93&afrobar_5==1|Q98A==102&afrobar_5==1|Q98A==10&afrobar_6==1| ///
	Q98A==25&afrobar_6==1|Q98A==27&afrobar_6==2|Q98A==34&afrobar_6==1|Q98A==901&afrobar_6==1| ///
	Q98A==902&afrobar_6==1|Q98A==930&afrobar_6==1|Q98A==9995&afrobar_6==1
replace religion_afb = 5 if q85==9&afrobar_2==1|q91==8&afrobar_3==1|Q90==28&afrobar_4==1| ///
	Q98A==28&afrobar_5==1|Q98A==86&afrobar_5==1|Q98A==87&afrobar_5==1|Q98A==88&afrobar_5==1| ///
	Q98A==26&afrobar_6==1|Q98A==900&afrobar_6==1
replace religion_afb = -2 if q85==34&afrobar_2==1|q91==37&afrobar_3==1|Q90==57&afrobar_4==1| ///
	Q98A==103&afrobar_5==1|Q98A==9998&afrobar_6==1
replace religion_afb = -4 if q85==35&afrobar_2==1|q91==38&afrobar_3==1|Q90==58&afrobar_4==1| ///
	Q98A==104&afrobar_5==1|Q98A==9999&afrobar_6==1
replace religion_afb = 7 if Q90==5&afrobar_4==1|Q98A==5&afrobar_5==1|Q98A==59&afrobar_5==1| ///
	Q98A==3&afrobar_6==1|Q98A==4&afrobar_6==1
replace religion_afb = 6 if Q98A==85&afrobar_5==1

label define religlab 1 "Catholic" 2 "Jewish" 3 "Muslim" 4 "Protestant" 5 "Hindu" 6 "Buddhist" ///
	7 "Orthodox" 8 "other Christian" 9 "other religion" 10 "none" -1 "missing" -2 "refused" ///
	-4 "don't know"
label values religion_afb religlab

// Education
gen education_afb = 1 if educ==1&afrobar_1==1|q84==2&afrobar_2==1|q84==3&afrobar_2==1| ///
	q90==2&afrobar_3==1|q90==3&afrobar_3==1|Q89==2&afrobar_4==1|Q89==3&afrobar_4==1| ///
	Q97==2&afrobar_5==1|Q97==3&afrobar_5==1|Q97==1&afrobar_6==1|Q97==2&afrobar_6==1
replace education_afb = 2 if educ==2&afrobar_1==1|q84==4&afrobar_2==1|q84==5&afrobar_2==1| ///
	q90==4&afrobar_3==1|q90==5&afrobar_3==1|Q89==4&afrobar_4==1|Q89==5&afrobar_4==1| ///
	Q97==4&afrobar_5==1|Q97==5&afrobar_5==1|Q97==2&afrobar_6==1|Q97==3&afrobar_6==1
replace education_afb = 3 if educ==3&afrobar_1==1|q84==6&afrobar_2==1|q84==7&afrobar_2==1| ///
	q90==6&afrobar_3==1|q90==7&afrobar_3==1|Q89==6&afrobar_4==1|Q89==7&afrobar_4==1| ///
	Q97==6&afrobar_5==1|Q97==7&afrobar_5==1|Q97==4&afrobar_6==1|Q97==5&afrobar_6==1
replace education_afb = 4 if educ==4&afrobar_1==1|q84==8&afrobar_2==1|q84==9&afrobar_2==1| ///
	q84==10&afrobar_2==1|q84==11&afrobar_2==1|q90==8&afrobar_3==1|q90==9&afrobar_3==1| ///
	q90==10&afrobar_3==1|q90==11&afrobar_3==1|Q89==8&afrobar_4==1|Q89==9&afrobar_4==1| ///
	Q89==10&afrobar_4==1|Q89==11&afrobar_4==1|Q97==8&afrobar_5==1|Q97==9&afrobar_5==1| ///
	Q97==10&afrobar_5==1|Q97==11&afrobar_5==1|Q97==6&afrobar_6==1|Q97==7&afrobar_6==1| ///
	Q97==8&afrobar_6==1|Q97==9&afrobar_6==1
replace education_afb = -4 if educ==5&afrobar_1==1|q84==13&afrobar_2==1|q90==12&afrobar_3==1| ///
	Q89==12&afrobar_4==1|Q97==12&afrobar_5==1|Q97==99&afrobar_6==1
replace education_afb = -2 if educ==6&afrobar_1==1|q84==12&afrobar_2==1|Q97==98&afrobar_6==1
replace education_afb = -1 if educ==7&afrobar_1==1|q84==1&afrobar_2==1|q90==1&afrobar_3==1| ///
	Q89==1&afrobar_4==1|Q97==1&afrobar_5==1|Q97==-1&afrobar_6==1

label define edulab 1 "no formal schooling" 2 "primary" 3 "secondary" 4 "post-secondary" ///
	-4 "don't know" -2 "refused" -1 "missing"
label values education_afb edulab

// Employment status
gen employment_afb = -1 if q89==1&afrobar_2==1|q94==1&afrobar_3==1|Q94==1&afrobar_4==1| ///
	Q96==1&afrobar_5==1|Q95==-1&afrobar_6==1
replace employment_afb = 1 if q89==2&afrobar_2==1|q89==3&afrobar_2==1|q94==2&afrobar_3==1| ///
	q94==3&afrobar_3==1|Q94==2&afrobar_4==1|Q94==3&afrobar_4==1|Q96==2&afrobar_5==1| ///
	Q96==3&afrobar_5==1|Q95==0&afrobar_6==1|Q95==1&afrobar_6==1
replace employment_afb = 2 if q89==4&afrobar_2==1|q89==5&afrobar_2==1|q94==4&afrobar_3==1| ///
	q94==5&afrobar_3==1|Q94==4&afrobar_4==1|Q94==5&afrobar_4==1|Q96==4&afrobar_5==1| ///
	Q95==2&afrobar_6==1
replace employment_afb = 3 if q89==6&afrobar_2==1|q89==7&afrobar_2==1|q94==6&afrobar_3==1| ///
	q94==7&afrobar_3==1|Q94==6&afrobar_4==1|Q94==7&afrobar_4==1|Q96==5&afrobar_5==1| ///
	Q95==3&afrobar_6==1
replace employment_afb = -4 if q89==8&afrobar_2==1|q94==8&afrobar_3==1|Q94==8&afrobar_4==1| ///
	Q96==6&afrobar_5==1|Q95==9&afrobar_6==1
replace employment_afb = -2 if q89==10&afrobar_2==1|q94==9&afrobar_3==1

label define employlab -1 "missing" 1 "not employed" 2 "PT" 3 "FT" -4 "don't know" -2 "refused"
label values employment_afb employlab

// Income
gen income_afb = q90 if afrobar_2==1
replace income_afb = -1 if income==1
replace income_afb = -2 if income==13
replace income_afb = -4 if income==14

label define incomelab -1 "missing" 2 "none" 3 "1st decile" 4 "2nd decile" 5 "3rd decile" ///
	6 "4th decile" 7 "5th decile" 8 "6th decile" 9 "7th decile" 10 "8th decile" 11 "9th decile" ///
	12 "10th decile" -2 "refused" -4 "don't know"
label values income_afb incomelab
gen income_10 = income_afb-2

// Income quintiles
egen income_5 = xtile(income_10), nq(5) by(afrobar_wave country)

// ethnicity - does not include wave 6 yet
gen ethnicity_afb = 1 if race==1|q96new==2&afrobar_2==1|q102==1&afrobar_3==1| ///
	Q102==2&afrobar_4==1|Q102==2&afrobar_5==1
replace ethnicity_afb = 2 if race==2|q96new==3&afrobar_2==1|q102==2&afrobar_3==1| ///
	Q102==3&afrobar_4==1|Q102==3&afrobar_5==1
replace ethnicity_afb = 3 if race==3|q96new==4&afrobar_2==1|q102==3&afrobar_3==1| ///
	Q102==4&afrobar_4==1|Q102==4&afrobar_5==1
replace ethnicity_afb = 4 if race==4|q96new==6&afrobar_2==1|q102==5&afrobar_3==1| ///
	Q102==6&afrobar_4==1|Q102==7&afrobar_4==1|Q102==6&afrobar_5==1|Q102==7&afrobar_5==1
replace ethnicity_afb = 5 if q96new==5&afrobar_2==1|q102==4&afrobar_3==1| ///
	q102==5&afrobar_4==1|Q102==5&afrobar_5==1
replace ethnicity_afb = 6 if q96new==8&afrobar_2==1|q102==6&afrobar_3==1| ///
	q102==95&afrobar_3==1|Q102==38&afrobar_5==1
replace ethnicity_afb = -1 if q96new==9&afrobar_2==1|q102==-1&afrobar_3==1| ///
	Q102==1&afrobar_4==1|Q102==1&afrobar_5==1

label define ethniclab 1 "Black/African" 2 "White/European" 3 "Coloured/mixed race" ///
	4 "Indian/South Asian" 5 "Arab/Lebanese" 6 "other" -1 "not missing"
label values ethnicity_afb ethniclab

// sampling information
gen sampling_afb = "national probability sample"
gen surveymode_afb = "F2F"

// dataset
gen data=7
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep year country demsat_afb bestgovt_afb conf_parl_afb conf_judic_afb conf_milit_afb ///
	conf_police_afb conf_press_afb conf_president_afb conf_rule_afb conf_opp_afb polcomp_afb ///
	polinterest_afb polinterest2_afb discpol2_afb newsradio_afb newstv_afb readnews_afb turnout_afb ///
	women_leaders_afb female_afb age religion_afb education_afb employment_afb income_10 ///
	age_cat10 birth q85 q91 Q90 Q98A educ q84 q90 Q89 Q97 income_5 sampling_afb rejdic ethnicity_afb ///
	surveymode_afb data ethnicity_afb dmpsat Q43 q47 q40 afrobar_1 afrobar_2 afrobar_3 afrobar_4 afrobar_5

*saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\Afrobarometer.dta", replace	
saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/Afrobarometer.dta", replace


