/// Add WVS country codes to the Americas Barometer

clear all
use "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/Americas Barometer/americas_barometer_all_merged.dta"

tab pais
tab pais, nol

gen country = 484 if pais==1
replace country = 320 if pais==2
replace country = 222 if pais==3
replace country = 340 if pais==4
replace country = 558 if pais==5
replace country = 188 if pais==6
replace country = 591 if pais==7
replace country = 170 if pais==8
replace country = 218 if pais==9
replace country = 68 if pais==10
replace country = 604 if pais==11
replace country = 600 if pais==12
replace country = 152 if pais==13
replace country = 858 if pais==14
replace country = 76 if pais==15
replace country = 862 if pais==16
replace country = 32 if pais==17
replace country = 214 if pais==21
replace country = 332 if pais==22
replace country = 388 if pais==23
replace country = 328 if pais==24
replace country = 780 if pais==25
replace country = 84 if pais==26
replace country = 740 if pais==27
replace country = 22 if pais==28
replace country = 52 if pais==29
replace country = 840 if pais==40
replace country = 124 if pais==41
do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
label values country countrylab

// sampling information
gen sampling_ab = "national probability sample"
gen surveymode_ab = "F2F"
replace surveymode_ab = "web based" if country==124|country==840

// age
rename q2 age
replace age=. if age==.a|age==.b|age==.c|age==.z

// birth year
gen birth = year-age

// dataset
gen data=3
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

// religion
tab q3 year
tab q3c year
tab q306 year
gen relig_ab = 1 if q3==1|q3c==1|q306==1
replace relig_ab = 2 if q3==2|q3c==2|q3c==11|q306==1
replace relig_ab = 3 if q3==3|q3c==3|q3c==6|q3c==1501|q306==3|q3c==10
replace relig_ab = 4 if q3==4|q3c==4|q306==4|q3c==11
replace relig_ab = 5 if q3==5|q3==6|q3c==5|q306==5|q3c==12
replace relig_ab = 6 if q3==7|q3c==7
replace relig_ab = 7 if q3c==2701
replace relig_ab = 8 if q3c==2702

label define religlab 1 "Catholic" 2 "Protestant" 3 "Other non-Christian" 4 "none" ///
	5 "Evangelical" 6 "traditional" 7 "Muslim" 8 "Hindu"
label values relig_ab religlab

// marital status
replace q11n=1 if q11==1
replace q11n=2 if q11==2
replace q11n=3 if q11==3
replace q11n=4 if q11==4
replace q11n=5 if q11==5
replace q11n=6 if q11==6

keep year wave country sampling_ab surveymode_ab birth pn4 dem2 ing4 aut1 ///
	b21a b13 b10a b21 b12 b32 b14 b18 b23 b20a b20 pol1 pol2 a3 a2 a1 gi0 vb2 vb50 q10d mov1 ///
	q11n q1 age relig_ab ed ocup4a ocup1a etid idio1 ed2 data

saveold "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/Data for harmonisation/Americas_barometer.dta", replace	
*saveold "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/Americas Barometer/Americas_Barometer_WVS_country.dta", replace
