// name of do-file: Asia_merge
// project: legacy of authoritarian regimes
// data: Asia Barometer 2003-2007

// Merging all waves of the Asia Barometer

set more off

version 13
clear all
macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Asia Barometer"
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Asian Barometer/Data"

use AsiaBarometer2003\AsiaBarometer2003\AsiaBarometer2003.dta

keep Country Q21_a Q21_b Q21_c Q21_d Q21_e Q21_f Q21_k Q21_l Q21_n Q24_a Q38_d_4 Q38_d_1 Q38_d_3 ///
	F1 F2 F3 F5 F6 F9 Q25_d F8_JP F8_SK F8_CH F8_MA F8_TH F8_VN F8_MY F8_IN F8_SR F8_UZ
generate asia2003=1
	
append using AsiaBarometer2004\AsiaBarometer2004\AsiaBarometer2004.dta, keep(country Q26f Q26d Q26c Q26a ///
	Q26e Q26m Q26l Q26b Q26o Q26g Q29a Q30d Q37d_4 Q37d_1 Q37d_2 F1 F2 F3 F5 F6 F9 F8_KH F8_ID F8_JP ///
	F8_MM F8_PH F8_TH F8_VN F8_MY F8_SG F8_KR F8_LA F8_CH F8_BN) gen(asia2004)
	
append using AsiaBarometer2005\AsiaBarometer2005\AsiaBarometer2005.dta, keep(country Q6m Q27f Q27d Q27c Q27a ///
	Q27e Q27m Q27l Q27b Q27o Q27g Q30a Q31d Q34a F1 F2 F3 F5 F6 F9 F8AF F8BA F8BH F8IN F8KA F8KY F8MA ///
	F8MO F8NE F8PA F8SR F8TA F8TU F8UZ) gen(asia2005)
	
append using AsiaBarometer2006\AsiaBarometer2006\AsiaBarometer2006.dta, keep(Country Q7m Q29f Q29d Q29c Q29a ///
	Q29e Q29m Q29l Q29b Q29o Q29g Q33a Q34d Q38a F1 F2 F3_CH F3_HK F3_JP F3_KR F3_SG F3_TW F3_VN ///
	F5 F6 F8_CH F8_HK F8_JP F8_KR F8_SG F8_TW F8_VN F9) gen(asia2006)
	
append using AsiaBarometer2007\AsiaBarometer2007\AsiaBarometer2007.dta, keep(Country Q30f Q30d Q30c Q30a ///
	Q30e Q30m Q30l Q30b Q30o Q30g Q34a Q35d F1 F2 F3 F5 F6 F8_CM F8_IN F8_LS F8_ML F8_MY F8_PH F8_TH F9) ///
	gen(asia2007)
	
* Country
gen country_asia = 392 if Country==1&asia2003==1|country==3&asia2004==1| ///
	Country==3&asia2006==1 /*Japan*/
replace country_asia = 410 if Country==2&asia2003==1|country==10&asia2004==1| ///
	Country==4&asia2006==1 /*S Korea*/
replace country_asia = 156 if Country==3&asia2003==1|country==12&asia2004==1| ///
	Country==1&asia2006==1 /* China*/
replace country_asia = 458 if Country==4&asia2003==1|country==8&asia2004==1| ///
	Country==60&asia2007==1 /*Malaysia*/
replace country_asia = 764 if Country==5&asia2003==1|country==6&asia2004==1| ///
	Country==66&asia2007==1 /*Thailand*/
replace country_asia = 868 if Country==6&asia2003==1|country==7&asia2004==1| ///
	Country==7&asia2006==1 /*Vietnam*/
replace country_asia = 104 if Country==7&asia2003==1|country==4&asia2004==1| ///
	Country==95&asia2007==1 /*Myanmar*/
replace country_asia = 356 if Country==8&asia2003==1|country==91&asia2005==1 /*India*/
replace country_asia = 144 if Country==9&asia2003==1|country==94&asia2005==1 /*Sri Lanka*/
replace country_asia = 860 if Country==10&asia2003==1|country==998&asia2005==1 /*Uzbekistan*/
replace country_asia = 116 if country==1&asia2004==1|Country==855&asia2007==1 /*Cambodia*/
replace country_asia = 360 if country==2&asia2004==1|Country==62&asia2007==1 /*Indonesia*/
replace country_asia = 608 if country==5&asia2004==1|Country==63&asia2007==1 /*Philippines*/
replace country_asia = 702 if country==9&asia2004==1|Country==5&asia2006==1 /*Singapore*/
replace country_asia = 418 if country==11&asia2004==1|Country==856&asia2007==1 /*Laos*/
replace country_asia = 997 if country==12&asia2004==1 /*Brunei*/
replace country_asia = 398 if country==7&asia2005==1 /*Kazakhstan*/
replace country_asia = 586 if country==92&asia2005==1 /*Pakistan*/
replace country_asia = 996 if country==93&asia2005==1 /*Afghanistan*/
replace country_asia = 50 if country==880&asia2005==1 /*Bangladesh*/
replace country_asia = 462 if country==960&asia2005==1 /*Maldives*/
replace country_asia = 64 if country==975&asia2005==1 /*Bhutan*/
replace country_asia = 496 if country==976&asia2005==1 /*Mongolia*/
replace country_asia = 524 if country==977&asia2005==1 /*Nepal*/
replace country_asia = 762 if country==992&asia2005==1 /*Tajikistan*/
replace country_asia = 795 if country==993&asia2005==1 /*Turkmenistan*/
replace country_asia = 417 if country==996&asia2005==1 /*Kyrgyzstan*/
replace country_asia = 344 if Country==2&asia2006==1 /*Hong Kong*/
replace country_asia = 158 if Country==6&asia2006==1 /*Taiwan*/
drop country Country
gen country=country_asia
drop country_asia

do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
label values country countrylab

* Wave
gen year = 2003 if asia2003==1
replace year = 2004 if asia2004==1
replace year = 2005 if asia2005==1
replace year = 2006 if asia2006==1
replace year = 2007 if asia2007==1

* Confidence variables
* Central category (haven't thought about it) only in 2006 & 2007

* Confidence in parliament
gen conf_parl_asiab = 1 if Q21_f==1&year==2003|Q26f==1&year==2004|Q27f==1&year==2005| ///
	Q29f==1&year==2006|Q30f==1&year==2007
replace conf_parl_asiab = 2 if Q21_f==2&year==2003|Q26f==2&year==2004|Q27f==2&year==2005| ///
	Q29f==2&year==2006|Q30f==2&year==2007
replace conf_parl_asiab = 3 if Q29f==5&year==2006|Q30f==5&year==2007
replace conf_parl_asiab = 4 if Q21_f==3&year==2003|Q26f==3&year==2004|Q27f==3&year==2005| ///
	Q29f==3&year==2006|Q30f==4&year==2007
replace conf_parl_asiab = 5 if Q21_f==4&year==2003|Q26f==4&year==2004|Q27f==4&year==2005| ///
	Q29f==4&year==2006|Q30f==4&year==2007

label define conf_lab 1 "Trust a lot" 2 "Trust to a degree" 3 "Haven't thought about it" ///
	4 "Don't really trust" 5 "Don't trust at all"
label values conf_parl_asiab conf_lab 

* Confidence in the judiciary
tab Q21_d, nol
gen conf_judic_asiab = 1 if Q21_d==1&year==2003|Q26d==1&year==2004|Q27d==1&year==2005| ///
	Q29d==1&year==2006|Q30d==1&year==2007
replace conf_judic_asiab = 2 if Q21_d==2&year==2003|Q26d==2&year==2004|Q27d==2&year==2005| ///
	Q29d==2&year==2006|Q30d==2&year==2007
replace conf_judic_asiab = 3 if Q29d==5&year==2006|Q30d==5&year==2007
replace conf_judic_asiab = 4 if Q21_d==3&year==2003|Q26d==3&year==2004|Q27d==3&year==2005| ///
	Q29d==3&year==2006|Q30d==3&year==2007
replace conf_judic_asiab = 5 if Q21_d==4&year==2003|Q26d==4&year==2004|Q27d==4&year==2005| ///
	Q29d==4&year==2006|Q30d==4&year==2007
label values conf_judic_asiab conf_lab

* Confidence in armed forces
gen conf_armed_asiab = 1 if Q21_c==1&year==2003|Q26c==1&year==2004|Q27c==1&year==2005| ///
	Q29c==1&year==2006|Q30c==1&year==2007
replace conf_armed_asiab = 2 if Q21_c==2&year==2003|Q26c==2&year==2004|Q27c==2&year==2005| ///
	Q29c==2&year==2006|Q30c==2&year==2007
replace conf_armed_asiab = 3 if Q29c==5&year==2006|Q30c==5&year==2007
replace conf_armed_asiab = 4 if Q21_c==3&year==2003|Q26c==3&year==2004|Q27c==3&year==2005| ///
	Q29c==3&year==2006|Q30c==3&year==2007
replace conf_armed_asiab = 5 if Q21_c==4&year==2003|Q26c==4&year==2004|Q27c==4&year==2005| ///
	Q29c==4&year==2006|Q30c==4&year==2007
label values conf_armed_asiab conf_lab

* Confidence in government
tab Q21_a, nol
gen conf_govt_asiab = 1 if Q21_a==1&year==2003|Q26a==1&year==2004|Q27a==1&year==2005| ///
	Q29a==1&year==2006|Q30a==1&year==2007
replace conf_govt_asiab = 2 if Q21_a==2&year==2003|Q26a==2&year==2004|Q27a==2&year==2005| ///
	Q29a==2&year==2006|Q30a==2&year==2007
replace conf_govt_asiab = 3 if Q29a==5&year==2006|Q30a==5&year==2007
replace conf_govt_asiab = 4 if Q21_a==3&year==2003|Q26a==3&year==2004|Q27a==3&year==2005| ///
	Q29a==3&year==2006|Q30a==3&year==2007
replace conf_govt_asiab = 5 if Q21_a==4&year==2003|Q26a==4&year==2004|Q27a==4&year==2005| ///
	Q29a==4&year==2006|Q30a==4&year==2007
label values conf_govt_asiab conf_lab

* Confidence in police
tab Q21_e, nol
gen conf_police_asiab = 1 if Q21_e==1&year==2003|Q26e==1&year==2004|Q27e==1&year==2005| ///
	Q29e==1&year==2006|Q30e==1&year==2007
replace conf_police_asiab = 2 if Q21_e==2&year==2003|Q26e==2&year==2004|Q27e==2&year==2005| ///
	Q29e==2&year==2006|Q30e==2&year==2007
replace conf_police_asiab = 3 if Q29e==5&year==2006|Q30e==5&year==2007
replace conf_police_asiab = 4 if Q21_e==3&year==2003|Q26e==3&year==2004|Q27e==3&year==2005| ///
	Q29e==3&year==2006|Q30e==3&year==2007
replace conf_police_asiab = 5 if Q21_e==4&year==2003|Q26e==4&year==2004|Q27e==4&year==2005| ///
	Q29e==4&year==2006|Q30e==4&year==2007
label values conf_police_asiab conf_lab

* Confidence in press
tab Q21_l, nol
gen conf_press_asiab = 1 if Q21_l==1&year==2003|Q26m==1&year==2004|Q27m==1&year==2005| ///
	Q29m==1&year==2006|Q30m==1&year==2007
replace conf_press_asiab = 2 if Q21_l==2&year==2003|Q26m==2&year==2004|Q27m==2&year==2005| ///
	Q29m==2&year==2006|Q30m==2&year==2007
replace conf_press_asiab = 3 if Q29m==5&year==2006|Q30m==5&year==2007
replace conf_press_asiab = 4 if Q21_l==3&year==2003|Q26m==3&year==2004|Q27m==3&year==2005| ///
	Q29m==3&year==2006|Q30m==3&year==2007
replace conf_press_asiab = 5 if Q21_l==4&year==2003|Q26m==4&year==2004|Q27m==4&year==2005| ///
	Q29m==4&year==2006|Q30m==4&year==2007
label values conf_press_asiab conf_lab

* Confidence in trade unions
tab Q21_k, nol
gen conf_union_asiab = 1 if Q21_k==1&year==2003|Q26l==1&year==2004|Q27l==1&year==2005| ///
	Q29l==1&year==2006|Q30l==1&year==2007
replace conf_union_asiab = 2 if Q21_k==2&year==2003|Q26l==2&year==2004|Q27l==2&year==2005| ///
	Q29l==2&year==2006|Q30l==2&year==2007
replace conf_union_asiab = 3 if Q29l==5&year==2006|Q30l==5&year==2007
replace conf_union_asiab = 4 if Q21_k==3&year==2003|Q26l==3&year==2004|Q27l==3&year==2005| ///
	Q29l==3&year==2006|Q30l==3&year==2007
replace conf_union_asiab = 5 if Q21_k==4&year==2003|Q26l==4&year==2004|Q27l==4&year==2005| ///
	Q29l==4&year==2006|Q30l==4&year==2007
label values conf_union_asiab conf_lab

* Confidence in local government
tab Q21_b, nol
gen conf_local_asiab = 1 if Q21_b==1&year==2003|Q26b==1&year==2004|Q27b==1&year==2005| ///
	Q29b==1&year==2006|Q30b==1&year==2007
replace conf_local_asiab = 2 if Q21_b==2&year==2003|Q26b==2&year==2004|Q27b==2&year==2005| ///
	Q29b==2&year==2006|Q30b==2&year==2007
replace conf_local_asiab = 3 if Q29b==5&year==2006|Q30b==5&year==2007
replace conf_local_asiab = 4 if Q21_b==3&year==2003|Q26b==3&year==2004|Q27b==3&year==2005| ///
	Q29b==3&year==2006|Q30b==3&year==2007
replace conf_local_asiab = 5 if Q21_b==4&year==2003|Q26b==4&year==2004|Q27b==4&year==2005| ///
	Q29b==4&year==2006|Q30b==4&year==2007
label values conf_local_asiab conf_lab

* Confidence in Church
gen conf_church_asiab = 1 if Q21_n==1&year==2003|Q26o==1&year==2004|Q27o==1&year==2005| ///
	Q29o==1&year==2006|Q30o==1&year==2007
replace conf_church_asiab = 2 if Q21_n==2&year==2003|Q26o==2&year==2004|Q27o==2&year==2005| ///
	Q29o==2&year==2006|Q30o==2&year==2007
replace conf_church_asiab = 3 if Q29o==5&year==2006|Q30o==5&year==2007
replace conf_church_asiab = 4 if Q21_n==3&year==2003|Q26o==3&year==2004|Q27o==3&year==2005| ///
	Q29o==3&year==2006|Q30o==3&year==2007
replace conf_church_asiab = 5 if Q21_n==4&year==2003|Q26o==4&year==2004|Q27o==4&year==2005| ///
	Q29o==4&year==2006|Q30o==4&year==2007
label values conf_church_asiab conf_lab

* Confidence in political party
gen conf_party_asiab = 1 if Q26g==1&year==2004|Q27g==1&year==2005|Q29g==1&year==2006| ///
	Q30g==1&year==2007
replace conf_party_asiab = 2 if Q26g==2&year==2004|Q27g==2&year==2005|Q29g==2&year==2006| ///
	Q30g==2&year==2007
replace conf_party_asiab = 3 if Q29g==5&year==2006|Q30g==5&year==2007
replace conf_party_asiab = 4 if Q26g==3&year==2004|Q27g==3&year==2005|Q29g==3&year==2006| ///
	Q30g==3&year==2007
replace conf_party_asiab = 5 if Q26g==4&year==2004|Q27g==4&year==2005|Q29g==4&year==2006| ///
	Q30g==4&year==2007
label values conf_party_asiab conf_lab

* Strong leader
gen strong_asiab = 1 if Q34a==1&year==2005|Q38a==1&year==2006
replace strong_asiab = 2 if Q34a==2&year==2005|Q38a==2&year==2006
replace strong_asiab = 3 if Q34a==3&year==2005|Q38a==3&year==2006
label var strong_asiab "Strong leader without elections"
label define goodbadlab 1 "very good" 2 "fairly good" 3 "bad"
label values strong_asiab goodbadlab

* Democratic satisfaction
gen demsat_asiab = 1 if Q6m==1&year==2005|Q7m==1&year==2006
replace demsat_asiab = 2 if Q6m==2&year==2005|Q7m==2&year==2006
replace demsat_asiab = 3 if Q6m==3&year==2005|Q7m==3&year==2006
replace demsat_asiab = 4 if Q6m==4&year==2005|Q7m==4&year==2006
replace demsat_asiab = 5 if Q6m==5&year==2005|Q7m==5&year==2006
label var demsat_asiab "democratic satisfaction"
label define satislab 1 "very satisfied" 2 "somewhat satisfied" 3 "neither" 4 "somewhat dissatisfied" ///
	5 "very dissatisfied" 
label values demsat_asiab satislab

* Politics complicated
gen polcomp_asiab = 1 if Q25_d==1&year==2003|Q30d==1&year==2004|Q31d==1&year==2005| ///
	Q34d==1&year==2006|Q35d==1&year==2007
replace polcomp_asiab = 2 if Q25_d==2&year==2003|Q30d==2&year==2004|Q31d==2&year==2005| ///
	Q34d==2&year==2006|Q35d==2&year==2007
replace polcomp_asiab = 3 if Q25_d==3&year==2003|Q30d==3&year==2004|Q31d==3&year==2005| ///
	Q34d==3&year==2006|Q35d==3&year==2007
replace polcomp_asiab = 4 if Q25_d==4&year==2003|Q30d==4&year==2004|Q31d==4&year==2005| ///
	Q34d==4&year==2006|Q35d==4&year==2007
replace polcomp_asiab = 5 if Q25_d==5&year==2003|Q30d==5&year==2004|Q31d==5&year==2005| ///
	Q34d==5&year==2006|Q35d==5&year==2007
label var polcomp_asiab "Politics is complicated so I don't understand what's happening"
label define agreelab 1 "strongly agree" 2 "agree" 3 "neither" 4 "disagree" 5 "strongly disagree"
label values polcomp_asiab agreelab

* Newspaper readership
gen newspaper_asiab = 1 if Q38_d_4==1&year==2003|Q37d_4==1&year==2004
replace newspaper_asiab = 0 if Q38_d_4==0&year==2003|Q37d_4==0&year==2004
label define yesno 1 "yes" 0 "no"
label values newspaper_asiab yesno

* News on television
gen tv_asiab = 1 if Q38_d_1==1&year==2003|Q37d_1==1&year==2004
replace tv_asiab = 0 if Q38_d_1==0&year==2003|Q37d_1==0&year==2004
label values tv_asiab yesno

* News on radio
gen radio_asiab = 1 if Q38_d_3==1&year==2003|Q37d_2==1&year==2004
replace radio_asiab = 0 if Q38_d_3==0&year==2003|Q37d_2==0&year==2004
label values radio_asiab yesno

* Turnout (usually vote)
gen turnout_asiab = 1 if Q24_a==1&year==2003|Q29a==1&year==2004|Q30a==1&year==2005| ///
	Q33a==1&year==2006|Q34a==1&year==2007
replace turnout_asiab = 2 if Q24_a==2&year==2003|Q29a==2&year==2004|Q30a==2&year==2005| ///
	Q33a==2&year==2006|Q34a==2&year==2007
replace turnout_asiab = 3 if Q24_a==3&year==2003|Q29a==3&year==2004|Q30a==3&year==2005| ///
	Q33a==3&year==2006|Q34a==3&year==2007
replace turnout_asiab = 4 if Q24_a==4&year==2003|Q29a==4&year==2004|Q30a==4&year==2005| ///
	Q33a==4&year==2006|Q34a==4&year==2007
replace turnout_asiab = 5 if Q24_a==5&year==2003|Q29a==5&year==2004|Q30a==5&year==2005| ///
	Q33a==5&year==2006|Q34a==5&year==2007
replace turnout_asiab = 6 if Q24_a==6&year==2003|Q29a==6&year==2004|Q30a==6&year==2005| ///
	Q33a==6&year==2006|Q34a==6&year==2007
label define votelab 1 "every time" 2 "most of the time" 3 "sometimes" 4 "rarely" 5 "never voted" ///
	6 "don't have the right to vote"
label values turnout_asiab votelab

* Marital status
tab F5, nol missing
gen married = 1 if F5==2
replace married = 0 if F5==1|F5==3|F5==4|F5==5
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married

* Gender
tab F1
gen female = 0 if F1==1
replace female = 1 if F1==2
label variable female "gender: female" 
label define female 0 "man" 1 "woman" 

* Age
gen age = F2

* Birth year
gen birth = year-age

* Religion
gen religion = 0 if F9==13&year<=2006|F9==14&year==2007
replace religion = 1 if F9==1|F9==2
replace religion = 2 if F9==3|F9==4
replace religion = 3 if F9==5|F9==6|F9==7|F9==8|F9==9|F9==10|F9==11|F9==12|F9==13&year==2007
label variable religion "Religious: yes/no + denomination"
label define religion 0 "not religious " 1 "Christian " 2 "Muslim " 3 "Other " 
label value religion religion 

* Education
gen educ = 1 if F3==1|F3==2|F3_CH==1|F3_HK==1|F3_HK==2|F3_JP==1|F3_KR==1|F3_SG==1|F3_SG==2| ///
	F3_TW==1|F3_TW==2|F3_VN==1|F3_VN==2
replace educ = 2 if F3==3|F3==4&year<=2006|F5==5&year<=2006|F3_CH==2|F3_CH==3|F3_CH==4|F3_HK==3|F3_HK==4|F3_HK==5| ///
	F3_JP==2|F3_JP==3|F3_KR==2|F3_KR==3|F3_SG==3|F3_TW==3|F3_TW==4|F3_VN==3|F3_VN==4
replace educ = 3 if F3==6|F3_CH==5|F3_CH==6|F3_HK==6|F3_JP==4|F3_JP==5|F3_KR==4|F3_KR==5| ///
	F3_SG==4|F3_SG==5|F3_SG==6|F3_TW==5|F3_TW==6|F3_VN==5|F3_VN==6|F3_VN==7|F3_VN==8|F3_VN==9| ///
	F3==4&year==2007|F3==5&year==2007
label variable educ "education: categorical" 
label define educ 1 "primary or less " 2 "secondary" 3 "post-secondary " 
label value educ educ

* Employment
gen employment = 1 if F6==1|F6==2|F6==3|F6==4|F6==5|F6==6|F6==7|F6==8|F6==9|F6==10|F6==11| ///
	F6==12|F6==13
replace employment = 2 if F6==14|F6==15|F6==16|F6==17|F6==18
label variable employment "employment status" 
label define employment 2 "Unemployed " 1 "Working " 
label value employment employment 

* Income
* deciles
foreach x in JP SK CH MA TH VN MY IN SR UZ KH ID MM PH SG KR LA BN HK TW CM LS ML {
egen income_10_`x' = xtile(F8_`x'), nq(10) by(year)
}
foreach x in AF BA BH IN KA KY MA MO NE PA SR TA TU UZ {
egen income_10_`x'_05 = xtile(F8`x'), nq(10) by(year)
}
gen income_10=.
foreach x in JP SK CH MA TH VN MY IN SR UZ KH ID MM PH SG KR LA BN HK TW CM LS ML {
replace income_10 = income_10_`x' if F8_`x'!=.
}
foreach x in AF BA BH IN KA KY MA MO NE PA SR TA TU UZ {
replace income_10 = income_10_`x'_05 if year==2005&F8`x'!=.
}

* quintiles
foreach x in JP SK CH MA TH VN MY IN SR UZ KH ID MM PH SG KR LA BN HK TW CM LS ML {
egen income_5_`x' = xtile(F8_`x'), nq(5) by(year)
}
foreach x in AF BA BH IN KA KY MA MO NE PA SR TA TU UZ {
egen income_5_`x'_05 = xtile(F8`x'), nq(5) by(year)
}
gen income_5=.
foreach x in JP SK CH MA TH VN MY IN SR UZ KH ID MM PH SG KR LA BN HK TW CM LS ML {
replace income_5 = income_5_`x' if F8_`x'!=.
}
foreach x in AF BA BH IN KA KY MA MO NE PA SR TA TU UZ {
replace income_5 = income_5_`x'_05 if year==2005&F8`x'!=.
}

* Dataset
gen data=6 
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl

keep country year conf_parl_asiab conf_judic_asiab conf_armed_asiab conf_govt_asiab conf_police_asiab ///
	conf_press_asiab conf_union_asiab conf_local_asiab conf_church_asiab conf_party_asiab ///
	strong_asiab demsat_asiab polcomp_asiab newspaper_asiab tv_asiab radio_asiab turnout_asiab ///
	married female age birth religion educ employment income_10 income_5
	
saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\Asia.dta", replace
