capture log close
*log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\AsianBarometer_merge.log", replace

// name of do-file: Asian_merge
// project: legacy of authoritarian regimes
// data: Asian Barometer

// Merging all waves of the Asian Barometer

set more off

version 13
clear all
macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Asian Barometer\Data"
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Asian Barometer/Data"


use Wave1/merged_wave1.dta
gen wave1=1

keep wave1 country yrsurvey q117 q010 q007 q009 q012 q011 q008 q013 q014 q015 q131 q127 q126 q056 q023 ///
	q030 q057 q027 se004 se002 se006 se005 se005a se012a q004 se009 se003a q098 q121 se017

append using Wave2/merged_wave2.dta, gen(wave2) keep(country ir007_3 q117 q010 q007 q009 q012 q011 ///
	q008 q013 q014 q015 q131 q127 q126 q056 qII52 q030 q057 q027 se017 se004 se002 se006 se005 q121 ///
	se005a se012a q004 se009 se003a q098)

append using Wave3/merged_wave3.dta, gen(wave3) keep(country q128 q124 q11 q8 q10 q13 q12 q9 q14 q15 ///
	q16 q74 q136 q134 q133 q43 q46 q35 q44 q32 se12 se4 se2 se6 se5 se5a se9 q4 se13 se3 q89 q129)

append using Wave4/merged_wave4.dta, gen(wave4) keep(q11 q8 q10 q13 q12 q9 q14 q15 q16 q79 q137 ///
	q44 q46 q36 q45 q33 se12 se4 se2 se6 se5 se5a se9 q4 se14 q92 q130)

// Country
gen country_asian = 392 if country==1&wave1==1|country==1&wave2==1|country==1&wave3==1 /*Japan*/
replace country_asian = 344 if country==2&wave1==1|country==2&wave2==1|country==2&wave3==1 /*Hong Kong*/
replace country_asian = 410 if country==3&wave1==1|country==3&wave2==1|country==3&wave3==1 /*S Korea*/
replace country_asian = 156 if country==4&wave1==1|country==4&wave2==1|country==4&wave3==1 /*China*/
replace country_asian = 496 if country==5&wave1==1|country==5&wave2==1|country==5&wave3==1 /*Mongolia*/
replace country_asian = 608 if country==6&wave1==1|country==6&wave2==1|country==6&wave3==1 /*Philippines*/
replace country_asian = 158 if country==7&wave1==1|country==7&wave2==1|country==7&wave3==1| ///
	wave4==1 /*Taiwan*/
replace country_asian = 764 if country==8&wave1==1|country==8&wave2==1|country==8&wave3==1 /*Thailand*/
replace country_asian = 360 if country==9&wave2==1|country==9&wave3==1 /*Indonesia*/
replace country_asian = 702 if country==10&wave2==1|country==10&wave3==1 /*Singapore*/
replace country_asian = 704 if country==11&wave2==1|country==11&wave3==1 /*Vietnam*/
replace country_asian = 116 if country==12&wave2==1|country==12&wave3==1 /*Cambodia*/
replace country_asian = 458 if country==13&wave2==1|country==13&wave3==1 /*Malaysia*/

drop country
gen country=country_asian

*do "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Do files/Label_Cntry.do"
do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
label values country countrylab

// Wave
// years in the dataset do not correspond to fieldwork years on website - using fieldwork years on website
gen asian_wave=2001 if country_asian==158&wave1==1|country_asian==344&wave1==1| ///
	country_asian==764&wave1==1
replace asian_wave=2002 if country_asian==608&wave1==1|country_asian==156&wave1==1| ///
	country_asian==496&wave1==1
replace asian_wave=2003 if country_asian==410&wave1==1|country_asian==392&wave1==1
replace asian_wave=2005 if country_asian==608&wave2==1|country_asian==704&wave2==1
replace asian_wave=2006 if country_asian==158&wave2==1|country_asian==764&wave2==1| ///
	country_asian==496&wave2==1|country_asian==702&wave2==1|country_asian==410&wave2==1| ///
	country_asian==360&wave2==1
replace asian_wave=2007 if country_asian==392&wave2==1|country_asian==458&wave2==1| ///
	country_asian==344&wave2==1
replace asian_wave=2008 if country_asian==156&wave2==1|country_asian==116&wave2==1
replace asian_wave=2010 if country_asian==496&wave3==1|country_asian==608&wave3==1| ///
	country_asian==702&wave3==1|country_asian==158&wave3==1|country_asian==764&wave3==1| ///
	country_asian==704&wave3==1
replace asian_wave=2011 if country_asian==360&wave3==1|country_asian==392&wave3==1| ///
	country_asian==458&wave3==1|country_asian==410&wave3==1|country_asian==156&wave3==1
replace asian_wave=2012 if country_asian==344&wave3==1|country_asian==116&wave3==1
replace asian_wave=2014 if country_asian==158&wave4==1

gen year=asian_wave

// DVs
// Democracy best
gen democracybest_anb = 1 if q128==1&wave3==1
replace democracybest_anb = 2 if q128==2&wave3==1
replace democracybest_anb = 3 if q128==3&wave3==1
replace democracybest_anb = 4 if q128==4&wave3==1
replace democracybest_anb = -1 if q128==5&wave3==1
replace democracybest_anb = -2 if q128==6&wave3==1
replace democracybest_anb = -3 if q128==7&wave3==1
label variable democracybest_anb "Democracy may have its problem but it is still the best form of government"

label define agree_lab 1 "strongly agree" 2 "agree" 3 "disagree" 4 "strongly disagree" ///
	-1 "do not understand the question" -2 "can't choose" -3 "declined"
label values democracybest_anb agree_lab
 
// Best government
gen bestgovt_anb = 1 if q117==3&wave1==1|q117==3&wave2==1|q124==1&wave3==1
replace bestgovt_anb = 2 if q117==2&wave1==1|q117==2&wave2==1|q124==2&wave3==1
replace bestgovt_anb = 3 if q117==1&wave1==1|q117==1&wave2==1|q124==3&wave3==1
replace bestgovt_anb = -1 if q117==4&wave2==1|q124==4&wave3==1
replace bestgovt_anb = -2 if q117==5&wave2==1|q124==5&wave3==1
replace bestgovt_anb = -3 if q117==6&wave2==1|q124==6&wave3==1

label define dem_lab 1 "democracy is preferable" 2 "sometimes authoritarian better than democracy" ///
	3 "doesn't matter if democratic or authoritarian" -1 "do not understand the question" ///
	-2 "can't choose" -3 "declined"
label values bestgovt_anb dem_lab 

// Democratic satisfaction
gen demsat_anb = 1 if q098==1&wave1==1|q098==1&wave2==1|q89==4&wave3==1|q92==4&wave4==1
replace demsat_anb = 2 if q098==2&wave1==1|q098==2&wave2==1|q89==3&wave3==1|q92==3&wave4==1
replace demsat_anb = 3 if q098==3&wave1==1|q098==3&wave2==1|q89==2&wave3==1|q92==2&wave4==1
replace demsat_anb = 4 if q098==4&wave1==1|q098==4&wave2==1|q89==1&wave3==1|q92==1&wave4==1
replace demsat_anb = -2 if q098==5&wave2==1|q89==5&wave3==1|q92==7&wave4==1
replace demsat_anb = -3 if q098==6&wave2==1|q89==6&wave3==1|q92==7&wave4==1

label define demsat_lab 1 "not at all satisfied" 2 "not very satisfied" 3 "fairly satisfied" ///
	4 "very satisfied" -2 "can't choose" -3 "declined"
label values demsat demsat_anb


// Strong leader

tab1 q121 q129 q130

gen strongleader_anb = 1 if q121==1&wave1==1|q121==1&wave2==1|q129==1&wave3==1 |q130==1&wave4==1
replace strongleader_anb = 2 if q121==2&wave1==1|q121==2&wave2==1|q129==2&wave3==1 |q130==2&wave4==1
replace strongleader_anb = 3 if q121==3&wave1==1|q121==3&wave2==1|q129==3&wave3==1 |q130==3&wave4==1
replace strongleader_anb = 4 if q121==4&wave1==1|q121==4&wave2==1|q129==4&wave3==1 |q130==4&wave4==1
replace strongleader_anb = -2 if q121==5&wave2==1|q129==5&wave3==1 |q130==5&wave4==1
replace strongleader_anb = -3 if q121==6&wave2==1|q129==6&wave3==1 |q130==6&wave4==1
replace strongleader_anb = -1 if q121==7&wave2==1|q129==7&wave3==1 |q130==7&wave4==1

label values strongleader_anb agree_lab

// Confidence in Parliament
gen conf_parl_anb = 1 if q010==2&wave1==1|q010==1&wave2==1|q11==4&wave3==1|q11==5&wave4==1
replace conf_parl_anb = 2 if q010==3&wave1==1|q010==2&wave2==1|q11==3&wave3==1|q11==4&wave4==1
replace conf_parl_anb = 3 if q010==4&wave1==1|q010==3&wave2==1|q11==2&wave3==1|q11==3&wave4==1
replace conf_parl_anb = 4 if q010==5&wave1==1|q010==4&wave2==1|q11==1&wave3==1|q11==2&wave4==1
replace conf_parl_anb = -1 if q010==5&wave2==1|q11==5&wave3==1
replace conf_parl_anb = -2 if q010==6&wave2==1|q11==6&wave3==1|q11==7&wave4==1
replace conf_parl_anb = -3 if q010==7&wave2==1|q11==7&wave3==1|q11==8&wave4==1

label define conf_lab 1 "none at all" 2 "not very much trust" 3 "quite a lot of trust" ///
	4 "a great deal of trust" -1 "do not understand the question" -2 "can't choose" ///
	-3 "declined"
label values conf_parl_anb conf_lab

// Confidence in Judiciary
gen conf_judic_anb = 1 if q007==2&wave1==1|q007==1&wave2==1|q8==4&wave3==1|q8==5&wave4==1
replace conf_judic_anb = 2 if q007==3&wave1==1|q007==2&wave2==1|q8==3&wave3==1|q8==4&wave4==1
replace conf_judic_anb = 3 if q007==4&wave1==1|q007==3&wave2==1|q8==2&wave3==1|q8==3&wave4==1
replace conf_judic_anb = 4 if q007==5&wave1==1|q007==4&wave2==1|q8==1&wave3==1|q8==2&wave4==1
replace conf_judic_anb = -1 if q007==5&wave2==1|q8==5&wave3==1
replace conf_judic_anb = -2 if q007==6&wave2==1|q8==6&wave3==1|q8==7&wave4==1
replace conf_judic_anb = -3 if q007==7&wave2==1|q8==7&wave3==1|q8==8&wave4==1

label values conf_judic_anb conf_lab

// Confidence in political parties
gen conf_party_anb = 1 if q009==2&wave1==1|q009==1&wave2==1|q10==4&wave3==1|q10==5&wave4==1
replace conf_party_anb = 2 if q009==3&wave1==1|q009==2&wave2==1|q10==3&wave3==1|q10==4&wave4==1
replace conf_party_anb = 3 if q009==4&wave1==1|q009==3&wave2==1|q10==2&wave3==1|q10==3&wave4==1
replace conf_party_anb = 4 if q009==5&wave1==1|q009==4&wave2==1|q10==1&wave3==1|q10==2&wave4==1
replace conf_party_anb = -1 if q009==5&wave2==1|q10==5&wave3==1
replace conf_party_anb = -2 if q009==6&wave2==1|q10==6&wave3==1|q10==7&wave4==1
replace conf_party_anb = -3 if q009==7&wave2==1|q10==7&wave3==1|q10==8&wave4==1

label values conf_party_anb conf_lab

// Confidence in military
gen conf_milit_anb = 1 if q012==2&wave1==1|q012==1&wave2==1|q13==4&wave3==1|q13==5&wave4==1
replace conf_milit_anb = 2 if q012==3&wave1==1|q012==2&wave2==1|q13==3&wave3==1|q13==4&wave4==1
replace conf_milit_anb = 3 if q012==4&wave1==1|q012==3&wave2==1|q13==2&wave3==1|q13==3&wave4==1
replace conf_milit_anb = 4 if q012==5&wave1==1|q012==4&wave2==1|q13==1&wave3==1|q13==2&wave4==1
replace conf_milit_anb = -1 if q012==5&wave2==1|q13==5&wave3==1
replace conf_milit_anb = -2 if q012==6&wave2==1|q13==6&wave3==1|q13==7&wave4==1
replace conf_milit_anb = -3 if q012==7&wave2==1|q13==7&wave3==1|q13==8&wave4==1

label values conf_milit_anb conf_lab

// Confidence in public administration
gen conf_admin_anb = 1 if q011==2&wave1==1|q011==1&wave2==1|q12==4&wave3==1|q12==5&wave4==1
replace conf_admin_anb = 2 if q011==3&wave1==1|q011==2&wave2==1|q12==3&wave3==1|q12==4&wave4==1
replace conf_admin_anb = 3 if q011==4&wave1==1|q011==3&wave2==1|q12==2&wave3==1|q12==3&wave4==1
replace conf_admin_anb = 4 if q011==5&wave1==1|q011==4&wave2==1|q12==1&wave3==1|q12==2&wave4==1
replace conf_admin_anb = -1 if q011==5&wave2==1|q12==5&wave3==1
replace conf_admin_anb = -2 if q011==6&wave2==1|q12==6&wave3==1|q12==7&wave4==1
replace conf_admin_anb = -3 if q011==7&wave2==1|q12==7&wave3==1|q12==8&wave4==1

label values conf_admin_anb conf_lab

// Confidence in government
gen conf_gov_anb = 1 if q008==2&wave1==1|q008==1&wave2==1|q9==4&wave3==1|q9==5&wave4==1
replace conf_gov_anb = 2 if q008==3&wave1==1|q008==2&wave2==1|q9==3&wave3==1|q9==4&wave4==1
replace conf_gov_anb = 3 if q008==4&wave1==1|q008==3&wave2==1|q9==2&wave3==1|q9==3&wave4==1
replace conf_gov_anb = 4 if q008==5&wave1==1|q008==4&wave2==1|q9==1&wave3==1|q9==2&wave4==1
replace conf_gov_anb = -1 if q008==5&wave2==1|q9==5&wave3==1
replace conf_gov_anb = -2 if q008==6&wave2==1|q9==6&wave3==1|q9==7&wave4==1
replace conf_gov_anb = -3 if q008==7&wave2==1|q9==7&wave3==1|q9==8&wave4==1

label values conf_gov_anb conf_lab

// Confidence in  police
gen conf_police_anb = 1 if q013==2&wave1==1|q013==1&wave2==1|q14==4&wave3==1|q14==5&wave4==1
replace conf_police_anb = 2 if q013==3&wave1==1|q013==2&wave2==1|q14==3&wave3==1|q14==4&wave4==1
replace conf_police_anb = 3 if q013==4&wave1==1|q013==3&wave2==1|q14==2&wave3==1|q14==3&wave4==1
replace conf_police_anb = 4 if q013==5&wave1==1|q013==4&wave2==1|q14==1&wave3==1|q14==2&wave4==1
replace conf_police_anb = -1 if q013==5&wave2==1|q14==5&wave3==1
replace conf_police_anb = -2 if q013==6&wave2==1|q14==6&wave3==1|q14==7&wave4==1
replace conf_police_anb = -3 if q013==7&wave2==1|q14==7&wave3==1|q14==8&wave4==1

label values conf_police_anb conf_lab

// Confidence in local government
gen conf_local_anb = 1 if q014==2&wave1==1|q014==1&wave2==1|q15==4&wave3==1|q15==5&wave4==1
replace conf_local_anb = 2 if q014==3&wave1==1|q014==2&wave2==1|q15==3&wave3==1|q15==4&wave4==1
replace conf_local_anb = 3 if q014==4&wave1==1|q014==3&wave2==1|q15==2&wave3==1|q15==3&wave4==1
replace conf_local_anb = 4 if q014==5&wave1==1|q014==4&wave2==1|q15==1&wave3==1|q15==2&wave4==1
replace conf_local_anb = -1 if q014==5&wave2==1|q15==5&wave3==1
replace conf_local_anb = -2 if q014==6&wave2==1|q15==6&wave3==1|q15==7&wave4==1
replace conf_local_anb = -3 if q014==7&wave2==1|q15==7&wave3==1|q15==8&wave4==1

label values conf_local_anb conf_lab

// Confidence in newspapers
gen conf_news_anb = 1 if q015==2&wave1==1|q015==1&wave2==1|q16==4&wave3==1|q16==5&wave4==1
replace conf_news_anb = 2 if q015==3&wave1==1|q015==2&wave2==1|q16==3&wave3==1|q16==4&wave4==1
replace conf_news_anb = 3 if q015==4&wave1==1|q015==3&wave2==1|q16==2&wave3==1|q16==3&wave4==1
replace conf_news_anb = 4 if q015==5&wave1==1|q015==4&wave2==1|q16==1&wave3==1|q16==2&wave4==1
replace conf_news_anb = -1 if q015==5&wave2==1|q16==5&wave3==1
replace conf_news_anb = -2 if q015==6&wave2==1|q16==6&wave3==1|q16==7&wave4==1
replace conf_news_anb = -3 if q015==7&wave2==1|q16==7&wave3==1|q16==8&wave4==1

label values conf_news_anb conf_lab

// Government trust
// Wave 4 Taiwan?? 
gen govt_trust_anb = 1 if q131==1&wave1==1|q131==1&wave2==1|q136==1&wave3==1
replace govt_trust_anb = 2 if q131==2&wave1==1|q131==2&wave2==1|q136==2&wave3==1
replace govt_trust_anb = 3 if q131==3&wave1==1|q131==3&wave2==1|q136==3&wave3==1
replace govt_trust_anb = 4 if q131==4&wave1==1|q131==4&wave2==1|q136==4&wave3==1
replace govt_trust_anb = -1 if q131==5&wave2==1|q136==5&wave3==1
replace govt_trust_anb = -2 if q131==6&wave2==1|q136==6&wave3==1
replace govt_trust_anb = -3 if q131==7&wave2==1|q136==7&wave3==1
label variable govt_trust_anb "You can generally trust the people who run our government to do what is right"

label values govt_trust_anb agree_lab

// Politics complicated
// Also Taiwan wave 4?? 
gen polcomp_anb = 1 if q127==1&wave1==1|q127==1&wave2==1|q134==1&wave3==1
replace polcomp_anb = 2 if q127==2&wave1==1|q127==2&wave2==1|q134==2&wave3==1
replace polcomp_anb = 3 if q127==3&wave1==1|q127==3&wave2==1|q134==3&wave3==1
replace polcomp_anb = 4 if q127==4&wave1==1|q127==4&wave2==1|q134==4&wave3==1
replace polcomp_anb = 5 if q127==5&wave2==1|q134==5&wave3==1
replace polcomp_anb = 6 if q127==6&wave2==1|q134==6&wave3==1
replace polcomp_anb = 7 if q127==7&wave2==1|q134==7&wave3==1

label variable polcomp_anb "Politics is so complicated that I can't understand"
label values polcomp_anb agree_lab

// Can participate in politics
// Also Taiwan wave 4?? 
gen canparticipate_anb = 1 if q126==4&wave1==1|q126==1&wave2==1|q133==1&wave3==1
replace canparticipate_anb = 2 if q126==3&wave1==1|q126==2&wave2==1|q133==2&wave3==1
replace canparticipate_anb = 3 if q126==2&wave1==1|q126==3&wave2==1|q133==3&wave3==1
replace canparticipate_anb = 4 if q126==1&wave1==1|q126==4&wave2==1|q133==4&wave3==1
replace canparticipate_anb = -1 if q126==5&wave2==1|q133==5&wave3==1
replace canparticipate_anb = -2 if q126==6&wave2==1|q133==6&wave3==1
replace canparticipate_anb = -3 if q126==7&wave2==1|q133==7&wave3==1

label variable canparticipate_anb "I think I have the ability to participate in politics"
label values canparticipate_anb agree_lab

// Political interest
gen polinterest_anb = 1 if q056==1&wave1==1|q056==1&wave2==1|q43==4&wave3==1|q44==5&wave4==1
replace polinterest_anb = 2 if q056==2&wave1==1|q056==2&wave2==1|q43==3&wave3==1|q44==4&wave4==1
replace polinterest_anb = 3 if q056==3&wave1==1|q056==3&wave2==1|q43==2&wave3==1|q44==3&wave4==1
replace polinterest_anb = 4 if q056==4&wave1==1|q056==4&wave2==1|q43==1&wave3==1|q44==2&wave4==1
replace polinterest_anb = -4 if q056==5&wave2==1
replace polinterest_anb = -2 if q056==6&wave2==1|q43==5&wave3==1|q43==7&wave4==1
replace polinterest_anb = -3 if q056==7&wave2==1|q43==6&wave3==1

label define intlab 1 "not at all interested" 2 "not very interested" 3 "somewhat interested" ///
	4 "very interested" -1 "do not understand the question" -2 "can't choose" -3 "declined" ///
	-4 "no answer"
label values polinterest_anb intlab

// Talk about politics
gen discpol_anb = 1 if q023==1&wave1==1|qII52==3&wave2==1|q46==3&wave3==1| ///
	q46==4&wave4==1
replace discpol_anb = 2 if q023==2&wave1==1|q023==3&wave1==1|qII52==2&wave2==1| ///
	q46==2&wave3==1|q46==3&wave4==1
replace discpol_anb = 3 if q023==4&wave1==1|q023==5&wave1==1|qII52==1&wave2==1| ///
	q46==1&wave3==1|q46==2&wave4==1
replace discpol_anb = -4 if q023==4&wave2==1
replace discpol_anb = -2 if q023==5&wave2==1|q46==4&wave3==1|q46==6&wave4==1
replace discpol_anb = -3 if q023==6&wave2==1|q46==5&wave3==1

// rarely/sometimes in wave 1 = occasionally, often/very often in wave 1 = frequently
label define howoftenlab 1 "Never" 2 "Occasionally" 3 "Frequently" -4 "no answer" ///
	-2 "can't choose" -3 "declined"
label values discpol_anb howoftenlab

// Persuade others
gen persuade_anb = 1 if q030==1&wave1==1|q030==2&wave2==1|q35==3&wave3==1| ///
	q36==4&wave4==1
replace persuade_anb = 2 if q030==2&wave1==1|q030==3&wave2==1|q35==2&wave3==1| ///
	q36==3&wave4==1
replace persuade_anb = -5 if q030==1&wave2==1|q35==1&wave3==1
replace persuade_anb = -2 if q030==4&wave2==1|q35==4&wave3==1
replace persuade_anb = -3 if q030==5&wave2==1|q35==5&wave3==1|q36==7&wave4==1

label define yesnolab 1 "no" 2 "yes" -5 "N/A" -2 "can't choose" -3 "declined"
label values persuade_anb yesnolab

// News in general
gen news_pol_anb = 1 if q057==1&wave1==1|q057==1&wave2==1|q44==5&wave3==1| ///
	q45==6&wave4==1
replace news_pol_anb = 2 if q057==2&wave1==1|q057==2&wave2==1|q44==4&wave3==1| ///
	q45==5&wave4==1
replace news_pol_anb = 3 if q057==3&wave1==1|q057==3&wave2==1|q44==3&wave3==1| ///
	q45==4&wave4==1
replace news_pol_anb = 4 if q057==4&wave1==1|q057==4&wave2==1|q44==2&wave3==1| ///
	q45==3&wave4==1
replace news_pol_anb = 5 if q057==5&wave1==1|q057==5&wave2==1|q44==1&wave3==1| ///
	q45==2&wave4==1
replace news_pol_anb = -4 if q057==6&wave2==1
replace news_pol_anb = -2 if q057==7&wave2==1|q44==6&wave3==1|q45==8&wave4==1
replace news_pol_anb = -3 if q057==8&wave2==1|q44==7&wave3==1

label define freqlab 1 "practically never" 2 "not even once a week" 3 "once or twice a week" ///
	4 "several times a week" 5 "everyday" -4 "no answer" -2 "can't choose" -3 "decline"
label values news_pol_anb freqlab

// Turnout
gen turnout_anb = 0 if q027==1&wave1==1|q027==2&wave2==1|q32==3&wave3==1| ///
	q33==4&wave4==1
replace turnout_anb = 1 if q027==2&wave1==1|q027==3&wave2==1|q32==2&wave3==1| ///
	q33==3&wave4==1
replace turnout_anb = -5 if q027==1&wave2==1|q32==1&wave3==1
replace turnout_anb = -2 if q027==4&wave2==1|q32==5&wave3==1|q33==6&wave4==1
replace turnout_anb = -3 if q027==5&wave2==1|q32==6&wave3==1|q33==7&wave4==1
replace turnout_anb = -6 if q027==4&wave3==1|q33==2&wave4==1

label define turnoutlab 0 "no" 1 "yes" -5 "N/A" -2 "can't choose" -3 "decline" -6 "not eligible to vote"
label values turnout_anb turnoutlab 

// IVs
// Social status
gen status_anb = 1 if se017==1&wave2==1|se12==1&wave3==1|se12==2&wave4==1
replace status_anb = 2 if se017==2&wave2==1|se12==2&wave3==1|se12==3&wave4==1
replace status_anb = 3 if se017==3&wave2==1|se12==3&wave3==1|se12==4&wave4==1
replace status_anb = 4 if se017==4&wave2==1|se12==4&wave3==1|se12==5&wave4==1
replace status_anb = 5 if se017==5&wave2==1|se12==5&wave3==1|se12==6&wave4==1
replace status_anb = 6 if se017==6&wave2==1|se12==6&wave3==1|se12==7&wave4==1
replace status_anb = 7 if se017==7&wave2==1|se12==7&wave3==1|se12==8&wave4==1
replace status_anb = 8 if se017==8&wave2==1|se12==8&wave3==1|se12==9&wave4==1
replace status_anb = 9 if se017==9&wave2==1|se12==9&wave3==1|se12==10&wave4==1
replace status_anb = 10 if se017==10&wave2==1|se12==10&wave3==1|se12==11&wave4==1
replace status_anb = -1 if se017==11&wave2==1
replace status_anb = -2 if se017==12&wave2==1|se12==12&wave3==1|se12==13&wave4==1
replace status_anb = -3 if se017==13&wave2==1|se12==13&wave3==1|se12==14&wave4==1

label define statuslab 1 "lowest status" 10 "highest status" -1 "don't understand" ///
	-2 "can't choose" -3 "decline"
label variable status_anb statuslab

gen class_wave1=se017 if wave1==1

// Marital status
gen marstat_anb = 1 if se004==1&wave1==1|se004==2&wave2==1|se4==2&wave3==1| ///
	se4==3&wave4==1
replace marstat_anb = 2 if se004==2&wave1==1|se004==3&wave2==1|se4==3&wave3==1| ///
	se4==4&wave4==1
replace marstat_anb = 3 if se004==3&wave1==1|se004==4&wave2==1|se4==4&wave3==1| ///
	se4==5&wave4==1
replace marstat_anb = 4 if se004==4&wave1==1|se004==5&wave2==1|se4==5&wave3==1| ///
	se4==6&wave4==1|se004==5&wave1==1|se004==6&wave2==1|se4==6&wave3==1
replace marstat_anb = 5 if se004==6&wave1==1|se004==1&wave2==1|se4==1&wave3==1| ///
	se4==2&wave4==1
replace marstat_anb = -3 if se004==7&wave2==1|se4==7&wave3==1|se4==8&wave4==1
replace marstat_anb = -2 if se4==7&wave4==1

label define marlab 1 "married" 2 "cohabiting" 3 "widowed" 4 "separated/divorced" ///
	5 "never married" -3 "decline" -2 "can't choose"
label values marstat_anb marlab 

// sex
gen female_anb = 0 if se002==1&wave1==1|se002==1&wave2==1|se2==1&wave3==1|se2==2&wave4==1
replace female_anb = 1 if se002==2&wave1==1|se002==2&wave2==1|se2==2&wave3==1|se2==3&wave4==1

label define femlab 0 "male" 1 "female"
label values female_anb femlab

// Religion
gen relig_anb = 1 if se006==1&wave1==1|se006==22&wave2==1|se6==29&wave3==1
replace relig_anb = 2 if se006==2&wave1==1|se006==23&wave2==1|se006==24&wave2==1|se6==29&wave3==1| ///
	se6==30&wave3==1|se6==31&wave3==1|se6==26&wave4==1|se6==27&wave4==1
replace relig_anb = 3 if se006==3&wave1==1|se006==1&wave2==1|se6==1&wave3==1|se6==2&wave4==1
replace relig_anb = 4 if se006==4&wave1==1|se006==21&wave2==1|se6==28&wave3==1
replace relig_anb = 5 if se006==5&wave1==1|se006==16&wave2==1|se6==18&wave3==1| ///
	se6==19&wave3==1|se6==14&wave4==1|se6==15&wave4==1
replace relig_anb = 6 if se006==6&wave1==1|se006==15&wave2==1|se6==17&wave3==1
replace relig_anb = 7 if se006==7&wave1==1|se006==12&wave2==1|se006==13&wave2==1| ///
	se006==14&wave2==1|se6==14&wave3==1|se6==15&wave3==1|se6==16&wave3==1| ///
	se6==10&wave4==1
replace relig_anb = 8 if se006==8&wave1==1|se006==2&wave2==1|se6==2&wave3==1|se6==3&wave4==1
replace relig_anb = 9 if se006==9&wave1==1|se006==3&wave2==1|se006==4&wave2==1|se006==5&wave2==1| ///
	se006==6&wave2==1|se006==7&wave2==1|se006==8&wave2==1|se006==9&wave2==1|se006==10&wave2==1| ///
	se006==31&wave2==1|se6==3&wave3==1|se6==7&wave3==1|se6==9&wave3==1|se6==11&wave3==1| ///
	se6==12&wave3==1|se6==4&wave3==1
replace relig_anb = 10 if se006==10&wave1==1|se006==17&wave2==1| ///
	se006==24&wave2==1|se006==25&wave2==1|se006==26&wave2==1|se006==27&wave2==1| ///
	se006==30&wave2==1|se006==32&wave2==1|se006==33&wave2==1|se6==20&wave3==1| ///
	se6==22&wave3==1|se6==23&wave3==1|se6==24&wave3==1| ///
	se6==31&wave3==1|se6==21&wave3==1|se6==34&wave3==1| ///
	se6==41&wave3==1|se6==28&wave4==1
replace relig_anb = 11 if se006==11&wave1==1|se006==34&wave2==1|se6==43&wave3==1|se6==32&wave4==1
replace relig_anb = 12 if se006==11&wave2==1|se006==13&wave3==1
replace relig_anb = 13 if se006==18&wave2==1|se6==25&wave3==1
replace relig_anb = 14 if se006==24&wave2==1
replace relig_anb = 15 if se006==19&wave2==1|se6==26&wave3==1|se006==20&wave2==1| ///
	se6==27&wave3==1|se006==28&wave2==1|se006==29&wave2==1|se6==36&wave3==1| ///
	se6==42&wave3==1
replace relig_anb = -2 if se006==35&wave2==1|se6==44&wave3==1|se6==33&wave4==1
replace relig_anb = -3 if se006==36&wave2==1|se6==45&wave3==1|se6==34&wave4==1

label define religlab 1 "Shinto" 2 "Taoism" 3 "Other folk religion" 4 "Born again" 5 "Buddhism" ///
	6 "Hinduism" 7 "Islam" 8 "Roman Catholics" 9 "Protestantism" 10 "Others" 11 "None" 12 "Jews" ///
	13 "Sikh" 14 "Confucian" 15 "Other Christian" -2 "can't choose" -3 "decline"
label values relig_anb religlab

// Highest level of education
gen education_anb = 0 if se005==1&wave1==1|se005==1&wave2==1|se5==1&wave3==1| ///
	se5==2&wave4==1
replace education_anb = 1 if se005==2&wave1==1|se005==2&wave2==1|se5==2&wave3==1| ///
	se5==3&wave4==1
replace education_anb = 2 if se005==3&wave1==1|se005==3&wave2==1|se5==3&wave3==1| ///
	se5==4&wave4==1
replace education_anb = 3 if se005==4&wave1==1|se005==4&wave2==1|se5==4&wave3==1| ///
	se5==5&wave4==1
replace education_anb = 4 if se005==5&wave1==1|se005==5&wave2==1|se5==5&wave3==1| ///
	se5==6&wave4==1
replace education_anb = 5 if se005==6&wave1==1|se005==6&wave2==1|se5==6&wave3==1| ///
	se5==7&wave4==1
replace education_anb = 6 if se005==7&wave1==1|se005==7&wave2==1|se5==7&wave3==1| ///
	se5==8&wave4==1
replace education_anb = 7 if se005==8&wave1==1|se005==8&wave2==1|se5==8&wave3==1| ///
	se5==9&wave4==1
replace education_anb = 8 if se005==9&wave1==1|se005==9&wave2==1|se5==9&wave3==1| ///
	se5==10&wave4==1
replace education_anb = 9 if se005==10&wave1==1|se005==10&wave2==1|se5==10&wave3==1| ///
	se5==11&wave4==1
replace education_anb = 10 if se005==11&wave2==1
replace education_anb = -3 if se005==12&wave2==1|se5==12&wave3==1|se5==14&wave4==1
replace education_anb = -2 if se5==13&wave4==1

label define edulab 0 "no formal education" 1 "incomplete elementary" 2 "complete elementary" ///
	3 "incomplete secondary" 4 "complete secondary" 5 "incomplete high school" ///
	6 "complete high school" 7 "some university/college" 8 "university/college" ///
	9 "postgraduate" 10 "other" -3 "declined" -2 "can't choose"
label values education_anb edulab

// Years of education
gen eduyears_anb = se005a if wave1==1
replace eduyears_anb = se005a if wave2==1
replace eduyears_anb = -5 if se005a==90&wave2==1|se5a==90&wave3==1|se5a==90&wave4==1
replace eduyears_anb = -4 if se005a==97&wave2==1|se5a==97&wave3==1|se5a==97&wave4==1
replace eduyears_anb = -2 if se005a==98&wave2==1|se5a==98&wave3==1|se5a==98&wave4==1
replace eduyears_anb = -3 if se005a==99&wave2==1|se5a==99&wave3==1|se5a==99&wave4==1
replace eduyears_anb = se5a if wave3==1|wave4==1

label define misslab -5 "N/A" -4 "no answer" -3 "declined" -2 "can't choose"
label values eduyears_anb misslab

// Employment status
gen employed_anb = 1 if se012a==1&wave2==1|se012a==2&wave2==1|se012a==11&wave2==1| ///
	se012a==7&wave2==1|se9==1&wave3==1|se9==1&wave4==1|se012a==3&wave2==1
replace employed_anb = 2 if se012a==5&wave2==1|se012a==6&wave2==1|se012a==4&wave2==1| ///
	se9==2&wave3==1|se9==2&wave4==1|se012a==10&wave2==1
replace employed_anb = -4 if se012a==8&wave2==1
replace employed_anb = -3 if se012a==9&wave2==1|se9==3&wave3==1|se9==4&wave4==1

label define employlab 1 "employed" 2 "unemployed" -3 "declined" -4 "no answer"
label values employed_anb employlab

// Financial satisfaction
gen finan_satis_anb = 1 if q004==1&wave1==1|q004==1&wave2==1|q4==5&wave3==1| ///
	q4==6&wave4==1
replace finan_satis_anb = 2 if q004==2&wave1==1|q004==2&wave2==1|q4==4&wave3==1| ///
	q4==5&wave4==1
replace finan_satis_anb = 3 if q004==3&wave1==1|q004==3&wave2==1|q4==3&wave3==1| ///
	q4==4&wave4==1
replace finan_satis_anb = 4 if q004==4&wave1==1|q004==4&wave2==1|q4==2&wave3==1| ///
	q4==3&wave4==1
replace finan_satis_anb = 5 if q004==5&wave1==1|q004==5&wave2==1|q4==1&wave3==1| ///
	q4==2&wave4==1
replace finan_satis_anb = -2 if q004==6&wave2==1|q4==7&wave3==1|q4==8&wave4==1
replace finan_satis_anb = -3 if q004==7&wave2==1|q4==8&wave3==1|q4==9&wave4==1
replace finan_satis_anb = -1 if q4==6&wave3==1

label define satislab 1 "very bad" 2 "bad" 3 "neither" 4 "good" 5 "very good" -2 "can't choose" ///
	-3 "declined"
label values finan_satis_anb satislab

// Income
gen income_anb = 1 if se009==1&wave1==1|se009==1&wave2==1|se13==1&wave3==1| ///
	se14==2&wave4==1
replace income_anb = 2 if se009==2&wave1==1|se009==2&wave2==1|se13==2&wave3==1| ///
	se14==3&wave4==1
replace income_anb = 3 if se009==3&wave1==1|se009==3&wave2==1|se13==3&wave3==1| ///
	se14==4&wave4==1
replace income_anb = 4 if se009==4&wave1==1|se009==4&wave2==1|se13==4&wave3==1| ///
	se14==5&wave4==1
replace income_anb = 5 if se009==5&wave1==1|se009==5&wave2==1|se13==5&wave3==1| ///
	se14==6&wave4==1
replace income_anb = -4 if se009==97&wave2==1
replace income_anb = -2 if se009==98&wave2==1|se13==6&wave3==1|se14==7&wave4==1
replace income_anb = -3 if se009==99&wave2==1|se13==7&wave3==1|se14==8&wave4==1

label define incomelab 1 "lowest quintile" 2 "2nd quintile" 3 "3rd quintile" 4 "4th quintile" ///
	5 "5th quintile" -4 "no answer" -3 "declined" -2 "can't choose"
label values income_anb incomelab

rename income_anb income_5

// sampling information
gen sampling_anb = "national probability sample"
gen surveymode_anb = "F2F"

// age
tab se003a, nol
gen age = se003a + 17 if se003a<=73&wave1==1
replace age = 93 if se003a==74&wave1==1
replace age = 109 if se003a==75&wave1==1
replace age = se003a if wave2==1
replace age = asian_wave-se3 if wave3==1
replace age = . if age==2003

// birth year
gen birth = asian_wave-age

// dataset
gen data = 5
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep country year democracybest_anb bestgovt_anb conf_parl_anb conf_judic_anb ///
	conf_party_anb conf_milit_anb conf_admin_anb conf_gov_anb conf_police_anb conf_local_anb ///
	conf_news_anb govt_trust_anb polcomp_anb canparticipate_anb polinterest_anb discpol_anb ///
	persuade_anb news_pol_anb turnout_anb status_anb marstat_anb female_anb relig_anb education_anb ///
	eduyears_anb employed_anb finan_satis_anb income_5 sampling_anb surveymode_anb ///
	birth age se006 se6 data demsat_anb strongleader_anb class_wave1

saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\Asianbarometer.dta", replace
*saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/Asianbarometer.dta", replace











