// Add WVS country codes to the Central and Eastern European Barometer

clear all
use "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/CEEB/ZA3648.dta"
*use "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/CEEB/ZA3648.dta"

tab V3, nol

gen country = 8 if V3==1
replace country = 51 if V3==2
replace country = 112 if V3==3
replace country = 100 if V3==4
replace country = 191 if V3==5
replace country = 203 if V3==6
replace country = 703 if V3==7
replace country = 233 if V3==8
replace country = 268 if V3==9
replace country = 348 if V3==10
replace country = 428 if V3==11
replace country = 440 if V3==12
replace country = 807 if V3==13
replace country = 498 if V3==14
replace country = 616 if V3==15
replace country = 642 if V3==16
replace country = 643 if V3==17
replace country = 705 if V3==18
replace country = 804 if V3==19
replace country = 398 if V3==20
replace country = 23 if V3==21
replace country = 901 if V3==22

*do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
*label values country countrylab

// sample information
gen sampling_ceeb = "nationally representative multi-stage random probability sample"
replace sampling_ceeb = "quota sampling" if country==348&V4==1991|country==703| ///
	country==8&V4==1995
gen surveymode_ceeb = "F2F"

// age
tab V120, missing
rename V120 age

// year
tab V4, nol
rename V4 year

// Birth year
gen birth = year-age
tab birth

// Income distribution
// deciles
set more off
forvalues i = 134/206 {
egen income_10_`i' = xtile(V`i') if V`i'!=., nq(10)
}

gen income_10 = income_10_134 if V134!=.
forvalues i = 135/206 {
replace income_10 = income_10_`i' if V`i'!=.
}

// quintiles
set more off
forvalues i = 134/206 {
egen income_5_`i' = xtile(V`i') if V`i'!=., nq(5)
}

gen income_5 = income_5_134 if V134!=.
forvalues i = 135/206 {
replace income_5 = income_5_`i' if V`i'!=.
}

// dataset
gen data=11
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep V18 V19 V16 V15 V78 V125 V119 V128 V127 year age country sampling_ceeb surveymode_ceeb ///
	birth income_10 income_5 data V133

//saveold "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/CEEB/CEEB_WVS_country.dta", replace
*saveold "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/Data for harmonisation/CEEB.dta", replace
saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/CEEB.dta", replace

use "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/CEEB.dta", clear
