capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\CSES_merge.log", replace

// name of do-file: CSES_merge
// project: legacy of authoritarian regimes
// data: CSES

// Merging all waves of the CSES

set more off

version 13
clear all
macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\CSES"
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/CSES"

*use cses4.dta, clear

use CSES1-3_harmonized_complete_13.dta, clear
gen cses1_3=1
keep iA3001_m B3015_m B3001_1_m B3001_2_m turnout_1 turnout_2 iA2004_m1 iA2004_m2 iA2002_m iA2001_m ///
	iA2017_m iA2003_m iA2007_m iA2012_m countryyears wave_id cses1_3 A1007 B1007 C1007

append using cses4.dta, gen(cses4) keep(D3017 D2004 D2002 D2026 D2003 D2010 D2001_Y D2020 D1004 D1007)

// Survey year
gen wave_cses = 1996 if countryyears=="AUS_1_1996"|countryyears=="CZE_1_1996"| ///
	countryyears=="ESP_1_1996"|countryyears=="ISR_1_1996"|countryyears=="JPN_1_1996"| ///
	countryyears=="NZL_1_1996"|countryyears=="ROU_1_1996"|countryyears=="SVN_1_1996"| ///
	countryyears=="TWN_1_1996"|countryyears=="USA_1_1996"
replace wave_cses = 1997 if countryyears=="CAN_1_1997"|countryyears=="GBR_1_1997"| ///
	countryyears=="LTU_1_1997"|countryyears=="MEX_1_1997"|countryyears=="NOR_1_1997"| ///
	countryyears=="POL_1_1997"
replace wave_cses = 1998 if countryyears=="DEU_1_1998"|countryyears=="DNK_1_1998"| ///
	countryyears=="HKG_1_1998"|countryyears=="HUN_1_1998"|countryyears=="NLD_1_1998"| ///
	countryyears=="SWE_1_1998"|countryyears=="UKR_1_1998"
replace wave_cses = 1999 if countryyears=="BELF_1_1999"|countryyears=="BELW_1_1999"| ///
	countryyears=="CHE_1_1999"|countryyears=="ISL_1_1999"|countryyears=="RUS_1_1999"| ///
	countryyears=="CHL_1_1999"
replace wave_cses = 2000 if countryyears=="ESP_1_2000"|countryyears=="HKG_1_2000"| ///
	countryyears=="KOR_1_2000"|countryyears=="MEX_1_2000"|countryyears=="PER_1_2000"| ///
	countryyears=="RUS_1_2000"
replace wave_cses = 2001 if countryyears=="BGR_2_2001"|countryyears=="BLR_1_2001"| ///
	countryyears=="DNK_2_2001"|countryyears=="NOR_2_2001"|countryyears=="PER_1_2001"| ///
	countryyears=="POL_2_2001"|countryyears=="THA_1_2001"|countryyears=="TWN_2_2001"
replace wave_cses = 2002 if countryyears=="BRA_2_2002"|countryyears=="CZE_2_2002"| ///
	countryyears=="DEU_2_2002"|countryyears=="FRA_2_2002"|countryyears=="HUN_2_2002"| ///
	countryyears=="IRL_2_2002"|countryyears=="NLD_2_2002"|countryyears=="NZL_2_2002"| ///
	countryyears=="PRT_1_2002"|countryyears=="PRT_2_2002"|countryyears=="SWE_2_2002"
replace wave_cses = 2003 if countryyears=="BEL_2_2003"|countryyears=="CHE_2_2003"| ///
	countryyears=="FIN_2_2003"|countryyears=="ISL_2_2003"|countryyears=="ISR_2_2003"| ///
	countryyears=="MEX_2_2003"
replace wave_cses = 2004 if countryyears=="AUS_2_2004"|countryyears=="CAN_2_2004"| ///
	countryyears=="ESP_2_2004"|countryyears=="HKG_2_2004"|countryyears=="JPN_2_2004"| ///
	countryyears=="KOR_1_2004"|countryyears=="PHL_2_2004"|countryyears=="ROU_2_2004"| ///
	countryyears=="RUS_2_2004"|countryyears=="SVN_2_2004"|countryyears=="TWN_2_2004"| ///
	countryyears=="USA_2_2004"|countryyears=="KOR_2_2004"
replace wave_cses = 2005 if countryyears=="ALB_2_2005"|countryyears=="DEU_3_2005"| ///
	countryyears=="GBR_2_2005"|countryyears=="KGZ_2_2005"|countryyears=="NOR_3_2005"| ///
	countryyears=="POL_3_2005"|countryyears=="PRT_2_2005"|countryyears=="CHL_2_2005"
replace wave_cses = 2006 if countryyears=="BRA_3_2006"|countryyears=="CZE_3_2006"| ///
	countryyears=="ISR_3_2006"|countryyears=="ITA_2_2006"|countryyears=="MEX_3_2006"| ///
	countryyears=="NLD_3_2006"|countryyears=="PER_2_2006"|countryyears=="SWE_3_2006"
replace wave_cses = 2007 if countryyears=="AUS_3_2007"|countryyears=="CHE_3_2007"| ///
	countryyears=="DNK_3_2007"|countryyears=="FIN_3_2007"|countryyears=="FRA_3_2007"| ///
	countryyears=="HRV_3_2007"|countryyears=="IRL_3_2007"|countryyears=="ISL_3_2007"| ///
	countryyears=="JPN_3_2007"|countryyears=="POL_3_2007"|countryyears=="THA_3_2007"
replace wave_cses = 2008 if countryyears=="AUT_3_2008"|countryyears=="BLR_3_2008"| ///
	countryyears=="CAN_3_2008"|countryyears=="ESP_3_2008"|countryyears=="HKG_3_2008"| ///
	countryyears=="KOR_3_2008"|countryyears=="NZL_3_2008"|countryyears=="SVN_3_2008"| ///
	countryyears=="TWN_3_2008"|countryyears=="USA_3_2008"
replace wave_cses = 2009 if countryyears=="DEU_3_2009"|countryyears=="GRC_3_2009"| ///
	countryyears=="ISL_3_2009"|countryyears=="MEX_3_2009"|countryyears=="NOR_3_2009"| ///
	countryyears=="PRT_3_2009"|countryyears=="ROU_3_2009"|countryyears=="URY_3_2009"| ///
	countryyears=="ZAF_3_2009"|countryyears=="CHL_3_2009"
replace wave_cses = 2010 if countryyears=="BRA_3_2010"|countryyears=="CZE_3_2010"| ///
	countryyears=="LVA_3_2010"|countryyears=="NLD_3_2010"|countryyears=="PHL_3_2010"| ///
	countryyears=="SVK_3_2010"
replace wave_cses = 2011 if countryyears=="EST_3_2011"|countryyears=="FIN_3_2011"| ///
	countryyears=="PER_3_2011"|countryyears=="TUR_3_2011"|D1004=="CAN_2011"| ///
	D1004=="CHE_2011"|D1004=="IRL_2011"|D1004=="NZL_2011"|D1004=="POL_2011"| ///
	D1004=="SVN_2011"|D1004=="THA_2011"
replace wave_cses = 2012 if D1004=="FRA_2012"|D1004=="GRC_2012"|D1004=="KOR_2012"| ///
	D1004=="MEX_2012"|D1004=="MNE_2012"||D1004=="SRB_2012"|D1004=="TWN_2012"| ///
	D1004=="USA_2012"
replace wave_cses = 2013 if D1004=="AUS_2013"|D1004=="AUT_2013"|D1004=="CZE_2013"| ///
	D1004=="DEU_2013"|D1004=="ISL_2013"|D1004=="ISR_2013"|D1004=="JPN_2013"| ////
	D1004=="NOR_2013"
replace wave_cses = 2014 if D1004=="BGR_2014"|D1004=="BRA_2014"|D1004=="SWE_2014"
replace wave_cses = 2015 if D1004=="MEX_2015"|D1004=="PRT_2015"|D1004=="TUR_2015"

gen year=wave_cses

// Country
// CHE = Switzerland, HRV = Croatia
gen country_cses = 8 if countryyears=="ALB_2_2005"
replace country_cses = 36 if countryyears=="AUS_1_1996"|countryyears=="AUS_2_2004"| ///
	countryyears=="AUS_3_2007"|D1004=="AUS_2013"
replace country_cses = 40 if countryyears=="AUT_3_2008"|D1004=="AUT_2013"
replace country_cses = 56 if countryyears=="BELF_1_1999"|countryyears=="BELW_1_1999"| ///
	countryyears=="BEL_2_2003"
replace country_cses = 100 if countryyears=="BGR_2_2001"|D1004=="BGR_2014"
replace country_cses = 112 if countryyears=="BLR_1_2001"|countryyears=="BLR_3_2008"
replace country_cses = 76 if countryyears=="BRA_2_2002"|countryyears=="BRA_3_2006"| ///
	countryyears=="BRA_3_2010"|D1004=="BRA_2014"
replace country_cses = 124 if countryyears=="CAN_1_1997"|countryyears=="CAN_2_2004"| ///
	countryyears=="CAN_3_2008"|D1004=="CAN_2011"
replace country_cses = 756 if countryyears=="CHE_1_1999"|countryyears=="CHE_2_2003"| ///
	countryyears=="CHE_3_2007"|D1004=="CHE_2011"
replace country_cses = 203 if countryyears=="CZE_1_1996"|countryyears=="CZE_2_2002"| ///
	countryyears=="CZE_3_2006"|countryyears=="CZE_3_2010"|D1004=="CZE_2013"
replace country_cses = 276 if countryyears=="DEU_1_1998"|countryyears=="DEU_2_2002"| ///
	countryyears=="DEU_3_2005"|countryyears=="DEU_3_2009"|D1004=="DEU_2013"
replace country_cses = 208 if countryyears=="DNK_1_1998"|countryyears=="DNK_2_2001"| ///
	countryyears=="DNK_3_2007"
replace country_cses = 724 if countryyears=="ESP_1_1996"|countryyears=="ESP_1_2000"| ///
	countryyears=="ESP_2_2004"|countryyears=="ESP_3_2008"
replace country_cses = 233 if countryyears=="EST_3_2011"
replace country_cses = 246 if countryyears=="FIN_2_2003"|countryyears=="FIN_3_2007"
replace country_cses = 250 if countryyears=="FRA_2_2002"|countryyears=="FRA_3_2007"| ///
	D1004=="FRA_2012"
replace country_cses = 826 if countryyears=="GBR_1_1997"|countryyears=="GBR_2_2005"
replace country_cses = 300 if countryyears=="GRC_3_2009"|D1004=="GRC_2012"
replace country_cses = 344 if countryyears=="HKG_1_1998"|countryyears=="HKG_1_2000"| ///
	countryyears=="HKG_2_2004"|countryyears=="HKG_3_2008"
replace country_cses = 191 if countryyears=="HRV_3_2007"
replace country_cses = 348 if countryyears=="HUN_1_1998"|countryyears=="HUN_2_2002"
replace country_cses = 372 if countryyears=="IRL_2_2002"|countryyears=="IRL_3_2007"| ///
	D1004=="IRL_2011"
replace country_cses = 352 if countryyears=="ISL_1_1999"|countryyears=="ISL_2_2003"| ///
	countryyears=="ISL_3_2007"|countryyears=="ISL_3_2009"|D1004=="ISL_2013"
replace country_cses = 376 if countryyears=="ISR_1_1999"|countryyears=="ISR_2_2003"| ///
	countryyears=="ISR_3_2006"|D1004=="ISR_2013"
replace country_cses = 380 if countryyears=="ITA_2_2006"
replace country_cses = 392 if countryyears=="JPN_1_1996"|countryyears=="JPN_2_2004"| ///
	countryyears=="JPN_3_2007"|D1004=="JPN_2013"
replace country_cses = 417 if countryyears=="KGZ_2_2005"
replace country_cses = 410 if countryyears=="KOR_1_2000"|countryyears=="KOR_2_2004"| ///
	D1004=="KOR_2012"
replace country_cses = 440 if countryyears=="LTU_1_1997"
replace country_cses = 428 if countryyears=="LVA_3_2010"
replace country_cses = 484 if countryyears=="MEX_1_1997"|countryyears=="MEX_1_2000"| ///
	countryyears=="MEX_2_2003"|countryyears=="MEX_3_2006"|countryyears=="MEX_3_2009"
replace country_cses = 528 if countryyears=="NLD_1_1998"|countryyears=="NLD_2_2002"| ///
	countryyears=="NLD_3_2006"|countryyears=="NLD_3_2010"
replace country_cses = 578 if countryyears=="NOR_1_1997"|countryyears=="NOR_2_2001"| ///
	countryyears=="NOR_3_2005"|countryyears=="NOR_3_2009"|D1004=="NOR_2013"
replace country_cses = 554 if countryyears=="NZL_1_1996"|countryyears=="NZL_2_2002"| ///
	countryyears=="NZL_3_2008"|D1004=="NZL_2011"
replace country_cses = 604 if countryyears=="PER_1_2000"|countryyears=="PER_1_2001"| ///
	countryyears=="PER_2_2006"|countryyears=="PER_3_2011"
replace country_cses = 608 if countryyears=="PHL_2_2004"|countryyears=="PHL_3_2010"
replace country_cses = 616 if countryyears=="POL_1_1997"|countryyears=="POL_2_2001"| ///
	countryyears=="POL_3_2005"|countryyears=="POL_3_2007"|D1004=="POL_2011"
replace country_cses = 620 if countryyears=="PRT_1_2002"|countryyears=="PRT_2_2002"| ///
	countryyears=="PRT_2_2005"|countryyears=="PRT_3_2009"|D1004=="PRT_2015"
replace country_cses = 642 if countryyears=="ROU_1_1996"|countryyears=="ROU_2_2004"| ///
	countryyears=="ROU_3_2009"
replace country_cses = 643 if countryyears=="RUS_1_1999"|countryyears=="RUS_1_2000"| ///
	countryyears=="RUS_2_2004"
replace country_cses = 703 if countryyears=="SVK_3_2010"
replace country_cses = 705 if countryyears=="SVN_1_1996"|countryyears=="SVN_2_2004"| ///
	countryyears=="SVN_3_2008"|D1004=="SVN_2011"
replace country_cses = 752 if countryyears=="SWE_1_1998"|countryyears=="SWE_2_2002"| ///
	countryyears=="SWE_3_2006"|D1004=="SWE_2014"
replace country_cses = 764 if countryyears=="THA_1_2001"|countryyears=="THA_3_2007"| ///
	D1004=="THA_2011"
replace country_cses = 792 if countryyears=="TUR_3_2011"|D1004=="TUR_2015"
replace country_cses = 158 if countryyears=="TWN_1_1996"|countryyears=="TWN_2_2001"| ///
	countryyears=="TWN_2_2004"|countryyears=="TWN_3_2008"|D1004=="TWN_2012"
replace country_cses = 804 if countryyears=="UKR_1_1998"
replace country_cses = 858 if countryyears=="URY_3_2009"
replace country_cses = 840 if countryyears=="USA_1_1996"|countryyears=="USA_2_2004"| ///
	countryyears=="USA_3_2008"|D1004=="USA_2012"
replace country_cses = 710 if countryyears=="ZAF_3_2009"
replace country_cses = 912 if D1004=="MNE_2012"
replace country_cses = 911 if D1004=="SRB_2012"

gen country=country_cses
do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
*do "/Users/aneundorf/Dropbox/Project_Regimes/Data/Label_Cntry.do"
label values country countrylab

// DVs
// Democratic satisfaction
tab iA3001_m, nol
gen demsat_cses = 1 if iA3001_m==1|D3017==1
replace demsat_cses = 2 if iA3001_m==2|D3017==2
replace demsat_cses = 3 if iA3001_m==4|D3017==4
replace demsat_cses = 4 if iA3001_m==5|D3017==5
replace demsat_cses = -1 if D3017==7
replace demsat_cses = -2 if D3017==8
replace demsat_cses = -3 if D3017==9

label define satlab 1 "very satisfied" 2 "fairly satisfied" 3 "not very satisfied" ///
	5 "not at all satisfied" -1 "refused" -2 "don't know" -3 "missing"
label values demsat_cses satlab

// Democracy best
gen democracybest_cses = 1 if B3015_m==1
replace democracybest_cses = 2 if B3015_m==2
replace democracybest_cses = 3 if B3015_m==3
replace democracybest_cses = 4 if B3015_m==4

label define agreelab 1 "agree strongly" 2 "agree" 3 "disagree" 4 "disagree strongly"
label values democracybest_cses agreelab

// Persuade others
gen persuade_cses = 1 if B3001_1_m==1
replace persuade_cses = 0 if B3001_1_m==2

label define persuadelab 0 "no" 1 "yes"
label values persuade_cses persuadelab

// turnout
gen turnout_cses = 1 if turnout_1==1
replace turnout_cses = 0 if turnout_1==5

label define turnlab 0 "did not vote" 1 "did vote"
label values turnout_cses turnlab

// IVs
// Marital status
// Expanded categories
gen marstat_cses = 1 if iA2004_m1==1|D2004==1
replace marstat_cses = 2 if iA2004_m1==2|D2004==2
replace marstat_cses = 3 if iA2004_m1==3|D2004==3
replace marstat_cses = 4 if iA2004_m1==4|D2004==4
replace marstat_cses = -1 if D2004==7
replace marstat_cses = -2 if D2004==8
replace marstat_cses = -3 if D2004==9

label define marlab 1 "married/cohabiting" 2 "widowed" 3 "divorced/separated" ///
	4 "never married" -1 "refused" -2 "don't know" -3 "missing"
label values marstat_cses marlab

// reduced categories
gen marstat2_cses = 1 if iA2004_m2==1|marstat_cses==1
replace marstat2_cses = 2 if iA2004_m2==2|marstat_cses==2|marstat_cses==3|marstat_cses==4
replace marstat2_cses = -1 if marstat_cses==-1
replace marstat2_cses = -2 if marstat_cses==-2
replace marstat2_cses = -3 if marstat_cses==-3

label define marlab2 1 "married/cohabiting" 2 "not married or cohabiting"  ///
	-1 "refused" -2 "don't know" -3 "missing"
label values marstat2_cses marlab2

// Sex
gen female_cses = 0 if iA2002_m==1|D2002==1
replace female_cses = 1 if iA2002_m==2|D2002==2
replace female_cses = -1 if D2002==7
replace female_cses = -3 if D2002==9

label define femlab 0 "male" 1 "female" -1 "refused" -3 "missing"
label values female_cses femlab

// Age
gen age = iA2001_m
replace age = wave_cses-D2001_Y if D2001_Y!=9997&D2001_Y!=9998&D2001_Y!=9999&cses4==1

// Religion
rename D2026 relig_cses
replace relig_cses = iA2017_m if cses1_3==1
tab relig_cses

// Education 
gen edu_cses = iA2003_m
replace edu_cses = 1 if D2003==1
replace edu_cses = 1 if D2003==2
replace edu_cses = 2 if D2003==3
replace edu_cses = 2 if D2003==4
replace edu_cses = 3 if D2003==5
replace edu_cses = 3 if D2003==6
replace edu_cses = 3 if D2003==7
replace edu_cses = 3 if D2003==8
replace edu_cses = 3 if D2003==9
replace edu_cses = 0 if D2003==96
replace edu_cses = -1 if D2003==97
replace edu_cses = -2 if D2003==98
replace edu_cses = -3 if D2003==99

label define edulab 0 "none" 1 "primary" 2 "secondary" 3 "post-secondary" -1 "refused" ///
	-2 "don't know" -3 "missing"
label values edu_cses edulab

// Employment
gen employment_cses = 1 if iA2007_m==1|D2010==1|D2010==2|D2010==3
replace employment_cses = 2 if iA2007_m==5|D2010==5
replace employment_cses = 3 if iA2007_m==6|D2010==6
replace employment_cses = 4 if iA2007_m==7|D2010==7
replace employment_cses = 5 if iA2007_m==8|D2010==4|D2010==8
replace employment_cses = 6 if iA2007_m==9|D2010==9
replace employment_cses = 7 if iA2007_m==10|D2010==10
replace employment_cses = -1 if D2010==97
replace employment_cses = -2 if D2010==98
replace employment_cses = -3 if D2010==99

label define employlab 1 "employed" 2 "unemployed" 3 "student" 4 "retired" 5 "housewife, carer" ///
	6 "permanently disabled" 7 "others" -1 "refused" -2 "don't know" -3 "missing"
label values employment_cses employlab

// Birth year
gen birth = wave_cses-age

// Income
gen income_cses = iA2012_m
replace income_cses = D2020 if cses4==1&D2020<=5

// Region: Geramny

tab country
tab A1007 if country==276
tab B1007 if country==276
tab C1007 if country==276
tab D1007 if country==276
replace country = 901 if (A1007==2 | B1007==2 | C1007==2 | D1007==2) & country==276

// dataset
gen data=13
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep year country demsat_cses democracybest_cses persuade_cses turnout_cses ///
	marstat_cses marstat2_cses female_cses age edu_cses employment_cses birth ///
	income_cses data relig_cses
	
*saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\CSES.dta", replace	
saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/CSES.dta", replace




