capture log close
*log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\ESS_merge.log", replace

// name of do-file: ESS_merge
// project: legacy of authoritarian regimes
// data: ESS

// Merging all waves of the ESS

set more off

version 13
clear all
macro drop _all
clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/ESS"
cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\ESS"


use ESS1e06_4
gen wave1=1

append using ESS2e03_4, gen(wave2)
append using ESS3e03_5, gen(wave3)
append using ESS4e04_3, gen(wave4)
append using ESS5e03_2, gen(wave5)
append using ESS6e02_2, gen(wave6)
append using ESS7e02, gen(wave7)
tab cntry, nol

// year
gen year = 2002 if wave1==1
replace year = 2004 if wave2==1
replace year = 2006 if wave3==1
replace year = 2008 if wave4==1
replace year = 2010 if wave5==1
replace year = 2012 if wave6==1
replace year = 2014 if wave7==1

// WVS Country codes
gen country = 8 if cntry=="AL"
replace country = 40 if cntry=="AT"
replace country = 56 if cntry=="BE"
replace country = 100 if cntry=="BG"
replace country = 196 if cntry=="CY"
replace country = 203 if cntry=="CZ"
replace country = 276 if cntry=="DE"
replace country = 208 if cntry=="DK"
replace country = 724 if cntry=="ES"
replace country = 246 if cntry=="FI"
replace country = 250 if cntry=="FR"
replace country = 826 if cntry=="GB"
replace country = 300 if cntry=="GR"
replace country = 348 if cntry=="HU"
replace country = 372 if cntry=="IE"
replace country = 376 if cntry=="IL"
replace country = 380 if cntry=="IT"
replace country = 440 if cntry=="LT"
replace country = 442 if cntry=="LU"
replace country = 528 if cntry=="NL"
replace country = 578 if cntry=="NO"
replace country = 616 if cntry=="PL"
replace country = 620 if cntry=="PT"
replace country = 752 if cntry=="SE"
replace country = 705 if cntry=="SI"
replace country = 703 if cntry=="SK"
replace country = 792 if cntry=="TR"
replace country = 804 if cntry=="UA"
replace country = 756 if cntry=="CH"
replace country = 233 if cntry=="EE"
replace country = 428 if cntry=="LV"
replace country = 642 if cntry=="RO"
replace country = 915 if cntry=="XK"
replace country = 352 if cntry=="IS"
replace country = 643 if cntry=="RU"
replace country = 191 if cntry=="HR"

*do "/Users/aneundorf/Dropbox/Project_Regimes/Data/Label_Cntry.do"
*do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
*label values country countrylab

// survey information
gen surveymode_ess = "F2F"
gen sampling_ess = "strict random probability sample"

// income
// decile
egen income_10_1 = xtile(hinctnt) if year==2002|year==2004|year==2006, nq(10) by(country year)
egen income_10_2 = xtile(hinctnta) if year>2006, nq(10) by(country year)
gen income_10 = income_10_1 if year<=2006
replace income_10 = income_10_2 if year>2006
// quintiles
egen income_5_1 = xtile(hinctnt) if year<=2006, nq(5) by(country year)
egen income_5_2 = xtile(hinctnta) if year>2006, nq(5) by(country year)
gen income_5 = income_5_1 if year<=2006
replace income_5 = income_5_2 if year>2006

// birth year
tab yrbrn, nol
gen birth=yrbrn
replace birth=. if yrbrn>2000

// age
drop age
tab agea, nol
gen age=agea
replace age=. if agea==999

// dataset
gen data=12 
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl

// marital status
gen marstat_ess = 1 if marital==1|martlfr==1|martlfr==6|maritala==1|maritala==2| ///
	maritalb==1|maritalb==2
replace marstat_ess = 2 if marital==2|martlfr==2|maritala==3|maritala==4| ///
	maritalb==3
replace marstat_ess = 3 if marital==3|martlfr==3|maritala==5|maritalb==4|maritala==7
replace marstat_ess = 4 if marital==4|martlfr==4|maritala==6|maritala==8|maritalb==5
replace marstat_ess = 5 if marital==5|martlfr==5|maritala==9|maritalb==6

label define marstatlab 1 "married" 2 "separated" 3 "divorced" 4 "widowed" 5 "never married"
label values marstat_ess marstatlab 

// religion
replace rlgdnm = 0 if rlgblg==2


// Father occupation 

tab occf14b
tab occf14b,nolabel

tab occf14a
tab occf14a,nolabel

recode occf14b (1/5=0)(6/9=1) (66/99=.), gen(father_worker)
replace father_worker=1 if occf14a==5 | occf14a==6 | occf14a==7
replace father_worker=0 if occf14a==1 | occf14a==2 | occf14a==3 | occf14a==4 | occf14a==8

tab father_worker,m

tab occf14b father_worker
tab occf14a father_worker


// East/West German
tab intewde
tab intewde, nolabel

recode intewde (2=0), gen(eastgerman) 
lab def eastlbl 1"East german" 0"West german"
lab val eastgerman eastlbl
tab eastgerman

** Recoding East/West Germany
tab country	
tab country if country==276
replace country=901 if eastgerman==1
tab country

** Reduce dataset

keep stfdem trstprl trstlgl trstprt trstplc trstplt psppipl polintr discpol vote year ///
	country surveymode_ess sampling_ess income_10 income_5 marstat_ess pdwrk ///
	gndr age rlgdnm eduyrs eisced mainact birth hinctnt occf14b occf14a occf14 eastgerman ///
	edulvlfb edulvlfa edulvlma edulvlmb occm14b occm14a occm14 occm14ie hincfel data eastgerman father_worker
	

*saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\ESS.dta", replace
saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/ESS.dta", replace






