// Prep EVS for harmonisation

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"

use "EVS/ZA4804_v2-0-0.dta", clear

// survey information
gen surveymode_evs = "F2F"
gen sampling_evs = "representative multi-stage or stratified random sample" if s002evs==4
replace sampling_evs = "representative multi-stage random sample" if s002evs==3
replace sampling_evs = "representative multi-stage random sample or quota sample" if s002evs==2
replace sampling_evs = "nationally representative samples" if s002evs==1

// income
// decile
egen income_10_1_3 = xtile(x047) if s002evs<4, nq(10) by(s003a s002evs)
egen income_10_4 = xtile(x047c) if s002evs==4, nq(10) by(s003a)
gen income_10 = income_10_1_3 if s002evs<4
replace income_10 = income_10_4 if s002evs==4
// quintiles
egen income_5_1_3 = xtile(x047) if s002evs<4, nq(5) by(s003a s002evs)
egen income_5_4 = xtile(x047c) if s002evs==4, nq(5) by(s003a)
gen income_5 = income_5_1_3 if s002evs<4
replace income_5 = income_5_4 if s002evs==4

// dataset
gen data=9
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl

// birth year
tab x002, missing
gen birth = x002
replace birth=. if birth==.a|birth==.d|birth==.e

// age
tab x003, missing
gen age = x003
replace age=. if age==.a|age==.d|age==.e

// year
tab s020
gen year=s020

// country
tab s003a
gen country=s003a
replace country=911 if country==688
replace country=912 if country==499
do "Do files/Label_Cntry.do"
label values country countrylab

// religion
tab f025 f024, missing
replace f025 = 0 if f024==0

keep surveymode_evs sampling_evs income_10 income_5 e110 e117 e123 e114 e069_07 e069_17 ///
	e069_12 e069_02 e069_08 e069_11 e069_06 e069_04 e069_05 e069_01 e023 a062 e150 e178_01 e034 ///
	d059 x046 x007 x001 age f024 f025 x023 x025 x028 birth v006_4 v006_2 v006_3 v007c v007d ///
	v004a v004e x047 x047c c006 s002evs country data year x045

saveold "Data for harmonisation/EVS.dta", replace
