capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\ISSP_merge_all_regions.log", replace

/// name of do-file: ISSP_merge_all_countries
/// project: legacy of authoritarian regimes
/// data: ISSP, all countries

/// Merging all waves of ISSP for all countries

set more off

version 13
*clear all
*macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\ISSP\"

use 1985_ISSP_Role_Of_Government_I.dta
gen issp_1985 = 1
keep V68 V69 V134 V120 V118 V117 V132 V122 V123 V109 V112 V114 V108 V138 V3 issp_1985

append using 1990_ISSP_Role_of_Government_II.dta, keep(v58 v90 v61 v59 v60 v88 v80 v81 v63 ///
	v71 v72 v113 v64 v108 v106 v107 v109 v110 v111 v3) gen(issp_1990) nolabel

append using 1991_ISSP_Religion_I.dta, keep(v20 v24 v22 v23 v108 v79 v78 v106 v98 v99 v81 ///
	v89 v90 v130 v82 v126 v124 v125 v127 v128 v129 v3 v77) gen(issp_1991) nolabel

append using 1996_ISSP_role_of_government_III.dta, keep(v54 v47 v48 v50 v46 v221 v202 ///
	v200 v201 v219 v204 v205 v206 v212 v213 v324 v217 v215 v3) gen(issp_1996) nolabel

append using 1998_ISSP_Religion_II.dta, keep(v5 v6 v9 v10 v11 v16 v19 v20 v23 v32 v33 v34 v35 ///
	v200 v201 v202 v203 v204 v205 v206 v215 v216 v217 v219 v315 v210 v211 v316 v3 v22) gen(issp_1998) nolabel
	
append using 2000_ISSP_Environment_II.dta, keep(v3 v5 v6 v7 v65 v67 v244 v202 v200 v201 ///
	v242 v204 v205 v231 v235 v236 v237 v325 v240 v241 v327) gen(issp_2000) nolabel
	
append using 2001_ISSP_Social_Networks_II.dta, keep(V3 weight V65 V64 V63 V29 V30 V31 V32 V33 V34 V35 ///
	class marital sex age relig educyrs degree wrkgovt selfemp nemploy wrkst) gen(issp_2001) nolabel

append using 2002_ISSP_Family_III.dta, keep(COUNTRY v361 v287 v200 v201 v202 v288 v289 v204 v205 ///
	v242 v239 v359 v243 v244 v247) gen(issp_2002) nolabel
	
append using 2003_ISSP_national_identity_II.dta, keep(COUNTRY weight v22 v25 v26 v27 v28 v29 v30 ///
	v31 v32 v33 v34 v35 v56 v58 v63 marital sex age relig religgrp educyrs degree wrkst wrktype ///
	nemploy rincome) gen(issp_2003) nolabel
	
append using 2004_ISSP_Citizenship_I.dta, keep(COUNTRY v381 V4 V5 V6 V7 V8 V9 V10 V11 V12 V13 V15 ///
	V17 V18 V19 V20 V21 V22 V23 V24 V25 V26 V27 V28 V29 V30 V31 V32 V33 V34 V35 V36 V37 V38 V39 ///
	V40 V42 V43 V44 V46 V47 V48 V60 V63 V64 V65 V66 v297 v200 v201 v202 v204 v205 v244 v247 ///
	v254 v248 v249 v379 v299) ///
	gen(issp_2004) nolabel
	
append using 2006_ISSP_role_govt_IV.dta, keep(V3 weight V4 V5 V6 V8 V31 V36 V44 V45 V46 V47 V48 V49 ///
	VOTE_LE sex age educyrs degree wrkst wrktype relig religgrp ethnic marital) gen(issp_2006) nolabel
	
append using 2007_ISSP_sport_leisure.dta, keep(V4 weight V52 V53 V54 V55 V56 V57 V58 VOTE_LE sex age marital ///
	educyrs degree wrkst wrktype VOTE_LE relig religgrp ethnic) gen(issp_2007) nolabel
	
append using 2008_ISSP_Religion_II.dta, keep(V4 WEIGHT V10 V11 V13 V14 V17 SEX AGE MARITAL EDUCYRS ///
	DEGREE WRKST WRKTYPE RELIG RELIGGRP ETHNIC) gen(issp_2008) nolabel
	
append using 2010_ISSP_Environment_III.dta, keep(V3 WEIGHT V8 V9 V10 V11 V13 VOTE_LE SEX AGE EDUCYRS DEGREE ///
	BIRTH MARITAL WORK MAINSTAT WRKHRS TYPORG2 RELIGGRP VOTE_LE) gen(issp_2010) nolabel
	
append using 2013_ISSP_national_identity_III.dta, keep(V3 WEIGHT V20 V23 V25 V26 V27 V28 V29 V30 V31 ///
	V32 V33 V34 V58 VOTE_LE SEX BIRTH AGE EDUCYRS DEGREE WORK WRKHRS MAINSTAT RELIGGRP VOTE_LE MARITAL) ///
	gen(issp_2013) nolabel
	
/// Wave
gen issp_wave = 1985 if issp_1985==1
replace issp_wave = 1990 if issp_1990==1
replace issp_wave = 1991 if issp_1991==1
replace issp_wave = 1996 if issp_1996==1
replace issp_wave = 1998 if issp_1998==1
replace issp_wave = 2000 if issp_2000==1
replace issp_wave = 2001 if issp_2001==1
replace issp_wave = 2002 if issp_2002==1
replace issp_wave = 2003 if issp_2003==1
replace issp_wave = 2004 if issp_2004==1
replace issp_wave = 2006 if issp_2006==1
replace issp_wave = 2007 if issp_2007==1
replace issp_wave = 2008 if issp_2008==1
replace issp_wave = 2010 if issp_2010==1
replace issp_wave = 2013 if issp_2013==1

// year
gen year = issp_wave
	
/// country
gen country = 36 if V3==1&issp_wave==1985|v3==1&issp_wave==1990|v3==18&issp_wave==1991| ///
	v3==1&issp_wave==1996|v3==1&issp_wave==1998|v3==1&issp_wave==2000|V3==1&issp_wave==2001| ///
		COUNTRY==1&issp_wave==2002|COUNTRY==1&issp_wave==2003| ///
		COUNTRY==1&issp_wave==2004|V3==36&issp_wave==2006|V4==36&issp_wave==2007| ///
		V4==36&issp_wave==2008
replace country = 276 if V3==2&issp_wave==1985
replace country = 826 if V3==3&issp_wave==1985|v3==4&issp_wave==1990|v3==3&issp_wave==1991| ///
	v3==4&issp_wave==1996|v3==4&issp_wave==1998|v3==4&issp_wave==2000|V3==4&issp_wave==2001| ///
	COUNTRY==4&issp_wave==2002|COUNTRY==4&issp_wave==2003| ///
	COUNTRY==4&issp_wave==2004|V3==826.1&issp_wave==2006|V4==826.1&issp_wave==2007| ///
	V4==826.1&issp_wave==2008|V3==826.1&issp_wave==2010|V3==82601&issp_wave==2013
replace country = 840 if V3==4&issp_wave==1985|v3==6&issp_wave==1990|v3==5&issp_wave==1991| ///
	v3==6&issp_wave==1996|v3==6&issp_wave==1998|v3==6&issp_wave==1998|v3==6&issp_wave==2000| ///
	V3==6&issp_wave==2001|COUNTRY==6&issp_wave==2002| ///
	COUNTRY==6&issp_wave==2003|COUNTRY==6&issp_wave==2004|V3==840&issp_wave==2006| ///
	V4==840&issp_wave==2007|V4==840&issp_wave==2008|V3==840&issp_wave==2010| ///
	V3==840&issp_wave==2013
replace country = 40 if V3==5&issp_wave==1985|v3==11&issp_wave==1991|v3==7&issp_wave==1996| ///
	v3==7&issp_wave==1998|v3==7&issp_wave==2000|V3==7&issp_wave==2001| ///
	COUNTRY==7&issp_wave==2002|COUNTRY==7&issp_wave==2003|COUNTRY==7&issp_wave==2004| ///
	V4==40&issp_wave==2007|V4==40&issp_wave==2008|V3==40&issp_wave==2010
replace country = 380 if V3==8&issp_wave==1985|v3==8&issp_wave==1990|v3==8&issp_wave==1991| ///
	v3==9&issp_wave==1996|v3==9&issp_wave==1998|v3==9&issp_wave==2000|V3==9&issp_wave==2001| ///
	COUNTRY==9&issp_wave==2002|COUNTRY==9&issp_wave==2003| ///
	COUNTRY==9&issp_wave==2004|V4==380.1&issp_wave==2008|V4==380.2&issp_wave==2008
replace country = 900 if v3==2&issp_wave==1990|v3==1&issp_wave==1991|v3==2&issp_wave==1996| ///
	v3==2&issp_wave==1998|v3==2&issp_wave==2000|V3==2&issp_wave==2001| ///
	COUNTRY==2&issp_wave==2002|COUNTRY==2&issp_wave==2003|COUNTRY==2&issp_wave==2004| ///
	V3==276.1&issp_wave==2006|V4==276.1&issp_wave==2007|V4==276.1&issp_wave==2008| ///
	V3==276.1&issp_wave==2010|V3==27601&issp_wave==2013
replace country = 901 if v3==3&issp_wave==1990|v3==2&issp_wave==1991|v3==3&issp_wave==1996| ///
	v3==3&issp_wave==1998|v3==3&issp_wave==2000|V3==3&issp_wave==2001| ///
	COUNTRY==3&issp_wave==2002|COUNTRY==3&issp_wave==2003|COUNTRY==3&issp_wave==2004| ///
	V3==276.2&issp_wave==2006|V4==276.1&issp_wave==2007|V4==276.2&issp_wave==2008| ///
	V3==276.2&issp_wave==2010|V3==27602&issp_wave==2013
replace country = 909 if v3==5&issp_wave==1990|v3==4&issp_wave==1991|v3==5&issp_wave==1996| ///
	v3==5&issp_wave==1998|v3==5&issp_wave==2000|v3==5&issp_wave==2001| ///
	COUNTRY==5&issp_wave==2002|COUNTRY==5&issp_wave==2003|COUNTRY==5&issp_wave==2004| ///
	V4==826.1&issp_wave==2008
replace country = 348 if v3==7&issp_wave==1990|v3==6&issp_wave==1991|v3==8&issp_wave==1996| ///
	v3==8&issp_wave==1998|v3==8&issp_wave==2000|V3==8&issp_wave==2001| ///
	COUNTRY==8&issp_wave==2002|COUNTRY==8&issp_wave==2003|COUNTRY==8&issp_wave==2004| ///
	V3==348&issp_wave==2006|V4==348&issp_wave==2007|V4==348&issp_wave==2008| ///
	V3==348&issp_wave==2013
replace country = 372 if v3==9&issp_wave==1990|v3==9&issp_wave==1991|v3==10&issp_wave==1996| ///
	v3==10&issp_wave==1998|v3==10&issp_wave==2000|V3==10&issp_wave==2001| ///
	COUNTRY==10&issp_wave==2002|COUNTRY==10&issp_wave==2003|COUNTRY==10&issp_wave==2004| ///
	V3==372&issp_wave==2006|V4==372&issp_wave==2007|V4==372&issp_wave==2008| ///
	V3==372&issp_wave==2013
replace country = 578 if v3==10&issp_wave==1990|v3==10&issp_wave==1991|v3==12&issp_wave==1996| ///
	v3==12&issp_wave==1998|v3==12&issp_wave==2000|V3==12&issp_wave==2001| ///
	COUNTRY==12&issp_wave==2002|COUNTRY==12&issp_wave==2003|COUNTRY==12&issp_wave==2004| ///
	V3==578&issp_wave==2006|V4==578&issp_wave==2007|V4==578&issp_wave==2008| ///
	V3==578&issp_wave==2010|V3==578&issp_wave==2013
replace country = 376 if v3==11&issp_wave==1990|v3==14&issp_wave==1991|v3==22&issp_wave==1996| ///
	v3==23&issp_wave==1996|v3==22&issp_wave==1998|v3==22&issp_wave==2000|V3==22&issp_wave==2001| ///
	V3==23&issp_wave==2001| ///
	COUNTRY==22&issp_wave==2002|COUNTRY==23&issp_wave==2002|COUNTRY==22&issp_wave==2003| ///
	COUNTRY==23&issp_wave==2003|COUNTRY==22&issp_wave==2004|COUNTRY==23&issp_wave==2004| ///
	V3==376.1&issp_wave==2006|V3==376.2&issp_wave==2006|V4==376.1&issp_wave==2007| ///
	V4==376.2&issp_wave==2007|V4==376.1&issp_wave==2008|V4==376.2&issp_wave==2008| ///
	V3==376.1&issp_wave==2010|V3==376.2&issp_wave==2010|V3==37601&issp_wave==2013| ///
	V3==37602&issp_wave==2013
replace country = 528 if v3==7&issp_wave==1991|v3==11&issp_wave==1996|v3==11&issp_wave==1998| ///
	v3==11&issp_wave==2000|V3==11&issp_wave==2001|COUNTRY==11&issp_wave==2002| ///
	COUNTRY==11&issp_wave==2003|COUNTRY==11&issp_wave==2004|V3==528&issp_wave==2006| ///
	V4==528&issp_wave==2008
replace country = 705 if v3==12&issp_wave==1991
replace country = 616 if v3==13&issp_wave==1991|v3==16&issp_wave==1996|v3==16&issp_wave==1998| ///
	v3==16&issp_wave==2000|V3==16&issp_wave==2001|COUNTRY==16&issp_wave==2002| ///
	COUNTRY==16&issp_wave==2003|COUNTRY==16&issp_wave==2004|V3==616&issp_wave==2006| ///
	V4==616&issp_wave==2007|V4==616&issp_wave==2008
replace country = 608 if v3==15&issp_wave==1991|v3==21&issp_wave==1996|v3==21&issp_wave==1998| ///
	v3==21&issp_wave==2000|V3==21&issp_wave==2001| ///
	COUNTRY==21&issp_wave==2002|COUNTRY==21&issp_wave==2003|COUNTRY==21&issp_wave==2004| ///
	V3==608&issp_wave==2006|V4==608&issp_wave==2007|V4==608&issp_wave==2008| ///
	V3==608&issp_wave==2010|V3==608&issp_wave==2013
replace country = 554 if v3==16&issp_wave==1991|v3==19&issp_wave==1996|v3==19&issp_wave==1998| ///
	v3==19&issp_wave==2000|V3==19&issp_wave==2001| ///
	COUNTRY==19&issp_wave==2002|COUNTRY==19&issp_wave==2003|COUNTRY==19&issp_wave==2004| ///
	V3==554&issp_wave==2006|V4==554&issp_wave==2007|V4==554&issp_wave==2008| ///
	V3==554&issp_wave==2010
replace country = 643 if v3==17&issp_wave==1991|v3==18&issp_wave==1996|v3==18&issp_wave==1998| ///
	v3==18&issp_wave==2000|V3==18&issp_wave==2001| ///
	COUNTRY==18&issp_wave==2002|COUNTRY==18&issp_wave==2003|COUNTRY==18&issp_wave==2004| ///
	V3==643&issp_wave==2006|V4==643&issp_wave==2007|V4==643&issp_wave==2008| ///
	V3==643&issp_wave==2010|V3==643&issp_wave==2013
replace country = 752 if v3==13&issp_wave==1996|v3==13&issp_wave==1998|v3==13&issp_wave==2000| ///
	V3==13&issp_wave==2001|COUNTRY==13&issp_wave==2002| ///
	COUNTRY==13&issp_wave==2003|COUNTRY==13&issp_wave==2004|V3==752&issp_wave==2006| ///
	V4==752&issp_wave==2007|V4==752&issp_wave==2008|V3==752&issp_wave==2010| ///
	V3==752&issp_wave==2013
replace country = 203 if v3==14&issp_wave==1996|v3==14&issp_wave==1998|v3==14&issp_wave==2000| ///
	V3==14&issp_wave==2001|COUNTRY==14&issp_wave==2002| ///
	COUNTRY==14&issp_wave==2003|COUNTRY==14&issp_wave==2004|V3==203&issp_wave==2006| ///
	V4==203&issp_wave==2007|V4==203&issp_wave==2008|V3==203&issp_wave==2010| ///
	V3==203&issp_wave==2013
replace country = 705 if v3==15&issp_wave==1996|v3==15&issp_wave==1998|v3==15&issp_wave==2000| ///
	V3==15&issp_wave==2001|COUNTRY==15&issp_wave==2002| ///
	COUNTRY==15&issp_wave==2003|COUNTRY==15&issp_wave==2004|V3==705&issp_wave==2006| ///
	V4==705&issp_wave==2007|V4==705&issp_wave==2008|V3==705&issp_wave==2010| ///
	V3==705&issp_wave==2013
replace country = 100 if v3==17&issp_wave==1996|v3==17&issp_wave==1998|v3==17&issp_wave==2000| ///
	V3==17&issp_wave==2001|COUNTRY==17&issp_wave==2002| ///
	COUNTRY==17&issp_wave==2003|COUNTRY==17&issp_wave==2004| ///
	V4==100&issp_wave==2007|V4==100&issp_wave==2008|V3==100&issp_wave==2010
replace country = 124 if v3==20&issp_wave==1996|v3==20&issp_wave==1998|v3==20&issp_wave==2000| ///
	V3==20&issp_wave==2001|COUNTRY==20&issp_wave==2002| ///
	COUNTRY==20&issp_wave==2003|COUNTRY==20&issp_wave==2004|V3==36&issp_wave==2006| ///
	V3==124&issp_wave==2010
replace country = 392 if v3==24&issp_wave==1996|v3==24&issp_wave==1998|v3==24&issp_wave==2000| ///
	V3==24&issp_wave==2001|COUNTRY==24&issp_wave==2002| ///
	COUNTRY==24&issp_wave==2003|COUNTRY==24&issp_wave==2004|V3==392&issp_wave==2006| ///
	V4==392&issp_wave==2007|V4==392&issp_wave==2008|V3==392&issp_wave==2010| ///
	V3==392&issp_wave==2013
replace country = 724 if v3==25&issp_wave==1996|v3==25&issp_wave==1998|v3==25&issp_wave==2000| ///
	V3==25&issp_wave==2001|COUNTRY==25&issp_wave==2002| ///
	COUNTRY==25&issp_wave==2003|COUNTRY==25&issp_wave==2004|V3==724&issp_wave==2006| ///
	V4==724&issp_wave==2008|V3==724&issp_wave==2010|V3==724&issp_wave==2013
replace country = 428 if v3==26&issp_wave==1996|v3==26&issp_wave==1998|v3==26&issp_wave==2000| ///
	V3==26&issp_wave==2001|COUNTRY==26&issp_wave==2002| ///
	COUNTRY==26&issp_wave==2003|COUNTRY==26&issp_wave==2004|V3==428&issp_wave==2006| ///
	V4==428&issp_wave==2007|V4==428&issp_wave==2008|V3==428&issp_wave==2010| ///
	V3==428&issp_wave==2013
replace country = 250 if v3==27&issp_wave==1996|v3==28&issp_wave==1998|V3==28&issp_wave==2001| ///
	COUNTRY==28&issp_wave==2002|COUNTRY==28&issp_wave==2003| ///
	COUNTRY==28&issp_wave==2004|V3==250&issp_wave==2006|V4==250&issp_wave==2007| ///
	V4==250&issp_wave==2008|V3==250&issp_wave==2010|V3==250&issp_wave==2013
replace country = 196 if v3==28&issp_wave==1996|v3==29&issp_wave==1998|V3==29&issp_wave==2001| ///
	COUNTRY==29&issp_wave==2002|COUNTRY==29&issp_wave==2003| ///
	COUNTRY==29&issp_wave==2004|V4==196&issp_wave==2007|V4==196&issp_wave==2008
replace country = 756 if v3==30&issp_wave==1996|v3==33&issp_wave==1998|v3==33&issp_wave==2000| ///
	V3==33&issp_wave==2001|COUNTRY==33&issp_wave==2002| ///
	COUNTRY==33&issp_wave==2003|COUNTRY==33&issp_wave==2004|V3==756&issp_wave==2006| ///
	V4==756&issp_wave==2007|V4==756&issp_wave==2008|V3==756&issp_wave==2010| ///
	V3==756&issp_wave==2013
replace country = 703 if v3==27&issp_wave==1998|V3==27&issp_wave==2001| ///
	COUNTRY==27&issp_wave==2002|COUNTRY==27&issp_wave==2003|COUNTRY==27&issp_wave==2004| ///
	V4==703&issp_wave==2007|V4==703&issp_wave==2008|V3==703&issp_wave==2010| ///
	V3==703&issp_wave==2013
replace country = 620 if v3==30&issp_wave==1998|v3==30&issp_wave==2000|V3==30&issp_wave==2001| ///
	COUNTRY==30&issp_wave==2002|COUNTRY==30&issp_wave==2003| ///
	COUNTRY==30&issp_wave==2004|V3==620&issp_wave==2006|V4==620&issp_wave==2008| ///
	V3==620&issp_wave==2013|V3==62001&issp_wave==2013|V3==62002&issp_wave==2013
replace country = 152 if v3==31&issp_wave==1998|v3==31&issp_wave==2000|V3==31&issp_wave==2001| ///
	COUNTRY==31&issp_wave==2002|COUNTRY==31&issp_wave==2003| ///
	COUNTRY==31&issp_wave==2004|V3==152&issp_wave==2006|V4==152&issp_wave==2007| ///
	V4==152&issp_wave==2008|V3==152&issp_wave==2010
replace country = 208 if v3==32&issp_wave==1998|v3==32&issp_wave==2000|V3==32&issp_wave==2001| ///
	COUNTRY==32&issp_wave==2002|COUNTRY==32&issp_wave==2003| ///
	COUNTRY==32&issp_wave==2004|V3==208&issp_wave==2006|V3==208&issp_wave==2010| ///
	V3==208&issp_wave==2013
replace country = 246 if v3==37&issp_wave==2000|V3==37&issp_wave==2001| ///
	COUNTRY==37&issp_wave==2002|COUNTRY==37&issp_wave==2003|COUNTRY==37&issp_wave==2004| ///
	V3==246&issp_wave==2006|V4==246&issp_wave==2007|V4==246&issp_wave==2008| ///
	V3==246&issp_wave==2010|V3==246&issp_wave==2013
replace country = 484 if v3==38&issp_wave==2000|COUNTRY==38&issp_wave==2002| ///
	COUNTRY==38&issp_wave==2003|COUNTRY==38&issp_wave==2004|V4==484&issp_wave==2007| ///
	V4==484&issp_wave==2008|V3==484&issp_wave==2010|V3==484&issp_wave==2013
replace country = 50 if V3==34&issp_wave==2001| ///
	COUNTRY==34&issp_wave==2003|COUNTRY==34&issp_wave==2004
replace country = 76 if V3==35&issp_wave==2001|COUNTRY==35&issp_wave==2002| ///
	COUNTRY==35&issp_wave==2003|COUNTRY==35&issp_wave==2004
replace country = 710 if V3==36&issp_wave==2001|COUNTRY==36&issp_wave==2002| ///
	COUNTRY==40&issp_wave==2004|V3==710&issp_wave==2006|V4==710&issp_wave==2007| ///
	V4==710&issp_wave==2008|V3==710&issp_wave==2010|V3==710&issp_wave==2013
replace country = 158 if COUNTRY==39&issp_wave==2002|COUNTRY==39&issp_wave==2003| ///
	COUNTRY==39&issp_wave==2004|V4==158&issp_wave==2007|V4==158&issp_wave==2008| ///
	V3==158&issp_wave==2010|V3==158&issp_wave==2013
replace country = 410 if COUNTRY==42&issp_wave==2003|COUNTRY==41&issp_wave==2004| ///
	V3==410&issp_wave==2006|V4==410&issp_wave==2007|V4==410&issp_wave==2008| ///
	V3==410&issp_wave==2010|V3==410&issp_wave==2013
replace country = 858 if COUNTRY==43&issp_wave==2003|COUNTRY==42&issp_wave==2004| ///
	V3==858&issp_wave==2006|V4==858&issp_wave==2007|V4==858&issp_wave==2008
replace country = 56 if COUNTRY==34&issp_wave==2002|V4==56.1&issp_wave==2007| ///
	V4==56.1&issp_wave==2008|V3==56.1&issp_wave==2010|V3==5601&issp_wave==2013| ///
	V3==5602&issp_wave==2013|V3==5603&issp_wave==2013
replace country = 862 if COUNTRY==36&issp_wave==2003|COUNTRY==36&issp_wave==2004| ///
	V3==862&issp_wave==2006|V4==862&issp_wave==2008
replace country = 191 if V3==191&issp_wave==2006|V4==191&issp_wave==2007| ///
	V4==191&issp_wave==2008|V3==191&issp_wave==2010|V3==191&issp_wave==2013
replace country = 214 if V3==214&issp_wave==2006|V4==214&issp_wave==2007| ///
	V4==214&issp_wave==2008
replace country = 32 if V4==32&issp_wave==2007|V3==32&issp_wave==2010
replace country = 792 if V4==792&issp_wave==2008|V3==792&issp_wave==2010| ///
	V3==792&issp_wave==2013
replace country = 804 if V4==804&issp_wave==2008
replace country = 440 if V3==440&issp_wave==2010|V3==440&issp_wave==2013
replace country = 233 if V3==233&issp_wave==2013
replace country = 268 if V3==268&issp_wave==2013
replace country = 352 if V3==352&issp_wave==2013
replace country = 356 if V3==356&issp_wave==2013

do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
label values country countrylab

/// DVs
/// Confidence in Parliament
gen confparl_issp = 1 if v20==1&issp_wave==1991|v20==1&issp_wave==1998|V14==1&issp_wave==2008
replace confparl_issp = 2 if v20==2&issp_wave==1991|v20==2&issp_wave==1998|V14==2&issp_wave==2008
replace confparl_issp = 3 if v20==3&issp_wave==1991|v20==3&issp_wave==1998|V14==3&issp_wave==2008
replace confparl_issp = 4 if v20==4&issp_wave==1991|v20==4&issp_wave==1998|V14==4&issp_wave==2008
replace confparl_issp = 5 if v20==5&issp_wave==1991|v20==5&issp_wave==1998|V14==5&issp_wave==2008
label define conf_lab 1 "complete confidence" 2 "great deal of confidence" 3 "some confidence" ///
	4 "very little confidence" 5 "no confidence at all"
label values confparl_issp conf_lab
tab issp_wave confparl_issp

/// Confidence in judiciary
gen confjud_issp = 1 if v24==1&issp_wave==1991|v20==1&issp_wave==1998|V17==1&issp_wave==2008
replace confjud_issp = 2 if v24==2&issp_wave==1991|v20==2&issp_wave==1998|V17==2&issp_wave==2008
replace confjud_issp = 3 if v24==3&issp_wave==1991|v20==3&issp_wave==1998|V17==3&issp_wave==2008
replace confjud_issp = 4 if v24==4&issp_wave==1991|v20==4&issp_wave==1998|V17==4&issp_wave==2008
replace confjud_issp = 5 if v24==5&issp_wave==1991|v20==5&issp_wave==1998|V17==5&issp_wave==2008
label values confjud_issp conf_lab
tab issp_wave confjud_issp

/// Confidence in public administration
gen confpub_issp = 1 if v22==1&issp_wave==1991|v54==1&issp_wave==1996
replace confpub_issp = 2 if v22==2&issp_wave==1991|v54==2&issp_wave==1996
replace confpub_issp = 3 if v22==3&issp_wave==1991|v54==3&issp_wave==1996
replace confpub_issp = 4 if v22==4&issp_wave==1991|v54==4&issp_wave==1996
replace confpub_issp = 5 if v22==5&issp_wave==1991|v54==5&issp_wave==1996
label values confpub_issp conf_lab
tab issp_wave confpub_issp

/// Confidence in Church
gen confchurch_issp = 1 if v23==1&issp_wave==1991|v22==1&issp_wave==1998
replace confchurch_issp = 2 if v23==2&issp_wave==1991|v22==2&issp_wave==1998
replace confchurch_issp = 3 if v23==3&issp_wave==1991|v22==3&issp_wave==1998
replace confchurch_issp = 4 if v23==4&issp_wave==1991|v22==4&issp_wave==1998
replace confchurch_issp = 5 if v23==5&issp_wave==1991|v22==5&issp_wave==1998
label values confchurch_issp conf_lab
tab issp_wave confchurch_issp

/// Government trust
gen govtrust_issp = 1 if V43==1&issp_wave==2004|V13==1&issp_wave==2010
replace govtrust_issp = 2 if V43==2&issp_wave==2004|V13==2&issp_wave==2010
replace govtrust_issp = 3 if V43==3&issp_wave==2004|V13==3&issp_wave==2010
replace govtrust_issp = 4 if V43==4&issp_wave==2004|V13==4&issp_wave==2010
replace govtrust_issp = 5 if V43==5&issp_wave==2004|V13==5&issp_wave==2010
label define agreelab 1 "strongly agree" 2 "agree" 3 "neither agree nor disagree" 4 "disagree" ///
	5 "strongly disagree"
label values govtrust_issp agreelab
tab issp_wave govtrust_issp

/// Can influence government
gen inflgovt_issp = 1 if V68==1&issp_wave==1985|v47==1&issp_wave==1996
replace inflgovt_issp = 2 if V68==2&issp_wave==1985|v47==2&issp_wave==1996
replace inflgovt_issp = 3 if V68==3&issp_wave==1985|v47==3&issp_wave==1996
replace inflgovt_issp = 4 if V68==4&issp_wave==1985|v47==4&issp_wave==1996
replace inflgovt_issp = 5 if V68==5&issp_wave==1985|v47==5&issp_wave==1996
label values inflgovt_issp agreelab
tab issp_wave inflgovt_issp

/// Citizens influence politics
gen inflpol_issp = 1 if V69==1&issp_wave==1985|v48==1&issp_wave==1996|V46==1&issp_wave==2006
replace inflpol_issp = 2 if V69==2&issp_wave==1985|v48==2&issp_wave==1996|V46==2&issp_wave==2006
replace inflpol_issp = 3 if V69==3&issp_wave==1985|v48==3&issp_wave==1996|V46==3&issp_wave==2006
replace inflpol_issp = 4 if V69==4&issp_wave==1985|v48==4&issp_wave==1996|V46==4&issp_wave==2006
replace inflpol_issp = 5 if V69==5&issp_wave==1985|v48==5&issp_wave==1996|V46==5&issp_wave==2006
label values inflpol_issp agreelab
tab issp_wave inflpol_issp

/// Understand political issues
gen undpol_issp = 1 if v50==1&issp_wave==1996|V38==1&issp_wave==2004|V47==1&issp_wave==2006
replace undpol_issp = 2 if v50==2&issp_wave==1996|V38==2&issp_wave==2004|V47==2&issp_wave==2006
replace undpol_issp = 3 if v50==3&issp_wave==1996|V38==3&issp_wave==2004|V47==3&issp_wave==2006
replace undpol_issp = 4 if v50==4&issp_wave==1996|V38==4&issp_wave==2004|V47==4&issp_wave==2006
replace undpol_issp = 5 if v50==5&issp_wave==1996|V38==5&issp_wave==2004|V47==5&issp_wave==2006
label values undpol_issp agreelab
tab issp_wave undpol_issp

/// Political interest
gen polinterest_issp = 1 if v58==1&issp_wave==1990|v46==1&issp_wave==1996|V42==1&issp_wave==2004| ///
	V44==1&issp_wave==2006|V58==1&issp_wave==2007
replace polinterest_issp = 2 if v58==2&issp_wave==1990|v46==2&issp_wave==1996|V42==2&issp_wave==2004| ///
	V44==2&issp_wave==2006|V58==2&issp_wave==2007
replace polinterest_issp = 3 if v58==3&issp_wave==1990|v46==3&issp_wave==1996|V42==3&issp_wave==2004| ///
	V44==3&issp_wave==2006|V58==3&issp_wave==2007
replace polinterest_issp = 4 if v58==4&issp_wave==1990|v46==4&issp_wave==1996|V42==4&issp_wave==2004| ///
	V44==4&issp_wave==2006|V58==4&issp_wave==2007
label define intlab 1 "very interested" 2 "fairly interested" 3 "not very interested" 4 "not at all interested"
lab values polinterest_issp intlab
tab issp_wave polinterest_issp

/// Talk about politics
gen discpol_issp = 1 if V47==1&issp_wave==2004
replace discpol_issp = 2 if V47==2&issp_wave==2004
replace discpol_issp = 3 if V47==3&issp_wave==2004
replace discpol_issp = 4 if V47==4&issp_wave==2004
label define howoftenlab 1 "almost all the time" 2 "most of the time" 3 "occasionally" 4 "almost never"
label values discpol_issp howoftenlab
tab issp_wave discpol_issp

/// Persuade others
gen persothers_issp = 1 if V48==1&issp_wave==2004
replace persothers_issp = 2 if V48==2&issp_wave==2004
replace persothers_issp = 3 if V48==3&issp_wave==2004
replace persothers_issp = 4 if V48==4&issp_wave==2004
label define howoftenlab2 1 "often" 2 "sometimes" 3 "rarely" 4 "never"
label values persothers_issp howoftenlab2
tab issp_wave persothers_issp

/// Newspaper readership
gen readnews_issp = 1 if V64==1&issp_wave==2004
replace readnews_issp = 2 if V64==2&issp_wave==2004
replace readnews_issp = 3 if V64==3&issp_wave==2004
replace readnews_issp = 4 if V64==4&issp_wave==2004
replace readnews_issp = 5 if V64==5&issp_wave==2004
label define howoftenlab3 1 "every day" 2 "3-4 days a week" 3 "1-2 days a week" ///
	4 "fewer than 1-2 days a week" 5 "never"
label values readnews_issp howoftenlab3
tab issp_wave readnews_issp

/// News on television
gen newstv_issp = 1 if V65==1&issp_wave==2004
replace newstv_issp = 2 if V65==2&issp_wave==2004
replace newstv_issp = 3 if V65==3&issp_wave==2004
replace newstv_issp = 4 if V65==4&issp_wave==2004
replace newstv_issp = 5 if V65==5&issp_wave==2004
label values newstv_issp howoftenlab3
tab issp_wave newstv_issp

/// News on radio
gen newsradio_issp = 1 if V66==1&issp_wave==2004
replace newsradio_issp = 2 if V66==2&issp_wave==2004
replace newsradio_issp = 3 if V66==3&issp_wave==2004
replace newsradio_issp = 4 if V66==4&issp_wave==2004
replace newsradio_issp = 5 if V66==5&issp_wave==2004
label values newsradio_issp howoftenlab3
tab issp_wave newsradio_issp

/// Turnout
gen turnout_issp = 1 if v287==1&issp_wave==2002|v297==1&issp_wave==2004|VOTE_LE==1
replace turnout_issp = 0 if v287==2&issp_wave==2002|v297==2&issp_wave==2004|VOTE_LE==2
label define votelab 0 "did not vote" 1 "voted"
label values turnout_issp votelab
tab issp_wave turnout_issp

/// IVs
/// Social class
gen sclass_issp = 1 if V134==1&issp_wave==1985|v90==1&issp_wave==1990|v108==1&issp_wave==1991| ///
	v221==1&issp_wave==1996|v219==1&issp_wave==1998|v244==1&issp_wave==2000| ///
	class==1&issp_wave==2001
replace sclass_issp = 2 if V134==2&issp_wave==1985|v90==2&issp_wave==1990|v108==2&issp_wave==1991| ///
	v221==2&issp_wave==1996|v219==2&issp_wave==1998|v244==2&issp_wave==2000| ///
	class==2&issp_wave==2001
replace sclass_issp = 3 if V134==3&issp_wave==1985|v90==3&issp_wave==1990|v108==3&issp_wave==1991| ///
	v221==3&issp_wave==1996|v219==3&issp_wave==1998|v244==3&issp_wave==2000| ///
	class==3&issp_wave==2001
replace sclass_issp = 4 if V134==4&issp_wave==1985|v90==4&issp_wave==1990|v108==4&issp_wave==1991| ///
	v221==4&issp_wave==1996|v219==4&issp_wave==1998|v244==4&issp_wave==2000| ///
	class==4&issp_wave==2001
replace sclass_issp = 5 if V134==5&issp_wave==1985|v90==5&issp_wave==1990|v108==5&issp_wave==1991| ///
	v221==5&issp_wave==1996|v219==5&issp_wave==1998|v244==5&issp_wave==2000| ///
	class==5&issp_wave==2001
replace sclass_issp = 6 if V134==6&issp_wave==1985|v90==6&issp_wave==1990|v108==6&issp_wave==1991| ///
	v221==6&issp_wave==1996|v219==6&issp_wave==1998|v244==6&issp_wave==2000| ///
	class==6&issp_wave==2001
label define classlab 1 "lower class" 2 "working class" 3 "lower middle class/upper working class" ///
	4 "middle class" 5 "upper middle class" 6 "upper class"
label values sclass_issp classlab
tab issp_wave sclass_issp

/// sex
gen female_issp = 1 if V118==2&issp_wave==1985|v59==2&issp_wave==1990|v77==2&issp_wave==1991| ///
	v200==2&issp_wave==1996|v200==2&issp_wave==1998|v200==2&issp_wave==2000|sex==2| ///
	v200==2&issp_wave==2002|v200==2&issp_wave==2004|SEX==2
replace female_issp = 0 if V118==1&issp_wave==1985|v59==1&issp_wave==1990|v77==1&issp_wave==1991| ///
	v200==1&issp_wave==1996|v200==1&issp_wave==1998|v200==1&issp_wave==2000|sex==1| ///
	v200==1&issp_wave==2002|v200==1&issp_wave==2004|SEX==1
label define femlab 0 "male" 1 "female"
label values female_issp femlab
tab issp_wave female_issp

/// age
gen age_issp = V117 if issp_wave==1985
replace age_issp = v60 if issp_wave==1990
replace age_issp = v78 if issp_wave==1991
replace age_issp = v201 if issp_wave==1996
replace age_issp = v201 if issp_wave==1998
replace age_issp = v201 if issp_wave==2000
replace age_issp = age if issp_wave==2001|issp_wave==2003|issp_wave==2006|issp_wave==2007
replace age_issp = v201 if issp_wave==2002
replace age_issp = v201 if issp_wave==2004
replace age_issp = AGE if issp_wave==2008|issp_wave==2010|issp_wave==2013
tab age_issp issp_wave
replace age_issp=. if age_issp<=6|age_issp==999|age_issp==.d|age_issp==.n
drop age
rename age_issp age

/// birth year
gen birth = issp_wave-age
tab birth

/// religion
gen religion_issp = 1 if V132==10&issp_wave==1985|v88==10&issp_wave==1990|v106==10&issp_wave==1991| ///
	v106==11&issp_wave==1991|v219==10&issp_wave==1996|v219==11&issp_wave==1996| ///
	v217==10&issp_wave==1998|v217==11&issp_wave==1998|v242==10&issp_wave==2000| ///
	v242==11&issp_wave==2000|relig==10&issp_wave==2001|relig==11&issp_wave==2001| ///
	v289==2&issp_wave==2002|religgrp==2&issp_wave==2003|v299==2&issp_wave==2004| ///
	religgrp==2&issp_wave==2006|religgrp==2&issp_wave==2007|RELIGGRP==2&issp_wave==2008| ///
	RELIGGRP==1&issp_wave==2010|RELIGGRP==1&issp_wave==2013
replace religion_issp = 2 if V132==20&issp_wave==1985|v88==20&issp_wave==1990|v106==20&issp_wave==1991| ///
	v219==20&issp_wave==1996|v217==20&issp_wave==1998|v242==20&issp_wave==2000| ///
	relig==20&issp_wave==2001|v289==5&issp_wave==2002|religgrp==5&issp_wave==2003| ///
	v299==5&issp_wave==2004|religgrp==5&issp_wave==2006|religgrp==5&issp_wave==2007| ///
	RELIGGRP==5&issp_wave==2008|RELIGGRP==5&issp_wave==2010|RELIGGRP==5&issp_wave==2013
replace religion_issp = 3 if V132==30&issp_wave==1985|v88==30&issp_wave==1990|v106==30&issp_wave==1991| ///
	v219==30&issp_wave==1996|v217==30&issp_wave==1998|v242==30&issp_wave==2000| ///
	relig==30&issp_wave==2001|v289==6&issp_wave==2002|religgrp==6&issp_wave==2003| ///
	v299==6&issp_wave==2004|religgrp==6&issp_wave==2006|religgrp==6&issp_wave==2007| ///
	RELIGGRP==6&issp_wave==2008|RELIGGRP==6&issp_wave==2010|RELIGGRP==6&issp_wave==2013
replace religion_issp = 4 if V132==40&issp_wave==1985|V132==41&issp_wave==1985|V132==42&issp_wave==1985| ///
	V132==43&issp_wave==1985|V132==44&issp_wave==1985|V132==45&issp_wave==1985|V132==46&issp_wave==1985| ///
	V132==47&issp_wave==1985|V132==49&issp_wave==1985|v88==40&issp_wave==1990|v88==41&issp_wave==1990| ///
	v88==42&issp_wave==1990|v88==43&issp_wave==1990|v88==44&issp_wave==1990|v88==45&issp_wave==1990| ///
	v88==46&issp_wave==1990|v88==47&issp_wave==1990|v88==48&issp_wave==1990|v88==49&issp_wave==1990| ///
	v88==60&issp_wave==1990|v106==40&issp_wave==1991|v106==41&issp_wave==1991|v106==42&issp_wave==1991| ///
	v106==43&issp_wave==1991|v106==44&issp_wave==1991|v106==45&issp_wave==1991|v106==46&issp_wave==1991| ///
	v106==47&issp_wave==1991|v106==48&issp_wave==1991|v106==49&issp_wave==1991|v106==60&issp_wave==1991| ///
	v219==12&issp_wave==1996|v219==40&issp_wave==1996|v219==41&issp_wave==1996|v219==42&issp_wave==1996| ///
	v219==43&issp_wave==1996|v219==44&issp_wave==1996|v219==45&issp_wave==1996|v219==46&issp_wave==1996| ///
	v219==47&issp_wave==1996|v219==48&issp_wave==1996|v219==49&issp_wave==1996|v219==60&issp_wave==1996| ///
	v219==62&issp_wave==1996|v219==65&issp_wave==1996|v217==40&issp_wave==1998|v217==41&issp_wave==1998| ///
	v217==42&issp_wave==1998|v217==43&issp_wave==1998|v217==44&issp_wave==1998|v217==45&issp_wave==1998| ///
	v217==46&issp_wave==1998|v217==47&issp_wave==1998|v217==48&issp_wave==1998|v217==49&issp_wave==1998| ///
	v217==55&issp_wave==1998|v217==60&issp_wave==1998|v217==62&issp_wave==1998|v217==65&issp_wave==1998| ///
	v242==40&issp_wave==2000|v242==41&issp_wave==2000|v242==42&issp_wave==2000|v242==43&issp_wave==2000| ///
	v242==44&issp_wave==2000|v242==45&issp_wave==2000|v242==46&issp_wave==2000|v242==47&issp_wave==2000| ///
	v242==48&issp_wave==2000|v242==49&issp_wave==2000|v242==55&issp_wave==2000|v242==60&issp_wave==2000| ///
	v242==62&issp_wave==2000|v242==65&issp_wave==2000|relig==33&issp_wave==2001|relig==40&issp_wave==2001| ///
	relig==41&issp_wave==2001|relig==42&issp_wave==2001|relig==43&issp_wave==2001| ///
	relig==44&issp_wave==2001|relig==45&issp_wave==2001|relig==46&issp_wave==2001| ///
	relig==47&issp_wave==2001|relig==48&issp_wave==2001|relig==49&issp_wave==2001| ///
	relig==55&issp_wave==2001|relig==60&issp_wave==2001|relig==62&issp_wave==2001| ///
	relig==65&issp_wave==2001|relig==80&issp_wave==2001|relig==81&issp_wave==2001| ///
	v289==3&issp_wave==2002|religgrp==3&issp_wave==2003|v299==3&issp_wave==2004| ///
	religgrp==3&issp_wave==2006|religgrp==3&issp_wave==2007|RELIGGRP==3&issp_wave==2008| ///
	RELIGGRP==2&issp_wave==2010|RELIGGRP==2&issp_wave==2013|v219==55&issp_wave==1996
replace religion_issp = 5 if V132==51&issp_wave==1985|v88==51&issp_wave==1990|v106==51&issp_wave==1991| ///
	v219==51&issp_wave==1996|v217==51&issp_wave==1998|v242==51&issp_wave==2000| ///
	relig==51&issp_wave==2001|v289==8&issp_wave==2002|religgrp==8&issp_wave==2003| ///
	v299==8&issp_wave==2004|religgrp==8&issp_wave==2006|religgrp==8&issp_wave==2007| ///
	RELIGGRP==8&issp_wave==2008|RELIGGRP==8&issp_wave==2010|RELIGGRP==8&issp_wave==2013
replace religion_issp = 6 if V132==52&issp_wave==1985|v88==52&issp_wave==1990|v106==52&issp_wave==1991| ///
	v219==52&issp_wave==1996|v217==52&issp_wave==1998|v242==52&issp_wave==2000| ///
	relig==52&issp_wave==2001|v289==7&issp_wave==2002|religgrp==7&issp_wave==2003| ///
	v299==7&issp_wave==2004|religgrp==7&issp_wave==2006|religgrp==7&issp_wave==2007| ///
	RELIGGRP==7&issp_wave==2008|RELIGGRP==7&issp_wave==2010|RELIGGRP==7&issp_wave==2013
replace religion_issp = 7 if V132==54&issp_wave==1985|v88==54&issp_wave==1990|v106==54&issp_wave==1991| ///
	v219==54&issp_wave==1996|v217==54&issp_wave==1998|v242==54&issp_wave==2000| ///
	relig==54&issp_wave==2001|v289==4&issp_wave==2002|religgrp==4&issp_wave==2003| ///
	v299==4&issp_wave==2004|religgrp==4&issp_wave==2006|religgrp==4&issp_wave==2007| ///
	RELIGGRP==3&issp_wave==2010|RELIGGRP==3&issp_wave==2013|RELIGGRP==4&issp_wave==2008
replace religion_issp = 8 if v88==92&issp_wave==1990|v106==92&issp_wave==1991|v219==61&issp_wave==1996| ///
	v219==63&issp_wave==1996|v219==64&issp_wave==1996|v219==92&issp_wave==1996| ///
	v217==61&issp_wave==1998|v217==63&issp_wave==1998|v217==64&issp_wave==1998| ///
	v217==67&issp_wave==1998|v217==92&issp_wave==1998|v242==61&issp_wave==2000| ///
	v242==63&issp_wave==2000|v242==64&issp_wave==2000|v242==67&issp_wave==2000| ///
	v242==70&issp_wave==2000|v242==92&issp_wave==2000|relig==7&issp_wave==2001| ///
	relig==8&issp_wave==2001|relig==9&issp_wave==2001|relig==35&issp_wave==2001| ///
	relig==36&issp_wave==2001|relig==37&issp_wave==2001|relig==38&issp_wave==2001| ///
	relig==61&issp_wave==2001|relig==63&issp_wave==2001|relig==64&issp_wave==2001| ///
	relig==67&issp_wave==2001|relig==92&issp_wave==2001|v289==9&issp_wave==2002| ///
	religgrp==9&issp_wave==2003|v299==9&issp_wave==2004|religgrp==9&issp_wave==2006| ///
	religgrp==9&issp_wave==2007|RELIGGRP==9&issp_wave==2008|RELIGGRP==4&issp_wave==2010| ///
	RELIGGRP==4&issp_wave==2013|v217==12&issp_wave==1998|v242==12&issp_wave==2000| ///
	relig==12&issp_wave==2001
replace religion_issp = 9 if V132==90&issp_wave==1985|v88==93&issp_wave==1990|v106==93&issp_wave==1991| ///
	v219==31&issp_wave==1996|v219==50&issp_wave==1996|v219==61&issp_wave==1996|v219==66&issp_wave==1996| ///
	v219==93&issp_wave==1996|v219==94&issp_wave==1996|v217==31&issp_wave==1998| ///
	v217==50&issp_wave==1998|v217==66&issp_wave==1998|v217==68&issp_wave==1998|v217==69&issp_wave==1998| ///
	v217==93&issp_wave==1998|v217==94&issp_wave==1998|v242==31&issp_wave==2000| ///
	v242==50&issp_wave==2000|v242==66&issp_wave==2000|v242==68&issp_wave==2000|v242==69&issp_wave==2000| ///
	v242==93&issp_wave==2000|v242==94&issp_wave==2000| ///
	relig==31&issp_wave==2001|relig==50&issp_wave==2001|relig==66&issp_wave==2001| ///
	relig==68&issp_wave==2001|relig==69&issp_wave==2001|relig==70&issp_wave==2001| ///
	relig==93&issp_wave==2001|relig==94&issp_wave==2001|v289==10&issp_wave==2002| ///
	v289==11&issp_wave==2002|v289==12&issp_wave==2002|religgrp==10&issp_wave==2003| ///
	religgrp==11&issp_wave==2003|v299==10&issp_wave==2004|v299==11&issp_wave==2004| ///
	religgrp==10&issp_wave==2006|religgrp==11&issp_wave==2006|religgrp==10&issp_wave==2007| ///
	religgrp==11&issp_wave==2007|RELIGGRP==10&issp_wave==2008|RELIGGRP==11&issp_wave==2008| ///
	RELIGGRP==9&issp_wave==2010|RELIGGRP==10&issp_wave==2010|RELIGGRP==9&issp_wave==2013| ///
	RELIGGRP==10&issp_wave==2013|V132==53&issp_wave==1985|v88==53&issp_wave==1990|v106==53&issp_wave==1991| ///
	v219==53&issp_wave==1996|v217==53&issp_wave==1998|v242==53&issp_wave==2000| ///
	relig==53&issp_wave==2001
replace religion_issp = 10 if V132==50&issp_wave==1985|V132==96&issp_wave==1985|v88==90&issp_wave==1990| ///
	v88==91&issp_wave==1990|v106==90&issp_wave==1991|v106==91&issp_wave==1991| ///
	v219==90&issp_wave==1996|v219==91&issp_wave==1996|v217==90&issp_wave==1998| ///
	v217==91&issp_wave==1998|v242==90&issp_wave==2000|v242==91&issp_wave==2000| ///
	relig==90&issp_wave==2001|relig==91&issp_wave==2001|v289==1&issp_wave==2002| ///
	religgrp==1&issp_wave==2003|v299==1&issp_wave==2004|religgrp==1&issp_wave==2006| ///
	religgrp==1&issp_wave==2007|RELIGGRP==1&issp_wave==2008|RELIGGRP==0&issp_wave==2010| ///
	RELIGGRP==0&issp_wave==2013
label define religlab 1 "Catholic" 2 "Jewish" 3 "Muslim" 4 "Protestant" 5 "Hindu" 6 "Buddhist" ///
	7 "Orthodox" 8 "other Christian" 9 "other religion" 10 "none"
label values religion_issp religlab

tab religion issp_wave

/// Education
/// years in school
/// 95 = still in school, 96 = still in college
gen eduyears = V122 if issp_wave==1985
replace eduyears = v80 if issp_wave==1990
replace eduyears = v98 if issp_wave==1991
replace eduyears = v204 if issp_wave==1996
replace eduyears = v204 if issp_wave==1998
replace eduyears = v204 if issp_wave==2000
replace eduyears = educyrs if issp_wave==2001
replace eduyears = v204 if issp_wave==2002
replace eduyears = educyrs if issp_wave==2003
replace eduyears = v204 if issp_wave==2004
replace eduyears = educyrs if issp_wave==2006
replace eduyears = educyrs if issp_wave==2007
replace eduyears = EDUCYRS if issp_wave==2008
replace eduyears = EDUCYRS if issp_wave==2010
replace eduyears = EDUCYRS if issp_wave==2013
replace eduyears=. if eduyears==97&issp_wave==1985
replace eduyears=. if eduyears==94&issp_wave==1996
replace eduyears = 95 if eduyears==97&issp_wave==1996|eduyears==97&issp_wave==1998| ///
	eduyears==97&issp_wave==2000|eduyears==97&issp_wave==2001|eduyears==97&issp_wave==2002
replace eduyears=. if eduyears==94&issp_wave==1998
replace eduyears=. if eduyears==94&issp_wave==2000
replace eduyears=. if eduyears==94&issp_wave==2001
replace eduyears=0 if eduyears==97&issp_wave==2003|eduyears==97&issp_wave==2004| ///
	eduyears==97&issp_wave==2007|EDUCYRS==97&issp_wave==2008
replace eduyears=. if EDUCYRS==99&issp_wave==2013|EDUCYRS==98&issp_wave==2013

tab eduyears issp_wave
rename eduyears eduyears_issp

/// highest level of education
/// country-specific categories
gen education_issp = V123 if issp_wave==1985
replace education_issp = v81 if issp_wave==1990
replace education_issp = v99 if issp_wave==1991
replace education_issp = v205 if issp_wave==1996 
replace education_issp = v205 if issp_wave==1998
replace education_issp = v205 if issp_wave==2000
replace education_issp = degree if issp_wave==2001
replace education_issp = v205 if issp_wave==2002
replace education_issp = degree if issp_wave==2003
replace education_issp = v205 if issp_wave==2004
replace education_issp = degree if issp_wave==2006
replace education_issp = degree if issp_wave==2007
replace education_issp = DEGREE if issp_wave==2008
replace education_issp = DEGREE if issp_wave==2010
replace education_issp = DEGREE if issp_wave==2013

tab education_issp issp_wave

/// Employment status
/// fully expanded (does not include 1985, 2010 or 2013)
gen employed = 1 if v63==1&issp_wave==1990|v81==1&issp_wave==1991|v206==1&issp_wave==1996| ///
	v206==1&issp_wave==1998|v231==1&issp_wave==2000|wrkst==1&issp_wave==2001| ///
	wrkst==11&issp_wave==2001|v239==1&issp_wave==2002|wrkst==1&issp_wave==2003| ///
	v244==1&issp_wave==2004|wrkst==1&issp_wave==2006|wrkst==1&issp_wave==2007| ///
	WRKST==1&issp_wave==2008
replace employed = 2 if v63==2&issp_wave==1990|v81==2&issp_wave==1991|v206==2&issp_wave==1996| ///
	v206==2&issp_wave==1998|v231==2&issp_wave==2000|wrkst==2&issp_wave==2001| ///
	v239==2&issp_wave==2002|wrkst==2&issp_wave==2003|v244==2&issp_wave==2004| ///
	wrkst==2&issp_wave==2006|wrkst==2&issp_wave==2007|WRKST==2&issp_wave==2008
replace employed = 3 if v63==3&issp_wave==1990|v81==3&issp_wave==1991|v206==3&issp_wave==1996| ///
	v206==3&issp_wave==1998|v231==3&issp_wave==2000|wrkst==3&issp_wave==2001| ///
	v239==3&issp_wave==2002|wrkst==3&issp_wave==2003|v244==3&issp_wave==2004| ///
	wrkst==3&issp_wave==2006|wrkst==3&issp_wave==2007|WRKST==3&issp_wave==2008
replace employed = 4 if v63==4&issp_wave==1990|v81==4&issp_wave==1991|v206==4&issp_wave==1996| ///
	v206==4&issp_wave==1998|v231==4&issp_wave==2000|wrkst==4&issp_wave==2001| ///
	v239==4&issp_wave==2002|wrkst==4&issp_wave==2003|v244==4&issp_wave==2004| ///
	wrkst==4&issp_wave==2006|wrkst==4&issp_wave==2007|WRKST==4&issp_wave==2008
replace employed = 5 if v63==5&issp_wave==1990|v81==5&issp_wave==1991|v206==5&issp_wave==1996| ///
	v206==5&issp_wave==1998|v231==5&issp_wave==2000|wrkst==5&issp_wave==2001| ///
	wrkst==12&issp_wave==2001|v239==5&issp_wave==2002|wrkst==5&issp_wave==2003| ///
	v244==5&issp_wave==2004|wrkst==5&issp_wave==2006|wrkst==5&issp_wave==2007| ///
	WRKST==5&issp_wave==2008
replace employed = 6 if v63==6&issp_wave==1990|v81==6&issp_wave==1991|v206==6&issp_wave==1996| ///
	v206==6&issp_wave==1998|v231==6&issp_wave==2000|wrkst==6&issp_wave==2001| ///
	v239==6&issp_wave==2002|wrkst==6&issp_wave==2003|v244==6&issp_wave==2004| ///
	wrkst==6&issp_wave==2006|wrkst==6&issp_wave==2007|WRKST==6&issp_wave==2008
replace employed = 7 if v63==7&issp_wave==1990|v81==7&issp_wave==1991|v206==7&issp_wave==1996| ///
	v206==7&issp_wave==1998|v231==7&issp_wave==2000|wrkst==7&issp_wave==2001| ///
	v239==7&issp_wave==2002|wrkst==7&issp_wave==2003|v244==7&issp_wave==2004| ///
	wrkst==7&issp_wave==2006|wrkst==7&issp_wave==2007|WRKST==7&issp_wave==2008
replace employed = 8 if v63==8&issp_wave==1990|v81==8&issp_wave==1991|v206==8&issp_wave==1996| ///
	v206==8&issp_wave==1998|v231==8&issp_wave==2000|wrkst==8&issp_wave==2001| ///
	v239==8&issp_wave==2002|wrkst==8&issp_wave==2003|v244==8&issp_wave==2004| ///
	wrkst==8&issp_wave==2006|wrkst==8&issp_wave==2007|WRKST==8&issp_wave==2008
replace employed = 9 if v63==9&issp_wave==1990|v81==9&issp_wave==1991|v206==9&issp_wave==1996| ///
	v206==9&issp_wave==1998|v231==9&issp_wave==2000|wrkst==9&issp_wave==2001| ///
	v239==9&issp_wave==2002|wrkst==9&issp_wave==2003|v244==9&issp_wave==2004| ///
	wrkst==9&issp_wave==2006|wrkst==9&issp_wave==2007|WRKST==9&issp_wave==2008
replace employed = 10 if v63==10&issp_wave==1990|v81==10&issp_wave==1991|v206==10&issp_wave==1996| ///
	v206==10&issp_wave==1998|v231==10&issp_wave==2000|wrkst==10&issp_wave==2001| ///
	v239==10&issp_wave==2002|wrkst==10&issp_wave==2003|v244==10&issp_wave==2004| ///
	wrkst==10&issp_wave==2006|wrkst==10&issp_wave==2007|WRKST==10&issp_wave==2008
replace employed = . if wrkst==0&issp_wave==2001
label define employlab 1 "Employed FT" 2 "Employed PT" 3 "Employed less than PT" ///
	4 "Helping family member" 5 "Unemployed" 6 "Student" 7 "Retired" 8 "Housewife/husband" ///
	9 "Disabled/sick" 10 "others not in labour force"
label values employed employlab
	
tab employed issp_wave
	
/// expanded (all years except 1985)
gen employed2 = 1 if employed==1|employed==2|employed==3|MAINSTAT==1
replace employed2 = 2 if employed==4|employed==8|MAINSTAT==7
replace employed2 = 3 if employed==5|MAINSTAT==2
replace employed2 = 4 if employed==6|MAINSTAT==3|MAINSTAT==4
replace employed2 = 5 if employed==9|MAINSTAT==5
replace employed2 = 6 if employed==7|MAINSTAT==6
replace employed2 = 7 if employed==10|MAINSTAT==8|MAINSTAT==9|MAINSTAT==10
label define employlab2 1 "Employed" 2 "Domestic/caring work" 3 "Unemployed" 4 "In education" ///
	5 "Disabled/sick" 6 "Retired" 7 "Other"
label values employed2 employlab2

tab employed2 issp_wave

// reduced (to include 1985)
gen employed3 = 1 if V109==2&issp_wave==1985|employed2==1
replace employed3 = 0 if V109==1&issp_wave==1985|employed2==2|employed2==3|employed2==4|employed2==5| ///
	employed2==6|employed2==7
label define employlab3 0 "unemployed" 1 "employed"
label values employed3 employlab3

tab employed3 issp_wave

// income
// deciles
egen income_10_1996 = xtile(v217) if issp_wave==1996, nq(10) by(country)
egen income_10_1998 = xtile(v215) if issp_wave==1998, nq(10) by(country)
egen income_10_2000 = xtile(v240) if issp_wave==2000, nq(10) by(country)
egen income_10_2003 = xtile(rincome) if issp_wave==2003, nq(10) by(country)
egen income_10_2004 = xtile(v254) if issp_wave==2004, nq(10) by(country)
gen income_10 = income_10_1996 if issp_wave==1996
replace income_10 = income_10_1998 if issp_wave==1998
replace income_10 = income_10_2000 if issp_wave==2000
replace income_10 = income_10_2003 if issp_wave==2003
replace income_10 = income_10_2004 if issp_wave==2004

// quintiles
egen income_5_1996 = xtile(v217) if issp_wave==1996, nq(5) by(country)
egen income_5_1998 = xtile(v215) if issp_wave==1998, nq(5) by(country)
egen income_5_2000 = xtile(v240) if issp_wave==2000, nq(5) by(country)
egen income_5_2003 = xtile(rincome) if issp_wave==2003, nq(5) by(country)
egen income_5_2004 = xtile(v254) if issp_wave==2004, nq(5) by(country)
gen income_5 = income_5_1996 if issp_wave==1996
replace income_5 = income_5_1998 if issp_wave==1998
replace income_5 = income_5_2000 if issp_wave==2000
replace income_5 = income_5_2003 if issp_wave==2003
replace income_5 = income_5_2004 if issp_wave==2004

// marital status
gen marstat_issp = 1 if V120==1&issp_wave==1985|v61==1&issp_wave==1990| ///
	v79==1&issp_wave==1991|v202==1&issp_wave==1996|v202==1&issp_wave==1998| ///
	v202==1&issp_wave==2000|marital==1&issp_wave==2001|v202==1&issp_wave==2002| ///
	marital==1&issp_wave==2003|v202==1&issp_wave==2004|marital==1&issp_wave==2006| ///
	marital==1&issp_wave==2007|marital==6&issp_wave==2007|MARITAL==1&issp_wave==2008| ///
	MARITAL==1&issp_wave==2010|MARITAL==2&issp_wave==2010|MARITAL==1&issp_wave==2013| ///
	MARITAL==2&issp_wave==2013
replace marstat_issp = 2 if V120==2&issp_wave==1985|v61==2&issp_wave==1990| ///
	v79==2&issp_wave==1991|v202==2&issp_wave==1996|v202==2&issp_wave==1998| ///
	v202==2&issp_wave==2000|marital==2&issp_wave==2001|v202==2&issp_wave==2002| ///
	marital==2&issp_wave==2003|v202==2&issp_wave==2004|marital==2&issp_wave==2006| ///
	marital==2&issp_wave==2007|MARITAL==2&issp_wave==2008|MARITAL==5&issp_wave==2010| ///
	MARITAL==5&issp_wave==2013
replace marstat_issp = 3 if V120==3&issp_wave==1985|v61==3&issp_wave==1990| ///
	v79==3&issp_wave==1991|v202==3&issp_wave==1996|v202==3&issp_wave==1998| ///
	v202==3&issp_wave==2000|marital==3&issp_wave==2001|v202==3&issp_wave==2002| ///
	marital==3&issp_wave==2003|v202==3&issp_wave==2004|marital==3&issp_wave==2006| ///
	marital==3&issp_wave==2007|MARITAL==3&issp_wave==2008|MARITAL==4&issp_wave==2010| ///
	MARITAL==4&issp_wave==2013
replace marstat_issp = 4 if V120==4&issp_wave==1985|v61==4&issp_wave==1990| ///
	v79==4&issp_wave==1991|v202==4&issp_wave==1996|v202==4&issp_wave==1998| ///
	v202==4&issp_wave==2000|marital==4&issp_wave==2001|v202==4&issp_wave==2002| ///
	marital==4&issp_wave==2003|v202==4&issp_wave==2004|marital==4&issp_wave==2006| ///
	marital==4&issp_wave==2007|MARITAL==4&issp_wave==2008|MARITAL==3&issp_wave==2010| ///
	MARITAL==3&issp_wave==2013
replace marstat_issp = 5 if V120==5&issp_wave==1985|v61==5&issp_wave==1990| ///
	v79==5&issp_wave==1991|v202==5&issp_wave==1996|v202==5&issp_wave==1998| ///
	v202==5&issp_wave==2000|marital==5&issp_wave==2001|v202==5&issp_wave==2002| ///
	marital==5&issp_wave==2003|v202==5&issp_wave==2004|marital==5&issp_wave==2006| ///
	marital==5&issp_wave==2007|MARITAL==5&issp_wave==2008|MARITAL==6&issp_wave==2010| ///
	MARITAL==6&issp_wave==2013

label define marlab 1 "married or cohabiting" 2 "widowed" 3 "divorced" 4 "separated" ///
	5 "never married" 
label values marstat_issp marlab

// dataset
gen data = 4 
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl

keep year country confparl_issp confjud_issp confpub_issp confchurch_issp govtrust_issp ///
	inflgovt_issp inflpol_issp undpol_issp polinterest_issp discpol_issp persothers_issp ///
	readnews_issp newstv_issp newsradio_issp turnout_issp sclass_issp female_issp age ///
	birth religion_issp eduyears_issp education_issp employed employed2 ///
	employed3 V132 v88 v219 v217 v242 relig v289 religgrp v299 RELIGGRP ///
	income_10 income_5 data marstat_issp
	
saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\ISSP.dta", replace	
*saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Merged data\ISSP.dta", replace






