capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\americas barometer merge.log", replace

/*
name of do-file: Americans Barometer merge

project: legacy of authoritarian regimes 

data: Americas Barometer 2004-2014

do-file: recoding of Americas Barometer merged datafile
*/

set more off

version 13
clear all
macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Americas Barometer\"

use "AmericasBarometer Grand Merge 2004-2014 v3.0_FREE.dta"

/// country
tab pais, nol
gen country = 484 if pais==1
replace country = 320 if pais==2
replace country = 222 if pais==3
replace country = 340 if pais==4
replace country = 558 if pais==5
replace country = 188 if pais==6
replace country = 591 if pais==7
replace country = 170 if pais==8
replace country = 218 if pais==9
replace country = 68 if pais==10
replace country = 604 if pais==11
replace country = 600 if pais==12
replace country = 152 if pais==13
replace country = 858 if pais==14
replace country = 76 if pais==15
replace country = 862 if pais==16
replace country = 32 if pais==17
replace country = 214 if pais==21
replace country = 332 if pais==22
replace country = 388 if pais==23
replace country = 328 if pais==24
replace country = 780 if pais==25
replace country = 84 if pais==26
replace country = 740 if pais==27
replace country = 1000 if pais==28
replace country = 52 if pais==29

label define countrylab 32 "Argentina" 68 "Bolivia" 76 "Brazil" 152 "Chile" 170 "Colombia" ///
	188 "Costa Rica" 214 "Dominican Republic" 218 "Ecuador" 222 "El Salvador" 320 "Guatemala" ///
	340 "Honduras" 484 "Mexico" 558 "Nicaragua" 591 "Panama" 600 "Paraguay" 604 "Peru" ///
	858 "Uruguay" 862 "Venezuela" 332 "Haiti" 338 "Jamaica" 328 "Guyana" ///
	780 "Trinidad and Tobago" 84 "Belize" 740 "Suriname" 1000 "Bahamas" 52 "Barbados"
label values country countrylab
drop if country==.

/// survey information
gen surveymode = "F2F"
gen sampling = "multistage stratified sampling with quotas at household level"

save americas_barometer_all_merged.dta, replace
