capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\ISSP merge.log", replace

/*
name of do-file: ISSP merge

project: legacy of authoritarian regimes 

data: ISSP waves 1998-2013

do-file: merging all waves of the ISSP with variables in Latin America variables by wave excel document
*/

set more off

version 13
clear all
macro drop _all

cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\ISSP\"

use 1998_ISSP_Religion_II.dta
gen issp_1998 = 1
keep issp_1998 v3 v5 v6 v9 v10 v11 v16 v19 v20 v23 v32 v33 v34 v35 v200 v201 v202 v203 v204 v205 ///
	v206 v215 v216 v217 v219 v315 v210 v211 v316
	
append using 2000_ISSP_Environment_II.dta, keep(v3 v5 v6 v7 v65 v67 v244 v202 v200 v201 ///
	v242 v204 v205 v231 v235 v236 v237 v325 v240 v241 v327) gen(issp_2000) nolabel
	
append using 2001_ISSP_Social_Networks_II.dta, keep(V3 weight V65 V64 V63 V29 V30 V31 V32 V33 V34 V35 ///
	class marital sex age relig educyrs degree wrkgovt selfemp nemploy wrkst) gen(issp_2001) nolabel

append using 2002_ISSP_Family_III.dta, keep(COUNTRY v361 v287 v200 v201 v202 v288 v289 v204 v205 ///
	v242 v239 v359 v243 v244) gen(issp_2002) nolabel
	
append using 2003_ISSP_national_identity_II.dta, keep(COUNTRY weight v22 v25 v26 v27 v28 v29 v30 ///
	v31 v32 v33 v34 v35 v56 v58 v63 marital sex age relig religgrp educyrs degree wrkst wrktype ///
	nemploy rincome) gen(issp_2003) nolabel
	
append using 2004_ISSP_Citizenship_I.dta, keep(COUNTRY v381 V4 V5 V6 V7 V8 V9 V10 V11 V12 V13 V15 ///
	V17 V18 V19 V20 V21 V22 V23 V24 V25 V26 V27 V28 V29 V30 V31 V32 V33 V34 V35 V36 V37 V38 V39 ///
	V40 V42 V43 V44 V46 V47 V48 V60 V63 V64 V65 v200 v201 v202 v204 v205 v244 v247 v248 v249 v379) ///
	gen(issp_2004) nolabel
	
append using 2006_ISSP_role_govt_IV.dta, keep(V3 weight V4 V5 V6 V8 V31 V36 V44 V45 V46 V47 V48 V49 ///
	sex age educyrs degree wrkst wrktype relig religgrp ethnic) gen(issp_2006) nolabel
	
append using 2007_ISSP_sport_leisure.dta, keep(V4 weight V52 V53 V54 V55 V56 V57 V58 sex age marital ///
	educyrs degree wrkst wrktype VOTE_LE relig religgrp ethnic) gen(issp_2007) nolabel
	
append using 2008_ISSP_Religion_II.dta, keep(V4 WEIGHT V10 V11 V13 V14 V17 SEX AGE MARITAL EDUCYRS ///
	DEGREE WRKST WRKTYPE RELIG RELIGGRP ETHNIC) gen(issp_2008) nolabel
	
append using 2010_ISSP_Environment_III.dta, keep(V3 WEIGHT V8 V9 V10 V11 V13 SEX AGE EDUCYRS DEGREE ///
	BIRTH MARITAL WORK MAINSTAT WRKHRS TYPORG2 RELIGGRP VOTE_LE) gen(issp_2010) nolabel
	
append using 2013_ISSP_national_identity_III.dta, keep(V3 WEIGHT V20 V23 V25 V26 V27 V28 V29 V30 V31 ///
	V32 V33 V34 V58 SEX BIRTH AGE EDUCYRS DEGREE WORK WRKHRS MAINSTAT RELIGGRP VOTE_LE MARITAL) ///
	gen(issp_2013) nolabel
	
/// country (WVS codes)
gen country = 152 if v3==31&issp_1998==1|v3==31&issp_2000==1|V3==31&issp_2001==1|COUNTRY==31&issp_2002==1| ///	
	COUNTRY==31&issp_2003==1|COUNTRY==31&issp_2004==1|V3==152&issp_2006==1|V4==152&issp_2007==1| ///
	V4==152&issp_2008==1|V3==152&issp_2010==1
replace country = 484 if v3==38&issp_2000==1|COUNTRY==38&issp_2002==1|COUNTRY==38&issp_2004==1| ///
	V4==484&issp_2007==1|V4==484&issp_2008==1|V3==484&issp_2010==1|V3==484&issp_2013==1
replace country = 76 if COUNTRY==35&issp_2002==1|COUNTRY==35&issp_2004==1
replace country = 862 if COUNTRY==36&issp_2003==1|COUNTRY==36&issp_2004==1|V3==862&issp_2006==1| ///
	V4==862&issp_2008==1
replace country = 858 if COUNTRY==43&issp_2003==1|COUNTRY==42&issp_2004==1|V3==858&issp_2006==1| ///
	V4==858&issp_2007==1|V4==858&issp_2008==1
replace country = 214 if V3==214&issp_2006==1|V4==214&issp_2007==1|V4==214&issp_2008==1
replace country = 32 if V4==32&issp_2007==1|V3==32&issp_2010==1

label define countrylab 32 "Argentina" 68 "Bolivia" 76 "Brazil" 152 "Chile" 170 "Colombia" ///
	188 "Costa Rica" 214 "Dominican Republic" 218 "Ecuador" 222 "El Salvador" 320 "Guatemala" ///
	340 "Honduras" 484 "Mexico" 558 "Nicaragua" 591 "Panama" 600 "Paraguay" 604 "Peru" ///
	858 "Uruguay" 862 "Venezuela"
label values country countrylab

drop if country==.

/// wave
gen issp_wave = 1998 if issp_1998==1
replace issp_wave = 2000 if issp_2000==1
replace issp_wave = 2001 if issp_2001==1
replace issp_wave = 2002 if issp_2002==1
replace issp_wave = 2003 if issp_2003==1
replace issp_wave = 2004 if issp_2004==1
replace issp_wave = 2006 if issp_2006==1
replace issp_wave = 2007 if issp_2007==1
replace issp_wave = 2008 if issp_2008==1
replace issp_wave = 2010 if issp_2010==1
replace issp_wave = 2013 if issp_2013==1

/// survey information
gen surveymode = "F2F"
replace surveymode = "paper and pencil, respondent reading questionnaire" if country==32&issp_wave==2010| ///
	country==32&issp_wave==2007
replace surveymode = "unspecfified" if country==152&issp_wave==2006
gen sampling = "multi-stage stratified"
replace sampling = "unclear" if country==214&issp_wave==2008|country==214&issp_wave==2007| ///
	country==214&issp_wave==2006
	
save issp_all_merged.dta, replace

log close
	
