capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\latinobarometer merge.log", replace

/*
name of do-file: latinobarometer merge

project: legacy of authoritarian regimes 

data: Latinobarometer 1995-2013

do-file: merging all waves of the latinobarometer with variables in Latin America variables by wave excel document
*/

set more off
clear all

macro drop _all

*cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Latinobarometer\"
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Latinobarometer/"

use Latinobarometro_1995_data_english_v2014_06_27, nolabel

keep pais p76 s6 s1 s2 p9 s5a s7 s17 s10 ///
	s10b s11 p4 p10 p13 p21 p22 p20 p26 p27i p27d p27j p27b p27g p27m p27h p27e p27c p37 p32 ///
	p62 p64b p64c p28b p28a p28c p25 p64e p65a p65c p65d p65b p34 p23 p31 p36 p11 p61a1 p61a2 ///
	p61a3 wt p27a
gen wave_1995 = 1
	
append using Latinobarometro_1996_datos_english_v2014_06_27, keep (pais p78 s5 s1 s2 p7 s4 s6 ///
	s14 s7a s7b s8 p4 p8 p11 p30 p20 p21 p19 p22 p26 p27 p33i p33d p33j p33b p33g p33m p33h p33e ///
	p33c p39 p64 p67b p67c p36b p36a p36c p31 p12 p55a p55b p55c p55d p55e p55f p55g p55h p55i ///
	p55j p55k p55l p55m p55n p55o p55p p67e p56a p56b p56c p56d p56e p56f p56g p56h p56i p56j ///
	p56k p68a p68c p68b p65a p65b p67d p38 p32 p9 p63a p63b p63c p74b p74c p33a wt) gen(wave_1996) ///
	nolabel

append using Latinobarometro_1997_datos_english_v2014_06_27, keep (idenpa sp87 s5 s1 s2 sp85 s4 s6 ///
	s10 s7a s7b s8 sp4 nsp10 sp8 np34 sp36 sp32 sp33 sp31 sp63d sp63f sp63c sp63g sp63b sp63e ///
	sp57 sp41 sp60b sp60c sp64b sp64a sp64c sp37 sp21 sp62 nsp61 sp56 sp38 sp22 bup30a sp55a ///
	sp55b sp55c nsp42a nsp42b nsp42c nsp42d nsp42e nsp42f nsp42g nsp42h nsp42i sp70b sp70c sp63a wt) ///
	gen(wave_1997) nolabel
	
append using Latinobarometro_1998_datos_english_v2014_06_27, keep (idenpa sp83 s5 s1 s2 sp80 s4 ///
	s6 s11 s7a s7b s8 sp4 sp81 sp8 sp33 sp29 sp30 np11 sp28 sp31 sp38d sp38f sp38c sp38g sp38b ///
	sp38e np60a np60b np60c np60d sp36 sp54b sp54c sp34 sp20 np57a np57b np57c np57d np57e ///
	np57f np57g np57h np57i np57j sp55a sp55c sp55b np66b np68 np62 np56 sp52 sp35 np63a sp51a ///
	sp51b sp51c sp61b sp61c pondera sp38a) gen(wave_1998) nolabel
	
append using Latinobarometro_2000_datos_eng_v2014_06_27, keep (idenpa P78ST S4 S1 S2 P76ST S3 ///
	S5 S6 S8A S8B S9 P4ST P77ST P8ST P12ST P30ST P31ST P15ST P29ST P35ST_D P35ST_F P35ST_C ///
	P35ST_G P35ST_B P35ST_E P63ST P58ST_B P58ST_C P56ST_B P56ST_A P56ST_C P53BD_C P33N P17ST ///
	P58ST_E P60ST_A P60ST_B P60ST_C P60ST_D P60ST_E P60ST_F P60ST_G P60ST_H P60ST_I P60ST_J ///
	P60ST_K P59ST_A P59ST_C P59ST_B P58ST_D P65ST P64ST P52ST P34ST P23N ///
	P39ST P51ST_A P51ST_B P51ST_C P66ST_B P66ST_C P35ST_A wt) gen(wave_2000) nolabel
	
append using Latinobarometro_2001_datos_english_v2014_06_27, keep (idenpa p88st s4 s1 s2 p86st s3 s5 s6 ///
	s8a s8b s9 p37b p4st p87st p41st p13st p45st p53nrr p46st p48nas p49nldc p43nas p61std p61ste p65st ///
	p61stf p61stc p61stg p61stb p63stc p63stb p63ste p49nasb p20n p56st p74stb p74sta p74stc p52nusc ///
	p42st p58n p57nasa p57nasb p57nasc p57nasd p57nase p57nasf p57nasg p57nash p51st p50st ///
	p44nasa p44nasb p47nus p52nusb p54st p52nusd p73st p62nusa p62nusb p62nusc p64sta p64stb ///
	p64stc p60stb p60stc wt p61sta) gen(wave_2001) nolabel
	
append using Latinobarometro_2002_datos_eng_v2014_06_27, keep (idenpa p67st s4 s1 s2 p65st s3 s5 ///
	s6 s8a s8b s9 p2std p66st p4st p44st p33st p41st p18no2 p23uh p23uc p38no2d p32st p38no2c ///
	p35st p37no2 p38stb p17st p36std p34stc p34stf p36stb p36stc p34std p36ste p11u p28uc p38sta ///
	p28ua p28ub p28ud p54stb p54sta p54stc p1u p3ub p3ua p29st p48sta p48stb p48stc p48std p38esse ///
	p40st p39st p30sta p30stb p31st p64st p46std p52wvsc p52wvsd p8ua p8ub p8uc ///
	p8ud p8ue p8uf p50wvsc p47st p46stb p46stc p62no2a p62no2c p34sta wt) gen(wave_2002) ///
	nolabel
	
append using Latinobarometro_2003_datos_eng_v2014_06_27, keep (idenpa p90st s4 s1 s2 p91st s3 s5 ///
	s6 s8a s8b s9 p4st p92st p19st p8st p15st p39n p16st_b p22n_a p24st p12st p14st p16st_c p16gb_e ///
	p16wvs_a p22n_d p16st_d p39n p23stc p21stf p21ste p21std p21stg p23stg p21stb p23ste p23sta ///
	p64gb_c p64gb_d p53st p61st p79sta p79nb p33stb p33sta p33stc p58st p64st_a p20st p17sta ///
	p17stb p17stc p17std p17ste p17stf p17stg p17sth p17sti p17stj p17stk p17stl p17stm p17stn ///
	p17sto p17stp p78sta p66stb p65st p60st p32n p67std p64st_b p18st p22gb_b p31n p10st_1 p10st_2 ///
	p10st_3 p22gb_e p55sta p55stb p55stc p55std p55ste p55stf p67stb p67stc p21sta wt) gen(wave_2003) ///
	nolabel
	
append using Latinobarometro_2004_datos_eng_v2014_06_27, keep (idenpa p89st s4 s1 s2 p90st s3 s5 ///
	s6 s8a s8b s9 p5st p91st p1st p10st p16n p14st p46st p24wvs p25n p13st p22sta p27sta p22stb ///
	p34stc p34stf p34stb p34std p32stg p34sth p32std p32stb p34ste p32ste p29st p78stb p78sta ///
	p78stc p28st p27stb p43st p44es_4 p44es_5 p44es_7 p44es_1 p44es_6 p44es_8 p44es_2 p44es_3 ///
	p31na p31nb p31nc p31nd p31ne p31nf p31ng p87st p17n p18n p20bid ///
	p82st p38sta p38stb p45st p57wvs_b p81st p15st_1 p15st_2 p15st_3 p32stc wt) gen(wave_2004) nolabel

append using Latinobarometro_2005_datos_eng_v2014_06_27, keep (idenpa s1 s9 s6 s7 s2 s8 s10 s11 ///
	s13a s13b s14 p5st s3 p1st p8st p19st p18st p24st p29st p28st p22st p16st p25stb p25stc p40std p47stf p35st p45sta p42std p47stb p42stb p45stf p42ste ///
	p45stc p42stf p47stc p42stc p30st p36st p37st p71sta p71stb p62stb p62sta p62stc p49stu ///
	p50st p14st p71stc p70a_1 P70a_2 P70a_3 P70a_4 P70a_5 P70a_6 P70a_7 P70a_8 P70a_9 P70a_10 ///
	P70a_11 P70a_12 P70a_13 p70a_14 p70c_1 p70c_2 p70c_3 p70c_4 p70c_5 p70c_6 p70c_7 p70c_8 ///
	p70c_9 p70c_10 p70c_11 p70c_12 p70c_13 p70c_14 p72sta p72stb p72stc p72std p72std p72stf ///
	p80st p73sta p73stb p73stc p73std p73ste p73stf p73stg p70b_1 p70b_2 p70b_3 p70b_4 ///
	p70b_5 p70b_6 p70b_7 p70b_8 p70b_9 p70b_10 p70b_11 p70b_12 p70b_13 p70b_14 p71std p20st p21st ///
	p15sta p15stb p17st p34st p75st p26st p74std p40sta p13st p46st p32n p27st_1 p27st_2 ///
	p27st_3 p74stb p74stc p42sta wt) gen(wave_2005) nolabel
	
append using Latinobarometro_2006_datos_eng_v2014_06_27, keep (idenpa s1 s9 s6 s7 s2 s8 s10 ///
	s11 s13a s13b s14 p5st s3 p1st_a p10st p18st p21st p19st p43st p20stm p34n_a p34n_b p34n_c ///
	p34n_d p22st_b p17st p22st_a p19st p22na_c p24st_b p24st_f p24st_a p24st_c p32st_e p32st_a ///
	p24st_d p32st_c p41n p28nf p37st_aa p37st_ab p67st_b p67st_a p67st_c p40nf p45st p37st_ac ///
	p37st_ba p37st_bb p25st p26st p92st_a p92st_b p47st p30st p9st p22na_e P36ST_A P36ST_B ///
	P36ST_C P36ST_D P36ST_E P36ST_F P36ST_G P36ST_H p32st_d wt) gen(wave_2006) nolabel
	
append using Latinobarometro_2007_datos_eng_v2014_06_27, keep (idenpa s3na s2 s13 s6 s11 s8n ///
	s4 s12 s14 s15 s17a s17b s18 s9 s5 p1st p7st p10st p12st p11st p4nb p32sta p52st p16st p30st_a ///
	p30st_b p30st_c p30st_d p13stb p9st p13sta p15n p11st p13stc  p24st_e p24st_f p24st_d ///
	p27st_e p27st_d p24st_a p27st_f p24st_c p60st p58n p59st p61st p22stb p22sta ///
	p22stc p66n p23st p65na p65nb p65nc p65nd p65ne p62st_a p62st_b P19NA P19NB P19NC P19ND ///
	P19NE P19NF P19NG P19NH P19NI p93st p67st p18na p18nb p18nc p18nd p18ne p18nf p18ng ///
	p18nh p18ni p18nj p18nk p18nl p18nm p20st p90na p95st_b p29n_d p29n_e p29n_f p66n p27st_c wt) ///
	gen(wave_2007) nolabel
	
append using Latinobarometro_2008_datos_eng_v2014_06_27, keep (idenpa s4a s2 s3 s8 s9 s10 ///
	s5 s12 s14 s15 s17a s17b s18 s11 p7st s6 p27st p9st p18st p22st_a p16st p30n p29n p32st_a ///
	p25st p62st_a p62st_b p62st_c p62st_d p13st p19s_ta p14st p19wvstb p15st p19st_c p57st_a ///
	p28st_a p28st_b p28st_c p28st_d p28st_e p28st_f p31s_ta p31st_c p31st_d p31st_g p55st ///
	p81st p17st_c p17st_a p17st_b p17st_d p94st p95st_a p95st_b p95st_c p95st_d p95st_e ///
	p95st_f p95st_g p95st_h p95st_i p95st_j p53st p21wvsst P80STA P80STB P80STC P80STD ///
	P80STE P80STF P80STG P80STH P80STI P80STJ P80STK P80STL P80STM p82wvsta p82wvstb p82st_c ///
	p82st_d p82st_e p84n_a p84n_b p84n_c p84n_d p70st P20STA P20STB P20STC P20STD P20STE ///
	P20STF P20STG P20STH P20STI p83st_a p83st_b p83st_c p83st_d p83st_e p83st_f p59st p58st ///
	p56st p26st_a p26st_b p26st_c p26st_d p26st_e p26st_f p26st_g p26st_h p26st_i p26st_j ///
	p26st_k p26st_l p26st_m p23st p60st p66st_d p69st_a p64wvsst p66st_b p66st_c p28st_g wt) ///
	gen(wave_2008) nolabel
	
append using Latinobarometro_2009_datos_eng_v2014_06_27, keep (idenpa s4a s2 s3 s5 s6 s16 ///
	s7 s9 s11 s12 s14a s14b s15 s18 p6st s8 p1st p2st p51st_a p33st p12st_a p16st p13st p68st_a ///
	p70st p22st p10st p20st_a p20n_e p19stm p20wvs_b p26st_a p26st_b p26st_c p26st_d p26st_e ///
	p26st_f p24st_a p24st_c p24st_d p24st_g p28st p20st_d p59n p80st p32st p91stm_b ///
	p91stm_a p91stm_c p90st_a p90st_b p90st_c p90st_d p90st_e p90st_f p90st_g p90st_h p90st_i p90st_j ///
	p38st p58st p23n p30n_b p30n_c p30n_b p30st_a p61st p25st_a p25st_b p25st_c p25st_d p25st_e ///
	p25st_f p25st_g p25st_h p62st p59st p36st p27st p69st p21st p15st_a p15st_b p15st_c ///
	p15st_d p15st_e p15st_f p15st_g p15st_h p15st_i p15st_j p15st_k p15st_l p15st_m ///
	p18st p34stm_a p63wvsst p64st_a p64n_d p11st p67st_b p67n_a p67wvs_d p57st_b p57st_c ///
	p85st_a p85st_b wt p37stm p26st_g) gen(wave_2009) nolabel
	
append using Latinobarometro_2010_datos_eng_v2014_06_27, keep (idenpa S6A S4 S5 S7 S8 S18 S9 S11 ///
	S13 S14 S16A S16B S17 S20 P6ST S10 P1ST P2ST P44ST_A P34ST P11ST_A P59ST_A P62N P63ST ///
	P17ST P14ST_D P14NCC_F P10ST P14ST_A P51NCC P20ST_A P20ST_B P20ST_C P20ST_D P20ST_E P20ST_F ///
	P18ST_A P18ST_C P18ST_D P18ST_G P20ST_I P26ST P25NCC_A P25NCC_B P25NCC_C P25NCC_D P25NCC_E ///
	P25NCC_F P25NCC_G P25NCC_Z P14ST_C P14ST_E P14ST_B P32N P23ST P78ST_B P78ST_A P78ST_C ///
	P77ST_A P77ST_B P77ST_C P77ST_D P77ST_E P77ST_F P77ST_G P77ST_H P77ST_I P77ST_J P37NCC ///
	P64N_A P64N_B P64N_C P64N_D P64N_E P64N_F P64N_G P64N_H P64N_I P55ST P57ST_A P19ST_A ///
	P19ST_B P19ST_C P19ST_D P19ST_E P19ST_F P19ST_G P19ST_H P58ST P35ST P21ST P60ST P16STM P15N ///
	P27ST_A P14N_G P54NCC_A P54NCC_B P54NCC_C P54NCC_D P54NCC_E P54NCC_F P54NCC_G P54NCC_H ///
	P54NCC_I P54NCC_J P54NCC_K P54NCC_L P37NCC P61ST_A P61ST_B P61ST_C P61ST_D P61ST_E P61ST_F ///
	P61ST_G P61ST_H P50ST_B P50ST_C P69ST_A P20ST_G wt) gen(wave_2010) nolabel
	
append using Latinobarometro_2011_eng, keep (idenpa S6A S10ICC12 S14 S15 S16 S17 S25 S18 S19 ///
	S20 S21 S23A S23B S24 S27 P6ST S18_A P1ST P2ST P49ST_A P15N P17NA P17NB P17NC P17ND P17NE ///
	P17NF P17NG P17NH P40ST P14ST_A P36ST P65ST P59N_A P60N P19ST P13ST P16ST_A P22ST_A ///
	P22ST_B P22ST_C P22ST_D P22ST_E P22ST_F P20ST_A P20ST_C P20ST_D P20ST_G P22ST_H P37ST ///
	P39ST_A P70N_F P70ST_B P70ST_A P70ST_C P25ST P71ST_A P21STA P21STB P21STC P21STD P21STE ///
	P21STF P21STG P21STH P72ST P24ST P23ST P16N_D P76ST P18ST P41ST_A P41ST_B P41ST_C P41ST_D ///
	P41ST_E P41ST_F P41ST_G P41ST_H P41ST_I P41ST_J P41ST_L P41ST_L P41ST_M P66ST_D P16ST_C ///
	P61ST_B P61ST_C P22ST_G wt) gen(wave_2011) nolabel
	
append using Latinobarometro2013Eng, keep (idenpa S2_A S6 S8 S9 S10 S11 S12 S14 S15 S16 S17 ///
	S19_A S19_B S20 S21 P6STGBS S14_A P1ST P2ST P9STGBS P37GBS P50TGB_A P50GBS_E P50GBS_F ///
	P13TGB_A P10STGBS P38STGBS P54IA P55IA_A P55IA_B P14ST P12STGBS P43ST_A P43TGB_B ///
	P43GBS_C P43GBS_E P15GBS P26TGB_A P26TGB_C P26TGB_E P26TGB_G P28TGB_A P26TGB_F P26TGB_D ///
	P26TGB_B P28TGB_B P28TGB_C P28ST_F P16GBS P16GBS_A P39TGBSM P17GBS P17GBS_A P18STGBS ///
	P19STGBS P20STGBS P30TGB_A P30ST_C P73TGBNC P21TGBSM P25STGBS P29STGBS P30ST_B P31N_A ///
	P31N_B P31N_C P31N_D P31N_E P32STGBS P33STGBS P35GBS P36TGB_B P36TGB_C P36TGB_D P36TGB_E ///
	P34GBS P58ST P36TGB_A P36TGB_B P36TGB_C P36TGB_D P36TGB_E P36TGB_F P36TGB_G P28ST_E ///
	P40ST P42ST P44GBS P45GBS P46GBS P47GBS P41ST P43TGB_D P52IA P52IA_1 P53IA P25STGBS wt) ///
	gen(wave_2013) nolabel
	
append using Latinobarometro_2015_Eng, keep(idenpa P12TG_A P11STGBS P13ST_A P16ST_F P16ST_H ///
	P19ST_C P16TGB_A P16ST_G P16TGB_B P16TGB_C P19ST_A P16ST_E P28STGBS P20TGB_A P24STM ///
	S6 S11 S12 S13 S16 S18 S19 S21_A S23 P6STGBS REEDUC_2 P16ST_E) gen(wave_2015) nolabel
	
/// country (WVS codes)
gen country = 32 if pais==32|idenpa==32
replace country = 68 if pais==68|idenpa==68
replace country = 76 if pais==76|idenpa==76
replace country = 152 if pais==152|idenpa==152
replace country = 170 if pais==170|idenpa==170
replace country = 188 if pais==188|idenpa==188
replace country = 214 if pais==214|idenpa==214
replace country = 218 if pais==218|idenpa==218
replace country = 222 if pais==222|idenpa==222
replace country = 320 if pais==320|idenpa==320
replace country = 340 if pais==340|idenpa==340
replace country = 484 if pais==484|idenpa==484
replace country = 558 if pais==558|idenpa==558
replace country = 591 if pais==591|idenpa==591
replace country = 600 if pais==600|idenpa==600
replace country = 604 if pais==604|idenpa==604
replace country = 858 if pais==858|idenpa==858
replace country = 862 if pais==862|idenpa==862

*do "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Do files\Label_Cntry.do"
do "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Do files/Label_Cntry.do"
label values country countrylab
tab country

/// wave
gen latbar_wave = 1995 if wave_1995==1
replace latbar_wave = 1996 if wave_1996==1
replace latbar_wave = 1997 if wave_1997==1
replace latbar_wave = 1998 if wave_1998==1
replace latbar_wave = 2000 if wave_2000==1
replace latbar_wave = 2001 if wave_2001==1
replace latbar_wave = 2002 if wave_2002==1
replace latbar_wave = 2003 if wave_2003==1
replace latbar_wave = 2004 if wave_2004==1
replace latbar_wave = 2005 if wave_2005==1
replace latbar_wave = 2006 if wave_2006==1
replace latbar_wave = 2007 if wave_2007==1
replace latbar_wave = 2008 if wave_2008==1
replace latbar_wave = 2009 if wave_2009==1
replace latbar_wave = 2010 if wave_2010==1
replace latbar_wave = 2011 if wave_2011==1
replace latbar_wave = 2013 if wave_2013==1
replace latbar_wave = 2015 if wave_2015==1
gen year = latbar_wave

drop pais idenpa wave_1995 wave_1996 wave_1997 wave_1998 wave_2000 wave_2001 wave_2002 ///
	wave_2003 wave_2004 wave_2005 wave_2006 wave_2007 wave_2008 wave_2009 wave_2010 ///
	wave_2011 wave_2013 wave_2015
drop if country==.

/// survey information	
gen surveymode_lb = "F2F"
gen sampling_lb = "national probability sample with quotas"

/// variables
/// DVs

/// Full democracy

gen fulldem = .
lab var fulldem "How much of a democracy is [country]"
forvalues i = -4/5 {
replace fulldem = `i' if P37GBS==`i'&latbar_wave==2013|p16n==`i'&latbar_wave==2004
}
label define fulldem_lbl 1 "A full democracy" 2 "a democracy, but with minor problems" ///
 3 "a democracy, with major problems" 4 "not a democracy" 5 "I do not understand what a democracy is"  ///
-1 "don't know" -2 "no answer/refused" -3 "not applicable" 	-4 "not asked"
label values fulldem fulldem_lbl

/// How democratic
gen howdem = .
lab var howdem "Assess how democratic [country] is"
forvalues i = -4/10 {
replace howdem = `i' if P50TGB_A==`i'&latbar_wave==2013|P49ST_A==`i'&latbar_wave==2011| ///
	P44ST_A==`i'&latbar_wave==2010|p51st_a==`i'&latbar_wave==2009|p18st==`i'&latbar_wave==2008| ///
	p10st==`i'&latbar_wave==2007|p18st==`i'&latbar_wave==2006|p19st==`i'&latbar_wave==2005
}
label define missing_only -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked"
label values howdem missing_only

/// Democratic satisfaction
gen demsat_lb=.

forvalues i = -4/4 {
replace demsat_lb = `i' if P12TG_A==`i'&latbar_wave==2015|P13TGB_A==`i'&latbar_wave==2013|P14ST_A==`i'&latbar_wave==2011| ///
	P11ST_A==`i'&latbar_wave==2010|p12st_a==`i'&latbar_wave==2009|p22st_a==`i'&latbar_wave==2008| ///
	p12st==`i'&latbar_wave==2007|p21st==`i'&latbar_wave==2006|p18st==`i'&latbar_wave==2005| ///
	p14st==`i'&latbar_wave==2004|p15st==`i'&latbar_wave==2003|p33st==`i'&latbar_wave==2002| ///
	p45st==`i'&latbar_wave==2001|P30ST==`i'&latbar_wave==2000|sp29==`i'&latbar_wave==1998| ///
	sp32==`i'&latbar_wave==1997|p20==`i'&latbar_wave==1996|p21==`i'&latbar_wave==1995
}
lab var demsat_lb "Satisfaction with democracy" 
label define sat_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "very satisfied" 2 "quite satisfied" 3 "not very satisfied" ///
	4 "not at all satisfied"
label values demsat_lb sat_lab

/// Democracy solves problems 
gen solvesprob=.
lab var solvesprob "Democarcy solves problems" 

forvalues i = -4/2 {
replace solvesprob = `i' if p16st==`i'&latbar_wave==2009|p16st==`i'&latbar_wave==2008| ///
	p24st==`i'&latbar_wave==2005| p41st==`i'&latbar_wave==2002| p22==`i'&latbar_wave==1995
}
label define solve_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "solves problems" 2 "does not solve problems"
label values solvesprob solve_lab


/// Government approval
gen govtapprove=.
lab var govtapprove "Approve or not of the performance of the government led by President"
forvalues i = -4/2 {
replace govtapprove = `i' if P38STGBS==`i'&latbar_wave==2013|P36ST==`i'&latbar_wave==2011| ///
	P59ST_A==`i'&latbar_wave==2010|p68st_a==`i'&latbar_wave==2009|p32st_a==`i'&latbar_wave==2008| ///
	p32sta==`i'&latbar_wave==2007|p43st==`i'&latbar_wave==2006|p29st==`i'&latbar_wave==2005| ///
	p46st==`i'&latbar_wave==2004|p24st==`i'&latbar_wave==2003|p18no2==`i'&latbar_wave==2002
}

label define approve_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "approve" 2 "disapprove"
label values govtapprove approve_lab

/// Governed for good of all
gen govgood=.
lab var govgood "Governed for good of all"
forvalues i = -4/2 {
replace govgood = `i' if P14ST==`i'&latbar_wave==2013|P19ST==`i'&latbar_wave==2011| ///
	P17ST==`i'&latbar_wave==2010|p22st==`i'&latbar_wave==2009|p25st==`i'&latbar_wave==2008| ///
	p16st==`i'&latbar_wave==2007|p20stm==`i'&latbar_wave==2006|p22st==`i'&latbar_wave==2005| ///
	p24wvs==`i'&latbar_wave==2004
}

label define govgood_lbl -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "powerful groups in their own interest" 2 "for the good of all"
label values govgood approve_lab



/// Best government
gen bestgovt_lb=.
lab var bestgovt_lb "Which is best form of government?"
forvalues i = -4/3 {
replace bestgovt_lb = `i' if P11STGBS==`i'&latbar_wave==2015|P12STGBS==`i'&latbar_wave==2013|P13ST==`i'&latbar_wave==2011| ///
	P10ST==`i'&latbar_wave==2010|p10st==`i'&latbar_wave==2009|p13st==`i'&latbar_wave==2008| ///
	p9st==`i'&latbar_wave==2007|p17st==`i'&latbar_wave==2006|p16st==`i'&latbar_wave==2005| ///
	p13st==`i'&latbar_wave==2004|p14st==`i'&latbar_wave==2003|p32st==`i'&latbar_wave==2002| ///
	p46st==`i'&latbar_wave==2001|P29ST==`i'&latbar_wave==2000|sp28==`i'&latbar_wave==1998| ///
	sp31==`i'&latbar_wave==1997|p19==`i'&latbar_wave==1996|p20==`i'&latbar_wave==1995
}
label define dem_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "democracy is preferable" 2 "sometimes authoritarian better than democracy" ///
	3 "doesn't matter if democratic or authoritarian"
label values bestgovt_lb dem_lab

/// Democracy best
gen democracybest_lb=.
forvalues i = -4/4 {
replace democracybest_lb = `i' if P13ST_A==`i'&latbar_wave==2015|P43ST_A==`i'&latbar_wave==2013|P16ST_A==`i'&latbar_wave==2011| ///
	P14ST==`i'&latbar_wave==2010|p20st==`i'&latbar_wave==2009|p19s_ta==`i'&latbar_wave==2008| ///
	p13sta==`i'&latbar_wave==2007|p22st_a==`i'&latbar_wave==2006|p25stb==`i'&latbar_wave==2005| ///
	p22sta==`i'&latbar_wave==2004|p16st_c==`i'&latbar_wave==2003|p38no2c==`i'&latbar_wave==2002
}
label define agree_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "strongly agree" 2 "agree" 3 "disagree" 4 "strongly disagree"
label values democracybest_lb agree_lab
label variable democracybest_lb "Democracy may have problems but it is the best system of govt"


/// Strong leader
gen stronglead_lb=.
lab var stronglead_lb "Get rid of parliament and elections and have a strong leader to decide things."
forvalues i = -4/4 {
replace stronglead_lb = `i' if P43TGB_B==`i'&latbar_wave==2013|p16gb_e==`i'&latbar_wave==2003
}
label values stronglead_lb agree_lab

/// Women leader
tab1 p67wvs_d p57wvs_b
tab p67wvs_d year
tab p57wvs_b year

gen womenleader_lb=.
lab var womenleader_lb "Men Are Better Political Leaders than Women"
forvalues i = -4/4 {
replace womenleader_lb = `i' if p67wvs_d==`i'&latbar_wave==2009|p57wvs_b==`i'&latbar_wave==2004
}
label values womenleader_lb agree_lab
tab womenleader_lb


/// Political interest
gen polinterest_lb=.
lab var polinterest_lb "Political Interest"
forvalues i = -4/4 {
replace polinterest_lb = `i' if P20STGBS==`i'&latbar_wave==2013|P23ST==`i'&latbar_wave==2010| ///
	p32st==`i'&latbar_wave==2009|p59st==`i'&latbar_wave==2007|p37st==`i'&latbar_wave==2005| ///
	p29st==`i'&latbar_wave==2004|p61st==`i'&latbar_wave==2003|p56st==`i'&latbar_wave==2001| ///
	P63ST==`i'&latbar_wave==2000|sp36==`i'&latbar_wave==1998|sp41==`i'&latbar_wave==1997| ///
	p64==`i'&latbar_wave==1996|p62==`i'&latbar_wave==1995
}
label define int_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "Very" 2 "a bit" 3 "not really" 4 "not at all" 
label values polinterest int_lab


/// Talk about politics
gen discpol_lb=.
lab var discpol_lb "Talk about politics with friends"
forvalues i = -4/4 {
replace discpol_lb = `i' if P30TGB_A==`i'&latbar_wave==2013|P70N_F==`i'&latbar_wave==2011| ///
	p61st==`i'&latbar_wave==2007|p37st_aa==`i'&latbar_wave==2006|p71sta==`i'&latbar_wave==2005| ///
	p79sta==`i'&latbar_wave==2003| ///
	P58ST_B==`i'&latbar_wave==2000|sp54b==`i'&latbar_wave==1998| ///
	sp60b==`i'&latbar_wave==1997|p67b==`i'&latbar_wave==1996|p64b==`i'&latbar_wave==1995
}
label define disc_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "Very frequently" 2 "frequently" 3 "almost never" 4 "never" 
label values discpol_lb disc_lab


/// Turnout
gen turnout_lb=.
forvalues i = -4/8 {
replace turnout_lb = `i' if P24STM==`i'&latbar_wave==2015|P21TGBSM==`i'&latbar_wave==2013| p37stm==`i'&latbar_wave==2009| ///
p59st==`i'&latbar_wave==2007|p37st==`i'&latbar_wave==2005| ///
	p53st==`i'&latbar_wave==2008|p40nf==`i'&latbar_wave==2006|p1u==`i'&latbar_wave==2002| ///
	P53BD_C==`i'&latbar_wave==2000
}
label define turn_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "I voted in the last election" 2 "I decided not to vote in last election" ///
	3 "I was prevented from voting in the last election" 4 "I didn't have time to vote" ///
	5 "didn't vote for other reasons" 6 "wasn't registered" 8 "I don't remember what I did"
label values turnout_lb turn_lab


///Confidence President

gen conf_president_lb=.
lab var conf_president_lb "Confidence: president"
forvalues i = -4/4 {
replace conf_president_lb = `i' if P26TGB_A==`i'&latbar_wave==2013 | ///
	p24st_e ==`i'&latbar_wave==2007| p24st_b==`i'&latbar_wave==2006| p47stf==`i'&latbar_wave==2005| ///
	p34stc==`i'&latbar_wave==2004| p23stc==`i'&latbar_wave==2003| p61std==`i'&latbar_wave==2001| ///
	P35ST_D==`i'&latbar_wave==2000| sp38d==`i'&latbar_wave==1998| sp63d==`i'&latbar_wave==1997
}
label define conf_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "lot" 2 "some" 3 "a little" 4 "no trust"
label values conf_president_lb conf_lab



///Confidence Parliament

gen conf_parl_lb=.
lab var conf_parl_lb "Confidence: Parliament"
forvalues i = -4/4 {
replace conf_parl_lb = `i' if P16ST_F==`i'&latbar_wave==2015|P26TGB_C==`i'&latbar_wave==2013 | P22ST_A ==`i'&latbar_wave==2011| ///
	P20ST_A==`i'&latbar_wave==2010| p26st_a==`i'&latbar_wave==2009| p28st_a==`i'&latbar_wave==2008| ///
	p24st_f ==`i'&latbar_wave==2007| p24st_f==`i'&latbar_wave==2006| p45sta==`i'&latbar_wave==2005| ///
	p34stf==`i'&latbar_wave==2004| p21stf==`i'&latbar_wave==2003| p36std==`i'&latbar_wave==2002| ///
	p61stf==`i'&latbar_wave==2001|P35ST_F==`i'&latbar_wave==2000| sp38f==`i'&latbar_wave==1998| ///
	sp63f==`i'&latbar_wave==1997 | p33i==`i'&latbar_wave==1996| p27i==`i'&latbar_wave==1995
}
label values conf_parl_lb conf_lab


///Confidence judiciary

gen conf_judic_lb=.
lab var conf_judic_lb "Confidence: judiciary"
forvalues i = -4/4 {
replace conf_judic_lb = `i' if P16ST_H==`i'&latbar_wave==2015|P26TGB_E==`i'&latbar_wave==2013| P22ST_B==`i'&latbar_wave==2011| ///
	P20ST_B==`i'&latbar_wave==2010| p26st_b==`i'&latbar_wave==2009| p28st_b==`i'&latbar_wave==2008| ///
	p24st_d==`i'&latbar_wave==2007| p24st_a==`i'&latbar_wave==2006| p42std==`i'&latbar_wave==2005| ///
	p34stb==`i'&latbar_wave==2004| p21ste==`i'&latbar_wave==2003| p34stc==`i'&latbar_wave==2002| ///
	p61stc==`i'&latbar_wave==2001| P35ST_C==`i'&latbar_wave==2000| sp38c==`i'&latbar_wave==1998| ///
	sp63c==`i'&latbar_wave==1997| p33d==`i'&latbar_wave==1996| p27d==`i'&latbar_wave==1995
}
label values conf_judic_lb conf_lab


///Confidence political parties

gen conf_party_lb=.
lab var conf_party_lb "Confidence: political parties"
forvalues i = -4/4 {
replace conf_party_lb = `i' if P19ST_C==`i'&latbar_wave==2015|P26TGB_G==`i'&latbar_wave==2013| P22ST_C==`i'&latbar_wave==2011| ///
	P20ST_C==`i'&latbar_wave==2010| p26st_c==`i'&latbar_wave==2009| p28st_c==`i'&latbar_wave==2008| ///
	p27st_e==`i'&latbar_wave==2007| p24st_c==`i'&latbar_wave==2006| p47stb==`i'&latbar_wave==2005| ///
	p34std==`i'&latbar_wave==2004| p21std==`i'&latbar_wave==2003| p34stf==`i'&latbar_wave==2002| ///
	p61stg==`i'&latbar_wave==2001| P35ST_G==`i'&latbar_wave==2000| sp38g==`i'&latbar_wave==1998| ///
	sp63g==`i'&latbar_wave==1997| p33j==`i'&latbar_wave==1996| p27j==`i'&latbar_wave==1995
}
label values conf_party_lb conf_lab


///Confidence Military

gen conf_milit_lb=.
lab var conf_milit_lb "Confidence: Military"
forvalues i = -4/4 {
replace conf_milit_lb = `i' if P16TGB_A==`i'&latbar_wave==2015|P28TGB_A==`i'&latbar_wave==2013| P22ST_D==`i'&latbar_wave==2011| ///
	P20ST_D==`i'&latbar_wave==2010| p26st_d==`i'&latbar_wave==2009| p28st_d==`i'&latbar_wave==2008| ///
	p27st_d==`i'&latbar_wave==2007| p32st_e==`i'&latbar_wave==2006| p42stb==`i'&latbar_wave==2005| ///
	p32stg==`i'&latbar_wave==2004| p21stg==`i'&latbar_wave==2003| p36stb==`i'&latbar_wave==2002| ///
	p61stb==`i'&latbar_wave==2001| P35ST_B==`i'&latbar_wave==2000| sp38b==`i'&latbar_wave==1998| ///
	sp63b==`i'&latbar_wave==1997| p33b==`i'&latbar_wave==1996| p27b==`i'&latbar_wave==1995
}
label values conf_milit_lb conf_lab


///Confidence Public Administration

gen conf_admin_lb=.
lab var conf_admin_lb "Confidence: Public Administration"
forvalues i = -4/4 {
replace conf_admin_lb = `i' if P26TGB_F==`i'&latbar_wave==2013| P22ST_E==`i'&latbar_wave==2011| ///
	P20ST_E==`i'&latbar_wave==2010| p26st_e==`i'&latbar_wave==2009| p28st_e==`i'&latbar_wave==2008| ///
	p45stf==`i'&latbar_wave==2005| ///
	p63stb==`i'&latbar_wave==2001| p33g==`i'&latbar_wave==1996| p27g==`i'&latbar_wave==1995
}
label values conf_admin_lb conf_lab


///Confidence Government

gen conf_gov_lb=.
lab var conf_gov_lb "Confidence: Government"
forvalues i = -4/4 {
replace conf_gov_lb = `i' if P16ST_G==`i'&latbar_wave==2015|P26TGB_B==`i'&latbar_wave==2013| P20ST_A==`i'&latbar_wave==2011| ///
	P18ST_A==`i'&latbar_wave==2010| p24st_a==`i'&latbar_wave==2009| p31s_ta==`i'&latbar_wave==2008| ///
	p24st_a==`i'&latbar_wave==2007| p32st_a==`i'&latbar_wave==2006| p45stc==`i'&latbar_wave==2005| ///
	p32std==`i'&latbar_wave==2004| p23stg==`i'&latbar_wave==2003| p34std==`i'&latbar_wave==2002| ///
	p61stb==`i'&latbar_wave==2001| P35ST_B==`i'&latbar_wave==2000| ///
	p33m==`i'&latbar_wave==1996| p27m==`i'&latbar_wave==1995
}
label values conf_gov_lb conf_lab


///Confidence Police

gen conf_police_lb=.
lab var conf_police_lb "Confidence: Police"
forvalues i = -4/4 {
replace conf_police_lb = `i' if P16TGB_B==`i'&latbar_wave==2015|P28TGB_B==`i'&latbar_wave==2013| P20ST_C==`i'&latbar_wave==2011| ///
	P18ST_C==`i'&latbar_wave==2010| p24st_c==`i'&latbar_wave==2009| p31st_c==`i'&latbar_wave==2008| ///
	p27st_f==`i'&latbar_wave==2007| p24st_d==`i'&latbar_wave==2006| p42stf==`i'&latbar_wave==2005| ///
	p32stb==`i'&latbar_wave==2004| p21stb==`i'&latbar_wave==2003| p36ste==`i'&latbar_wave==2002| ///
	p61ste==`i'&latbar_wave==2001| P35ST_E==`i'&latbar_wave==2000| sp38e==`i'&latbar_wave==1998| ///
	sp63e==`i'&latbar_wave==1997| p33h==`i'&latbar_wave==1996| p27h==`i'&latbar_wave==1995
}
label values conf_police_lb conf_lab

///Confidence Media

gen conf_media_lb=.
lab var conf_media_lb "Confidence: Media"
forvalues i = -4/4 {
replace conf_media_lb = `i' if P16TGB_C==`i'&latbar_wave==2015|P28TGB_C==`i'&latbar_wave==2013| P20ST_D==`i'&latbar_wave==2011| ///
	P18ST_D==`i'&latbar_wave==2010| p24st_d==`i'&latbar_wave==2009| p31st_d==`i'&latbar_wave==2008| ///
	p24st_c==`i'&latbar_wave==2007| p32st_c==`i'&latbar_wave==2006| p47stc==`i'&latbar_wave==2005| ///
	p34ste==`i'&latbar_wave==2004| p23ste==`i'&latbar_wave==2003|  ///
	p63ste==`i'&latbar_wave==2001
}
label values conf_media_lb conf_lab

///Confidence Unions

gen conf_union_lb=.
lab var conf_union_lb "Confidence: Unions"
forvalues i = -4/4 {
replace conf_union_lb = `i' if P19ST_A==`i'&latbar_wave==2015|P20ST_G==`i'&latbar_wave==2011| ///
	P18ST_G==`i'&latbar_wave==2010| p24st_g==`i'&latbar_wave==2009| p31st_g==`i'&latbar_wave==2008| ///
	 p42stc==`i'&latbar_wave==2005| ///
	p32ste==`i'&latbar_wave==2004| p23sta==`i'&latbar_wave==2003| ///
	p33c==`i'&latbar_wave==1996| p27c==`i'&latbar_wave==1995
}
label values conf_union_lb conf_lab

// Confidence in Church
gen conf_church_lb=.
lab var conf_church_lb "Confidence: Church"
forvalues i = -4/4 {
replace conf_church_lb = `i' if P16ST_E==`i'&latbar_wave==2015|P28ST_E==`i'&latbar_wave==2013| ///
	P22ST_G==`i'&latbar_wave==2011|P20ST_G==`i'&latbar_wave==2010|p26st_g==`i'&latbar_wave==2009| ///
	p28st_g==`i'&latbar_wave==2008|p27st_c==`i'&latbar_wave==2007|p32st_d==`i'&latbar_wave==2006| ///
	p42sta==`i'&latbar_wave==2005|p32stc==`i'&latbar_wave==2004|p21sta==`i'&latbar_wave==2003| ///
	p34sta==`i'&latbar_wave==2002|p61sta==`i'&latbar_wave==2001|P35ST_A==`i'&latbar_wave==2000| ///
	sp38a==`i'&latbar_wave==1998|sp63a==`i'&latbar_wave==1997|p33a==`i'&latbar_wave==1996| ///
	p27a==`i'&latbar_wave==1995
label values conf_church_lb conf_lab
}


// Interpersonal Trust

gen trust_lb=.
lab var trust_lb "Interpersonal Trust"
forvalues i = -4/4 {
replace trust_lb = `i' if P29STGBS==`i'&latbar_wave==2013| P25ST==`i'&latbar_wave==2011| ///
	P55ST==`i'&latbar_wave==2010| p58st==`i'&latbar_wave==2009| p21wvsst==`i'&latbar_wave==2008| ///
	p23st==`i'&latbar_wave==2007| p45st==`i'&latbar_wave==2006| p14st==`i'&latbar_wave==2005| ///
	p43st==`i'&latbar_wave==2004| p20st==`i'&latbar_wave==2003| p29st==`i'&latbar_wave==2002| ///
	p42st==`i'&latbar_wave==2001| P17ST==`i'&latbar_wave==2000| sp20==`i'&latbar_wave==1998| ///
	sp21==`i'&latbar_wave==1997| p12==`i'&latbar_wave==1996
}
label define trust_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 " Most people can be trusted" 2 "one can never be too careful when dealing with others"
label values trust_lb trust_lab


///Left-right

gen leri=.
lab var leri "Left-Right scale"
forvalues i = -4/10 {
replace leri = `i' if P41ST==`i'&latbar_wave==2013| P76ST==`i'&latbar_wave==2011| ///
	P60ST==`i'&latbar_wave==2010| p69st==`i'&latbar_wave==2009| p56st==`i'&latbar_wave==2008| ///
	p67st==`i'&latbar_wave==2007| p47st==`i'&latbar_wave==2006| p34st==`i'&latbar_wave==2005| ///
	p87st==`i'&latbar_wave==2004| p60st==`i'&latbar_wave==2003| p64st==`i'&latbar_wave==2002| ///
	p54st==`i'&latbar_wave==2001| P52ST==`i'&latbar_wave==2000| sp52==`i'&latbar_wave==1998| ///
	sp56==`i'&latbar_wave==1997| p38==`i'&latbar_wave==1996 | p31==`i'&latbar_wave==1995
}
label define leri_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" -6"none" -8"none" 0 " Left" 10 "Right"
label values leri leri_lab
tab leri

// Politics complicated
gen polcomp_lb=.
forvalues i = -2/2 {
replace polcomp_lb = `i' if P28STGBS==`i'&latbar_wave==2015|P39TGBSM==`i'&latbar_wave==2013| ///
	P37ST==`i'&latbar_wave==2011|P26ST==`i'&latbar_wave==2010|p60st==`i'&latbar_wave==2007| ///
	p36st==`i'&latbar_wave==2005|p37==`i'&latbar_wave==1995
	}
label define polcomp_lab2 -2 "no answer" -1 "don't know" 1 "politics is complicated" ///
	2 "politics isn't complicated"
label values polcomp_lb polcomp_lab2

/// IVs
/// subjective salary
gen subjsalary_lb=.
forvalues i = -4/4 {
replace subjsalary_lb = `i' if S6==`i'&latbar_wave==2013|S10ICC12==`i'&latbar_wave==2011| ///
	S4==`i'&latbar_wave==2010|s2==`i'&latbar_wave==2009|s2==`i'&latbar_wave==2008| ///
	s2==`i'&latbar_wave==2007|s1==`i'&latbar_wave==2006|s1==`i'&latbar_wave==2005| ///
	p89st==`i'&latbar_wave==2004|p90st==`i'&latbar_wave==2003|p67st==`i'&latbar_wave==2002| ///
	p88st==`i'&latbar_wave==2001|P78ST==`i'&latbar_wave==2000|sp83==`i'&latbar_wave==1998| ///
	sp87==`i'&latbar_wave==1997|p78==`i'&latbar_wave==1996|p76==`i'&latbar_wave==1995
}
label values subjsalary_lb sal_lab


/// Marital status
gen marstat_lb=.
forvalues i = -4/3 {
replace marstat_lb = `i' if S11==`i'&latbar_wave==2015|S9==`i'&latbar_wave==2013|S15==`i'&latbar_wave==2011| ///
	S5==`i'&latbar_wave==2010|s3==`i'&latbar_wave==2009|s3==`i'&latbar_wave==2008| ///
	s13==`i'&latbar_wave==2007|s9==`i'&latbar_wave==2006|s9==`i'&latbar_wave==2005| ///
	s4==`i'&latbar_wave==2004|s4==`i'&latbar_wave==2003|s4==`i'&latbar_wave==2002| ///
	s4==`i'&latbar_wave==2001|S4==`i'&latbar_wave==2000|s5==`i'&latbar_wave==1998| ///
	s5==`i'&latbar_wave==1997|s5==`i'&latbar_wave==1996|s6==`i'&latbar_wave==1995
}
label define marlab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "married/living with partner" 2 "single" 3 "separated/divorced/widowed" 
label values marstat_lb marlab

/// Sex
gen sex_lb=.
forvalues i = -4/2 {
replace sex_lb = `i' if S12==`i'&latbar_wave==2015|S10==`i'&latbar_wave==2013|S16==`i'&latbar_wave==2011| ///
	S7==`i'&latbar_wave==2010|s5==`i'&latbar_wave==2009|s8==`i'&latbar_wave==2008| ///
	s6==`i'&latbar_wave==2007|s6==`i'&latbar_wave==2006|s6==`i'&latbar_wave==2005| ///
	s1==`i'&latbar_wave==2004|s1==`i'&latbar_wave==2003|s1==`i'&latbar_wave==2002| ///
	s1==`i'&latbar_wave==2001|S1==`i'&latbar_wave==2000|s1==`i'&latbar_wave==1998| ///
	s1==`i'&latbar_wave==1997|s1==`i'&latbar_wave==1996|s1==`i'&latbar_wave==1995
}
label define sexlab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "male" 2 "female"
label values sex_lb sexlab

/// Age
gen age=.
set more off
forvalues i = -4/100 {
replace age = `i' if S13==`i'&latbar_wave==2015|S11==`i'&latbar_wave==2013|S17==`i'&latbar_wave==2011| ///
	S8==`i'&latbar_wave==2010|s6==`i'&latbar_wave==2009|s9==`i'&latbar_wave==2008| ///
	s11==`i'&latbar_wave==2007|s7==`i'&latbar_wave==2006|s7==`i'&latbar_wave==2005| ///
	s2==`i'&latbar_wave==2004|s2==`i'&latbar_wave==2003|s2==`i'&latbar_wave==2002| ///
	s2==`i'&latbar_wave==2001|S2==`i'&latbar_wave==2000|s2==`i'&latbar_wave==1998| ///
	s2==`i'&latbar_wave==1997|s2==`i'&latbar_wave==1996|s2==`i'&latbar_wave==1995
}
label values age missing_only
replace age=. if age==-2

/// Birth year
gen birth = year-age if age>=0
*kdensity birthyear

/// Religion
gen religion_lb=.
set more off
forvalues i = -4/97 {
replace religion_lb = `i' if S16==`i'&latbar_wave==2015|S14==`i'&latbar_wave==2013|S18==`i'&latbar_wave==2011| ///
	S9==`i'&latbar_wave==2010|s7==`i'&latbar_wave==2009|s5==`i'&latbar_wave==2008| ///
	s4==`i'&latbar_wave==2007|s2==`i'&latbar_wave==2006|s2==`i'&latbar_wave==2005| ///
	p90st==`i'&latbar_wave==2004|p91st==`i'&latbar_wave==2003|p65st==`i'&latbar_wave==2002| ///
	p86st==`i'&latbar_wave==2001|P76ST==`i'&latbar_wave==2000|sp80==`i'&latbar_wave==1998| ///
	sp85==`i'&latbar_wave==1997|p7==`i'&latbar_wave==1996|p9==`i'&latbar_wave==1995
}
label define reglab 1 "Catholic" 2 "Evalengic no specification" 3 "Evangelic Baptist" ///
	4 "Evangelic Methodist" 5 "Evangelic Pentecostal" 6 "Adventist" 7 "Jehovah's Witness" ///
	8 "Mormon" 9 "Jewish" 10 "Protestant" 11 "Afro-American cult, Umbanda etc" ///
	12 "Believer, no Church" 13 "Agnostic" 14 "Atheist" 15 "Christian" 16 "Muslim" ///
	17 "Buddhist" 18 "Orthodox" 19 "Believer" 96 "Other" 97 "none" -1 "don't know" ///
	-2 "no answer/refused" -3 "not applicable" -4 "not asked"
label values religion_lb reglab

/// Strength of religiosity
gen relstrength_lb=.
forvalues i = -4/4 {
replace relstrength_lb = `i' if S14_A==`i'&latbar_wave==2013|S18_A==`i'&latbar_wave==2011| ///
	S10==`i'&latbar_wave==2010|s8==`i'&latbar_wave==2009|s6==`i'&latbar_wave==2008| ///
	s5==`i'&latbar_wave==2007|s3==`i'&latbar_wave==2006|s3==`i'&latbar_wave==2005| ///
	p91st==`i'&latbar_wave==2004|p92st==`i'&latbar_wave==2003|p66st==`i'&latbar_wave==2002| ///
	p87st==`i'&latbar_wave==2001|P77ST==`i'&latbar_wave==2000|sp81==`i'&latbar_wave==1998| ///
	p8==`i'&latbar_wave==1996|p10==`i'&latbar_wave==1995
}
label define strengthlab -1 "don't know" -2 "no answer/refused" -3 "not applicable" -4 "not asked" ///
	1 "very devout" 2 "devout" 3 "not very devout" 4 "not at all"
label values relstrength_lb strengthlab

/// Age finished education
gen end_edu_lb=.
forvalues i = -4/100 {
replace end_edu_lb = `i' if S18==`i'&latbar_wave==2015|S16==`i'&latbar_wave==2013|S20==`i'&latbar_wave==2011| ///
	S13==`i'&latbar_wave==2010|s11==`i'&latbar_wave==2009|s14==`i'&latbar_wave==2008| ///
	s10==`i'&latbar_wave==2007|s10==`i'&latbar_wave==2006|s5==`i'&latbar_wave==2005| ///
	s5==`i'&latbar_wave==2004|s5==`i'&latbar_wave==2003|s5==`i'&latbar_wave==2002| ///
	s5==`i'&latbar_wave==2001|S5==`i'&latbar_wave==2000|s6==`i'&latbar_wave==1998| ///
	s6==`i'&latbar_wave==1997|s6==`i'&latbar_wave==1996|s7==`i'&latbar_wave==1995
}
label define edu_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" -7 "still studying"
label values end_edu_lb edu_lab

/// Level of education
gen education_lb=.
forvalues i = -4/17 {
replace education_lb = `i' if S19==`i'&latbar_wave==2015|S17==`i'&latbar_wave==2013|S21==`i'&latbar_wave==2011| ///
	S14==`i'&latbar_wave==2010|s12==`i'&latbar_wave==2009|s15==`i'&latbar_wave==2008| ///
	s15==`i'&latbar_wave==2007|s11==`i'&latbar_wave==2006|s11==`i'&latbar_wave==2005| ///
	s6==`i'&latbar_wave==2004|s6==`i'&latbar_wave==2003|s6==`i'&latbar_wave==2002| ///
	s6==`i'&latbar_wave==2001|S6==`i'&latbar_wave==2000|s11==`i'&latbar_wave==1998| ///
	s10==`i'&latbar_wave==1997|s14==`i'&latbar_wave==1996|s17==`i'&latbar_wave==1995
}
label define edu2_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "without education" 2 "1 year" 3 "2 years" 4 "3 years" 5 "4 years" ///
	6 "5 years" 7 "6 years" 8 "7 years" 9 "8 years" 10 "9 years" 11 "10 years" 12 "11 years" ///
	13 "12 years" 14 "incomplete university" 15 "completed university" ///
	16 "night school/academies/incomplete technical training" ///
	17 "high school/academies/complete technical training"
label values education_lb edu2_lab

/// Employment status
gen employment_lb=.
forvalues i = -4/7 {
replace employment_lb = `i' if S21_A==`i'&latbar_wave==2015|S19_A==`i'&latbar_wave==2013|S23A==`i'&latbar_wave==2011| ///
	S16A==`i'&latbar_wave==2010|s14a==`i'&latbar_wave==2009|s17a==`i'&latbar_wave==2008| ///
	s17a==`i'&latbar_wave==2007|s13a==`i'&latbar_wave==2006|s13a==`i'&latbar_wave==2005| ///
	s8a==`i'&latbar_wave==2004|s8a==`i'&latbar_wave==2003|s8a==`i'&latbar_wave==2002| ///
	s8a==`i'&latbar_wave==2001|S8A==`i'&latbar_wave==2000|s7a==`i'&latbar_wave==1998| ///
	s7a==`i'&latbar_wave==1997|s7a==`i'&latbar_wave==1996|s10==`i'&latbar_wave==1995
}
label define employlab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "self-employed" 2 "salaried employee in a public company" ///
	3 "salaried employee in a private company" 4 "temporarily out of work" ///
	5 "retired" 6 "don't work/responsible for shopping and housework" ///
	7 "student"
label values employment_lb employlab

/// last type of work
gen typework_last=.
forvalues i = -4/8 {
replace typework_last = `i' if S19_B==`i'&latbar_wave==2013|S23B==`i'&latbar_wave==2011| ///
	S16B==`i'&latbar_wave==2010|s14b==`i'&latbar_wave==2009|s17b==`i'&latbar_wave==2008| ///
	s17b==`i'&latbar_wave==2007|s13b==`i'&latbar_wave==2006|s13b==`i'&latbar_wave==2005| ///
	s8b==`i'&latbar_wave==2004|s8b==`i'&latbar_wave==2003|s8b==`i'&latbar_wave==2002| ///
	s8b==`i'&latbar_wave==2001|S8B==`i'&latbar_wave==2000|s7b==`i'&latbar_wave==1998| ///
	s7b==`i'&latbar_wave==1997|s7b==`i'&latbar_wave==1996|s10b==`i'&latbar_wave==1995
}
label define type_lab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "Self-employed professional" 2 "Self-employed business owner" ///
	3 "Self-employed farmer" 4 "self-employed informal" 5 "salaried professional" ///
	6 "salaried senior management" 7 "salaried middle management" 8 "other employee"
label values typework_last type_lab

/// type of work
gen typework=.
forvalues i = -4/8 {
replace typework = `i' if S20==`i'&latbar_wave==2013|S24==`i'&latbar_wave==2011| ///
	S17==`i'&latbar_wave==2010|s15==`i'&latbar_wave==2009|s18==`i'&latbar_wave==2008| ///
	s18==`i'&latbar_wave==2007|s14==`i'&latbar_wave==2006|s14==`i'&latbar_wave==2005| ///
	s9==`i'&latbar_wave==2004|s9==`i'&latbar_wave==2003|s9==`i'&latbar_wave==2002| ///
	s9==`i'&latbar_wave==2001|S9==`i'&latbar_wave==2000|s8==`i'&latbar_wave==1998| ///
	s8==`i'&latbar_wave==1997|s8==`i'&latbar_wave==1996|s11==`i'&latbar_wave==1995
}
label define type_lab2 -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "Self-employed " 2 "Salaried public company" ///
	3 "Salaried private company" 4 "temporarily out of work" 5 "retired" ///
	6 "don't work/responsible for shopping" 7 "student" 8 "other employee"
label values typework type_lab2

/// Personal economic situation
gen econsit_lb=.
forvalues i = -4/5 {
replace econsit_lb = `i' if P6STGBS==`i'&latbar_wave==2015|P6STGBS==`i'&latbar_wave==2013|P6ST==`i'&latbar_wave==2011| ///
	P6ST==`i'&latbar_wave==2010|p6st==`i'&latbar_wave==2009|p7st==`i'&latbar_wave==2008| ///
	p5st==`i'&latbar_wave==2006|p5st==`i'&latbar_wave==2005| ///
	p5st==`i'&latbar_wave==2004|p4st==`i'&latbar_wave==2003|p2std==`i'&latbar_wave==2002| ///
	p4st==`i'&latbar_wave==2001|P4ST==`i'&latbar_wave==2000|sp4==`i'&latbar_wave==1998| ///
	sp4==`i'&latbar_wave==1997|p4==`i'&latbar_wave==1996|p4==`i'&latbar_wave==1995
}
label define sitlab -1 "don't know" -2 "no answer/refused" -3 "not applicable" ///
	-4 "not asked" 1 "very good" 2 "good" 3 "about average" 4 "bad" 5 "very bad"
label values econsit_lb sitlab

// social class
gen class_lb=.
forvalues i = -2/5 {
replace class_lb = `i' if S16==`i'&latbar_wave==2011|S8==`i'&latbar_wave==2013| ///
	S6==`i'&latbar_wave==2015
}

label define classlab -2 "no answer/refused" -1 "don't know" 1 "high" 2 "upper middle" ///	
	3 "middle" 4 "lower-middle" 5 "low"
label values class_lb classlab

// ethnicity
gen ethnicity_lb=.
forvalues i = -2/7 {
replace ethnicity_lb = `i' if s9==`i'&latbar_wave==2007|s11==`i'&latbar_wave==2008| ///
	s18==`i'&latbar_wave==2009|S20==`i'&latbar_wave==2010|S27==`i'&latbar_wave==2011| ///
	S21==`i'&latbar_wave==2013|S23==`i'&latbar_wave==2015
}
replace ethnicity_lb=1 if p37b==6 & latbar_wave==2001
replace ethnicity_lb=2 if p37b==1 & latbar_wave==2001
replace ethnicity_lb=3 if p37b==2 & latbar_wave==2001
replace ethnicity_lb=4 if p37b==5 & latbar_wave==2001
replace ethnicity_lb=5 if p37b==4 & latbar_wave==2001
replace ethnicity_lb=6 if p37b==3 & latbar_wave==2001
replace ethnicity_lb=7 if p37b==7 & latbar_wave==2001|p37b==8&latbar_wave==2001| ///
	p37b==9&latbar_wave==2001
	
label define ethniclab 1 "Asian" 2 "Black" 3 "Indigenous" 4 "Mestizo" 5 "Mulato" ///
	6 "White" 7 "Other" -2 "no answer/refused" -1 "don't know"
label values ethnicity_lb ethniclab

// dataset
gen data = 1
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep country year surveymode_lb sampling_lb demsat_lb bestgovt_lb democracybest_lb ///
	stronglead_lb polinterest_lb discpol_lb turnout_lb conf_president_lb conf_parl_lb ///
	conf_judic_lb conf_milit_lb conf_admin_lb conf_gov_lb conf_police_lb conf_media_lb ///
	conf_union_lb conf_church_lb polcomp_lb trust_lb leri subjsalary_lb marstat_lb sex_lb age birth ///
	religion_lb relstrength_lb end_edu_lb education_lb employment_lb econsit_lb data class_lb ///
	ethnicity_lb conf_party_lb womenleader_lb

*saveold "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\Data for harmonisation\Latinobarometer.dta", replace
saveold "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Data for harmonisation/Latinobarometer.dta", replace

log close










