capture log close
log using "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\do files\WVS merge.log", replace

/*
name of do-file: WVS merge

project: legacy of authoritarian regimes 

data: WVS waves 1-6

do-file: merging all waves of the WVS with variables in Latin America variables by wave excel document
*/

set more off
clear all
macro drop _all

*cd "C:\Users\Rosie\Dropbox\Research\legacy of authoritarian regimes\Legacy of authoritarian regimes data\WVS\"
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Latinobarometer/"

use WV1_IntegratedData_stata_dta_v_2014_06_17.dta

generate WVS1 = 1
append using WV2_IntegratedData_stata_dta_v_2014_06_17.dta, generate (WVS2)
append using WV3_IntegratedData_stata_dta_v_2014_06_17.dta, generate (WVS3)
append using WV4_IntegratedData_stata_dta_v_2014_06_17.dta, generate (WVS4)
append using WV5_IntegratedData_stata_dta_v_2014_06_17.dta, generate (WVS5)
append using WV6_IntegratedData_stata_dta_v_2014_06_17.dta, generate (WVS6)

/// country
tab S003, nol
gen country = 32 if S003==32
replace country = 76 if S003==76
replace country = 152 if S003==152
replace country = 170 if S003==170
replace country = 214 if S003==214
replace country = 218 if S003==218
replace country = 222 if S003==222
replace country = 320 if S003==320
replace country = 484 if S003==484
replace country = 604 if S003==604
replace country = 858 if S003==858
replace country = 862 if S003==862
replace country = 780 if S003==780

do "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/Do files/Label_Cntry.do"

/*label define countrylab 32 "Argentina" 76 "Brazil" 152 "Chile" 170 "Colombia" ///
	214 "Dominican Republic" 218 "Ecuador" 222 "El Salvador" 320 "Guatemala" ///
	484 "Mexico" 604 "Peru" ///
	858 "Uruguay" 862 "Venezuela" 780 "Trinidad & Tobago"*/
label values country countrylab
drop if country==.

/// wave
gen wvs_wave = 1 if WVS1==1
forvalues i = 2/6 {
replace wvs_wave = `i' if WVS`i'==1
}
label define wavelab_wvs 1 "WVS 1981-84" 2 "WVS 1990-94" 3 "WVS 1995-98" 4 "1999-2004" ///
	5 "2005-09" 6 "2010-14"
label values wvs_wave wavelab_wvs

/// survey information
gen surveymode = "F2F"
gen sampling = "full national probability sample or quota sampling"

save wvs_all_merged.dta, replace

log close
