// Prep WVS for harmonisation

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"
use "WVS/WVS_Longitudinal_1981_2014_stata_v2015_04_18.dta"

// survey information
gen surveymode_wvs = "F2F"
gen sampling_wvs = "full national probability sample or quota sampling"

// Income distribution
// deciles
tab X047, nol
egen income_10 = xtile(X047) if X047>0, nq(10) by(S003A S002)
// quintiles
egen income_5 = xtile(X047) if X047>0, nq(5) by(S003A S002)

// dataset
gen data=2
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl

// birth year
tab X002, nol
gen birth = X002
replace birth=. if birth<0

// age
tab X003, nol
gen age = X003
replace age=. if age<0

// year
tab S020
gen year=S020

replace birth=year-age if birth==.

// country
tab S003A
gen country=S003A
replace country=911 if country==688
replace country=912 if country==499
do "Do files/Label_Cntry.do"
label values country countrylab

// years of education = age left education - 5
tab X023 year
gen eduyears_wvs = X023-5 if X023>=1
replace eduyears_wvs=. if eduyears_wvs<=1

keep surveymode_wvs sampling_wvs income_10 income_5 E110 E117  E123 E114 E069_07 E069_17 E069_12 ///
	E069_02 E069_08 E069_11 E069_06 E069_04 E069_05 E069_01 E023 A062 E150 E264 E257 D059 E034 ///
	X045 X007 X001 age F025 X023 X025 X028 X051 C006 birth X047 country data year eduyears_wvs X051
	
saveold "Data for harmonisation/WVS.dta", replace
