/// Add WVS country codes to the Eurobarometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data"

use "Eurobarometer/Mannheim_Trend.dta"

tab nation1, nol

gen country = 250 if nation1==1
replace country = 56 if nation1==2
replace country = 528 if nation1==3
replace country = 900 if nation1==4
replace country = 380 if nation1==5
replace country = 442 if nation1==6
replace country = 208 if nation1==7
replace country = 372 if nation1==8
replace country = 826 if nation1==9
replace country = 909 if nation1==10
replace country = 300 if nation1==11
replace country = 724 if nation1==12
replace country = 620 if nation1==13
replace country = 901 if nation1==14
replace country = 578 if nation1==15
replace country = 246 if nation1==16
replace country = 752 if nation1==17
replace country = 40 if nation1==18
do "Do files/Label_Cntry.do"
label values country countrylab

// Survey information
gen sampling_eb = "multi-stage random probability sample" if eb>=320
replace sampling_eb = "multi-stage national probability sample or national stratified quota sample" if eb<320
gen surveymode_eb = "F2F"
replace surveymode_eb = "phone" if eb==420&nation1==17

// age
replace age=. if age==0

// Birth year
tab year, nol
gen birth = year-age

// Income
// deciles
egen income_10 = xtile(income), nq(10) by(nation1 year)
// quintiles
egen income_5 = xtile(income), nq(5) by(nation1 year)

// dataset
gen data=10
lab def datalbl  1 "LB - Latinobarometer" 2 "WVS - World Values Survey" 3 "AB - Americas Barometer" ///
  4 "ISSP - International Social Survey Project" 5 "ANB- Asian Barometer" ///
  6 "AsiaB - Asia Barometer" 7 "AfB - Afrobarometer"  8 "Arab - Arab Barometer" ///
  9 "EVS - European Values Survey" 10 "EB - Eurobarometer (Mannheim trend file only)" ///
  11 "CEEB - Central and Eastern Eurobarometer" 12 "ESS - European Social Survey" ///
  13 "CSES - Comparative Study of Electoral Systems"
lab val data datalbl
lab var data "Orignal dataset"

keep satisdmo polint poldisc newspap newstv newsrad voteint lastvote soclass married sex age denom educ occup ///
	country year sampling_eb surveymode_eb income_10 income_5 birth data  

save "Data for harmonisation/Eurobarometer.dta", replace	
*saveold "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/Eurobarometer/Eurobarometer_WVS_country.dta", replace

