** --------------------------------------------------------------------------
** RECODING OF DATA: Americas_barometer

clear all
set more off
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
*cd "/Users/ldzan/Dropbox/Legacy of authoritarian regimes data/"

*cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Americas_barometer.dta"


**------------------------
* Democracic satisfaction

tab pn4
tab pn4, nolabel
recode pn4 (1=4) (2=3) (3=2) (4=1)

gen demsat = ((pn4-1)/3)*100
lab var demsat "0-100: Satisfaction with democarcy" 
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values demsat sat_lab1
tab demsat

gen demsat_cat = 4
tab demsat_cat
lab var demsat_cat "Nr of categories: Satisfaction with democarcy" 
tab year if demsat!=.

tab year if demsat!=.


**------------------------
* Democracy best 

tab ing4
tab ing4, nolabel

gen democbest = ((ing4-1)/6)*100
lab var democbest "0-100: Democarcy best form of government" 
label define agree_lab1 100 "completly agree" 0 "completly disagree"
label values democbest agree_lab1
tab democbest

gen democbest_cat = 7
lab var democbest_cat "Nr of categories: Democarcy best form of government" 

tab year if democbest_cat!=.


**------------------------
* Strong leader 

tab aut1
tab aut1, nolabel
recode aut1  (1=100) (2=0), gen(strongleader)
lab var strongleader "0-100: Strong leader better than parliament and elections " 
label values strongleader agree_lab1
tab strongleader

gen strongleader_cat = 2
lab var strongleader_cat "Nr of categories: Strong leader better"  

tab year if strongleader!=.

**------------------------
* Confidence in institutions   

rename b20 conf_church
rename b12 conf_milit
rename b23 conf_union
rename b18 conf_police
rename b13 conf_parl
rename b14 conf_gov
rename b21 conf_party
rename b10a conf_judic

foreach i in  gov  parl judic party milit  police  union church {
tab conf_`i'
tab conf_`i', nolabel
}

label define conf_lab2 100 "A lot" 0 "No trust"

foreach i in  gov  parl judic party milit  police  union church {
recode conf_`i' (8=.) (1=4) (2=3) (3=2) (4=1)
gen trust_`i' = ((conf_`i'-1)/6)*100
label variable trust_`i' "0-100: Confidence in `i'"
label values trust_`i' conf_lab2
tab trust_`i'
gen trust_`i'_cat=7
}


**------------------------
* Turnout

tab vb2
tab vb2, nolabel
recode vb2  (2=0), gen(turnout)
lab var turnout "0-1: Voted in last nat. election"
lab def trnlbl1 1 "Voted" 0 "Did not vote"
lab val turnout trnlbl1
tab turnout

**------------------------
* Political interest

tab pol1
tab pol1,nolabel

recode pol1 (7/9=.) (1=4) (2=3) (3=2) (4=1)

gen polint = ((pol1-1)/3)*100
label variable polint "0-100: Political interest"
label define int_lab2 100 "very interested" 0 "not at all interested"
label values polint int_lab2
tab polint

gen polint_cat = 4

**------------------------
* Gender equality

tab vb50
tab vb50,nolabel

gen women_lead = ((vb50-1)/3)*100
label variable women_lead "0-100: Men NOT better politcal leaders"
label define men_lab2 100 "Men NOT better leaders" 0 "Men better leaders"
label values women_lead men_lab2
tab women_lead

gen women_lead_cat = 4

**------------------------
* Independent variables

* gender
generate female = q1 
recode female (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" -1 "Missing" 
label value female female 
tab female q1

* social class
generate class = mov1 
recode class (1 = 5) (2 = 4) (3 = 3) (4 = 2) (5 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " 
label value class class 
tab class mov1

* marital status
generate married = q11n 
recode married (1 = 0) (2 = 1) (3 = 1) (4 = 0) (5 = 0) (6 = 0) (7 = 1) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 
tab married q11n

* religion
generate religion = relig_ab 
recode religion (1 = 1) (2 = 1) (3 = 3) (4 = 0) (5 = 1) (6 = 3) (7 = 2 ) (8 = 3) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " 
label value religion religion 
tab religion relig_ab

* employment status
generate employment = ocup4a 
recode employment (1 = 1) (2 = 2 ) (3 = 2 ) (4 = 2 ) (5 = 2 ) (6 = 2 ) (7 = 2 ) 
label variable employment "employment status" 
label define employment 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment ocup4a

* financial satisfaction
tab idio1, nol
recode idio1 (1=5) (2=4) (3=3) (4=2) (5=1)
gen econsit = ((idio1-1)/4)*100
label var econsit "financial satisfaction"
label define sat_lab2 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab2

* education
generate educ = ed 
recode educ (0 = 1) (18 = 3) (1 = 1) (2 = 1) (3 = 1) (4 = 1) (5 = 1) (6 = 1) (7 = 2) (8 = 2) (9 = 2) ///
	(10 = 2) (11 = 2) (12 = 2) (13 = 3) (14 = 3) (15 = 3) (16 = 3) (17 = 3) (1 = 1) (2 = 1) (3 = 1) ///
	(4 = 1) (5 = 1) (6 = 1) (7 = 2) (8 = 2) (9 = 2) (10 = 2) (11 = 2) (12 = 2) (13 = 3) (14 = 3) ///
	(15 = 3) (16 = 3) (17 = 3) 
label variable educ "education: categorical" 
label define educ 3 "post-secondary " 1 "primary or less " 2 "secondary " 
label value educ edu


********* Reduce dataset to only harmonised variables
keep country year data age birth demsat demsat_cat democbest democbest_cat ///
strongleader strongleader_cat trust_gov-trust_church_cat turnout ///
polint polint_cat women_lead women_lead_cat female class married ///
religion employment econsit educ //income_10 income_5



**** Save prepared data
save "MergedData/temp/Americas_barometer_recoded.dta", replace
