** --------------------------------------------------------------------------
** RECODING OF DATA: CEEB

clear all
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
*cd "/Users/ldzan/Dropbox/Legacy of authoritarian regimes data/"
*cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/CEEB.dta"


**-----------------------------------
* Democracic satisfaction - working

tab V19
tab V19, nolabel

recode V19 (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen demsat = ((V19-1)/3)*100
lab var demsat "0-100: Satisfaction with democarcy" 
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values demsat sat_lab1
tab demsat

tab year if demsat!=.

**-----------------------------------
* Democracic satisfaction - development

tab V18
tab V18, nolabel

replace demsat = 100 if V18==1
replace demsat = 66.6666 if V18==2 
replace demsat = 33.3333 if V18==3
replace demsat = 0 if V18==4

tab demsat V18

* categories

gen demsat_cat = 4
tab demsat_cat
lab var demsat_cat "Nr of categories: Satisfaction with democarcy" 


*** In 1997, the CEEB used a split sample to change the question wording slightly.///
* One question asked about the satisfaction with the development (V18) and one with ///
* the workings (V19) of democracy. The mean value for the latter is significantly lower ///
* with 2.23 (people are more satisfied with workings) than for the development of ///
* democracy with mean of 2.75 (less satisfied). 

sum V19 V18 if year==1997

**------------------------
* Turnout - probability

tab V78
tab V78, nolabel
recode V78 (2=0), gen(turnout_prob)
lab var turnout_prob "Probability to turnout"
lab def trnlbl 1 "probable turnout" 0 "unprobable turnout"
lab val turnout_prob trnlbl
tab turnout_prob

**------------------------
* Independent variables
* gender
generate female = V119 
recode female (0 = .) (1 = 0) (2 = 1) (9 = .) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female V119

* marital status
generate married = V125 
recode married (0 = .) (1 = 0) (2 = 1) (3 = 1) (4 = 0) (9 = .) 
label variable married "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married 
tab married V125

* education - categorical
generate educ = V127 
recode educ (0 = .) (1 = 1) (2 = 2) (3 = 2) (4 = 3) (7 = .) (8 = .) (9 = .) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ educ
tab educ V127 


********* Reduce dataset to only harmonised variables
keep country year data age birth demsat demsat_cat turnout_prob female married educ ///
income_10 income_5



**** Save prepared data
save "MergedData/temp/CEEB_recoded.dta", replace





