** --------------------------------------------------------------------------
** RECODING OF DATA: CSES

clear all
*
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
*cd "/Users/ldzan/Dropbox/Legacy of authoritarian regimes data/"
*cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/CSES.dta"


**------------------------
* Democracic satisfaction

tab demsat_cses
tab demsat_cses, nolabel

recode demsat_cses (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen demsat = ((demsat-1)/3)*100
lab var demsat "0-100: Satisfaction with democarcy" 
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values demsat sat_lab1
tab demsat

gen demsat_cat = 4
tab demsat_cat
lab var demsat_cat "Nr of categories: Satisfaction with democarcy" 

tab year if demsat!=.


**------------------------
* Democracy best 

tab democracybest_cses
tab democracybest_cses, nolabel

recode democracybest_cses (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen democbest = ((democracybest_cses-1)/3)*100
lab var democbest "0-100: Democarcy best form of government" 
label define agree_lab 100 "completly agree" 0 "completly disagree"
label values democbest agree_lab
tab democbest

gen democbest_cat = 4
lab var democbest_cat "Nr of categories: Democarcy best form of government" 

tab year if democbest_cat!=.

**------------------------
* Turnout
rename turnout_cses turnout

tab turnout
tab turnout, nolabel

**------------------------
* Independent variables
* gender
generate female = female_cses 
recode female (-3.00 = .) (-1.00 = .) (0.00 = 0) (1.00 = 1) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female female_cses

* marital status
generate married = marstat2 
recode married (-3.00 = .) (-2.00 = .) (-1.00 = .) (1.00 = 1) (2.00 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married 
tab married marstat2

* religion
generate religion = relig_cses 
recode religion (1000 = 1) (1101 = 1) (1102 = 1) (1199 = 1) (1200 = 1) (1201 = 1) (1203 = 1) ///
	(1204 = 1) (1205 = 1) (1206 = 1) (1207 = 1) (1208 = 1) (1209 = 1) (1210 = 1) (1211 = 1) ///
	(1212 = 1) (1213 = 1) (1214 = 1) (1215 = 1) (1216 = 1) (1217 = 1) (1298 = 1) (1299 = 1) ///
	(1300 = 1) (1401 = 1) (1410 = 1) (1420 = 1) (1499 = 1) (1501 = 1) (1502 = 1) (1503 = 1) ///
	(1504 = 1) (1599 = 1) (1600 = 1) (1699 = 1) (2000 = 3) (3000 = 2 ) (3100 = 2 ) (3200 = 2 ) ///
	(3210 = 2 ) (3211 = 3) (4000 = 3) (4100 = 3) (4200 = 3) (5000 = 3) (5010 = 3) (5020 = 3) (5030 = 3) ///
	(5040 = 3) (5500 = 3) (5600 = 3) (6100 = 3) (6200 = 3) (6300 = 3) (6400 = 3) (6401 = 3) (6500 = 3) ///
	(7100 = 3) (7110 = 3) (7200 = 3) (7500 = 3) (7900 = 3) (7901 = 3) (8100 = 0) (8200 = 0) (8300 = 0) ///
	(9001 = 3) (9002 = 3) (9003 = 3) (9004 = 3) (9005 = 3) (9006 = 3) (9007 = 3) (9008 = 3) (9009 = 3) ///
	(9101 = 1) (9600 = 3) (9997 = .) (9998 = .) (9999 = .) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing "
label value religion religion 
tab religion relig_cses

* education - categorical
generate educ = edu_cses 
recode educ (-3.00 = .) (-2.00 = .) (-1.00 = .) (0.00 = 1) (1.00 = 1) (2.00 = 2) (3.00 = 3) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ educ 
tab educ edu_cses

* employment status
generate employment = employment_cses 
recode employment (-3.00 = .) (-2.00 = .) (-1.00 = .) (1.00 = 1) (2.00 = 2 ) (3.00 = 2 ) (4.00 = 2 ) ///
	(5.00 = 2 ) (6.00 = 2 ) (7.00 = 2 ) 
label variable employment "employment status" 
label define employment -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment employment_cses


********* Reduce dataset to only harmonised variables
keep country year data age birth demsat demsat_cat democbest democbest_cat ///
turnout female married religion educ employment //income_10 income_5


**** Save prepared data
save "MergedData/temp/CSES_recoded.dta", replace




