** --------------------------------------------------------------------------
** RECODING OF DATA: EVS

clear all
cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
*cd "/Users/ldzan/Dropbox/Legacy of authoritarian regimes data/"
*cd "C:/Users/Rosie/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/EVS.dta"

**------------------------
* Democracic satisfaction

tab e110
tab e110, nolabel
recode e110 (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen demsat = ((e110-1)/3)*100
lab var demsat "0-100: Satisfaction with democarcy" 
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values demsat sat_lab1
tab demsat

gen demsat_cat = 4
tab demsat_cat
lab var demsat_cat "Nr of categories: Satisfaction with democarcy" 

tab year if demsat!=.

**------------------------
* Democracy best 

tab e123
tab e123, nolabel
recode e123 (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen democbest = ((e123-1)/3)*100
lab var democbest "0-100: Democarcy best form of government" 
label define agree_lab 100 "completly agree" 0 "completly disagree"
label values democbest agree_lab
tab democbest

gen democbest_cat = 4
lab var democbest_cat "Nr of categories: Democarcy best form of government"

tab year if democbest_cat!=.

**------------------------
* Strong leader 

tab e114
tab e114, nolabel
recode e114 (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen strongleader = ((e114-1)/3)*100
lab var strongleader "0-100: Strong leader better than parliament and elections " 
label values strongleader agree_lab
tab strongleader

gen strongleader_cat = 4
lab var strongleader_cat "Nr of categories: Strong leader better"  

tab year if strongleader!=.

**------------------------
* Confidence in institutions

rename e069_01 conf_church
rename e069_02 conf_milit
rename e069_04 conf_media
rename e069_05 conf_union
rename e069_06 conf_police
rename e069_07 conf_parl
rename e069_08 conf_admin
rename e069_11 conf_gov
rename e069_12 conf_party
rename e069_17 conf_judic

foreach i in  gov  parl judic party milit admin police media union church {
tab conf_`i'
tab conf_`i', nolabel
}

label define conf_lab2 100 "A lot" 0 "No trust"

foreach i in  gov  parl judic party milit admin police media union church {
recode conf_`i' (-4/-1=.) (1=4) (2=3) (3=2) (4=1)
gen trust_`i' = ((conf_`i'-1)/3)*100
label variable trust_`i' "0-100: Confidence in `i'"
label values trust_`i' conf_lab2
tab trust_`i'
gen trust_`i'_cat=4
}

**------------------------
* Turnout - probability

tab e178_01
tab e178_01, nolabel
recode e178_01 (2=0), gen(turnout_prob)
lab var turnout_prob "Probability to turnout"
lab def trnlbl 1 "probable turnout" 0 "unprobable turnout"
lab val turnout_prob trnlbl
tab turnout_prob

**------------------------
* Political interest

tab e023
tab e023,nolabel

recode e023 (-4/-1=.) (1=4) (2=3) (3=2) (4=1)

gen polint = ((e023-1)/3)*100
label variable polint "0-100: Political interest"
label define int_lab2 100 "very interested" 0 "not at all interested"
label values polint int_lab2
tab polint

gen polint_cat = 4

**------------------------
* Gender equality

tab d059
tab d059,nolabel

recode d059 (-5/-1=.) 

gen women_lead = ((d059-1)/3)*100
label variable women_lead "0-100: Men NOT better politcal leaders"
label define men_lab2 100 "Men NOT better leaders" 0 "Men better leaders"
label values women_lead men_lab2
tab women_lead

gen women_lead_cat = 4

**-------------------------
* Independent variables
* gender
generate female = x001 
recode female (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" 
label value female female 
tab female x001

* social class
generate class = x046 
recode class (1 = 5) (2 = 4) (3 = 2) (4 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 4 "Middle class " 3 "low middle/high working " 2 "working class " 1 "low "
label value class class 
tab class x046

* marital status
generate married = x007 
recode married (1 = 1) (2 = 1) (3 = 0) (4 = 0) (5 = 0) (6 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 

* religion
generate religion = f025 
recode religion (12 = 3) (28 = 1) (31 = 3) (42 = 3) (49 = 2 ) (52 = 1) (53 = 3) (62 = 1) ///
	(64 = 1) (0 = 0) (0 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " 
label value religion religion 
tab religion f025

* education - categorical
generate educ = x025 
recode educ (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 2) (6 = 2) (7 = 3) (8 = 3) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " 3 "post-secondary " 
label value educ educ
tab educ x025 

* Education - years of education

tab x023
tab x023,nolabel
*drop educ_yr
generate educ_yr = x023 
recode educ_yr (-5/-1 = .)  (0/14 = 1) (15/20 = 2) (21/99 = 3) 
label variable educ_yr "education: based on years" 
label value educ_yr educ
tab educ_yr,m
tab educ,m
tab educ_yr,
tab educ,

tab educ_yr educ,  row col nof
tab educ_yr if educ==.

replace educ = educ_yr if educ==.


* employment status
generate employment = x028 
recode employment (1 = 1) (2 = 1) (3 = 1) (4 = 2 ) (5 = 2 ) (6 = 2 ) (7 = 2 ) (8 = 2 ) 
label variable employment "employment status" 
label define employment 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment x028

* financial satisfaction
tab c006, nol
gen econsit = ((c006-1)/9)*100
label var econsit "financial satisfaction"
label define sat_lab2 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab2
tab econsit


********* Reduce dataset to only harmonised variables
keep country year data age birth demsat demsat_cat democbest democbest_cat ///
strongleader strongleader_cat trust_gov -trust_church trust_gov_cat -trust_church_cat ///
turnout_prob polint polint_cat women_lead women_lead_cat female class married religion ///
educ employment econsit income_10 income_5 educ_yr


**** Save prepared data
save "MergedData/temp/EVS_recoded.dta", replace
