** --------------------------------------------------------------------------
** RECODING OF DATA: Afrobarometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Afrobarometer.dta"

* gender
generate female = female_afb 
recode female (-1 = .) (0 = 0) (1 = 1) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female female_afb

* religion
generate religion = religion_afb 
recode religion (-4 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 3) (3 = 2 ) (4 = 1) (5 = 3) (6 = 3) (7 = 1) ///
	(8 = 1) (9 = 3) (10 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing "
label value religion religion 
tab religion religion_afb

* education - categorical
drop educ
generate educ = education_afb
recode educ (-4 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 2) (4 = 3) 
label variable educ "education: categorical" 
label define educlab 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ educlab
tab educ education_afb

* employment status
generate employment = employment_afb 
recode employment (-4 = .) (-2 = .) (-1 = .) (1 = 2 ) (2 = 1) (3 = 1) 
label variable employment "employment status" 
label define employment -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment employment_afb



* keep harmonised variables
keep income_10 income_5 data birth age year country female religion educ employment






