** --------------------------------------------------------------------------
** RECODING OF DATA: Americas_barometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Americas_barometer.dta"

* gender
generate female = q1 
recode female (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" -1 "Missing" 
label value female female 
tab female q1

* social class
generate class = mov1 
recode class (1 = 5) (2 = 4) (3 = 3) (4 = 2) (5 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " 
label value class class 
tab class mov1

* marital status
generate married = q11n 
recode married (1 = 0) (2 = 1) (3 = 1) (4 = 0) (5 = 0) (6 = 0) (7 = 1) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 
tab married q11n

* religion
generate religion = relig_ab 
recode religion (1 = 1) (2 = 1) (3 = 1) (4 = 0) (5 = 1) (6 = 3) (7 = 2 ) (8 = 3) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " 
label value religion religion 
tab religion relig_ab

* employment status
generate employment = ocup4a 
recode employment (1 = 1) (2 = 2 ) (3 = 2 ) (4 = 3 ) (5 = 3 ) (6 = 3 ) (7 = 2 ) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment ocup4a

* financial satisfaction
tab idio1, nol
recode idio1 (1=5) (2=4) (3=3) (4=2) (5=1)
gen econsit = ((idio1-1)/4)*100
label var econsit "financial satisfaction"
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab1



* keep harmonised variables
keep income_10 income_5 data birth age year country female class married religion employment econsit





