** --------------------------------------------------------------------------
** RECODING OF DATA: Asianbarometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Asianbarometer.dta"

* gender
generate female = female_anb 
recode female (0 = 0) (1 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" -1 "Missing" 
label value female female 
tab female female_anb

* social class
generate class = status_anb 
recode class (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 3) (6 = 3) (7 = 4) (8 = 4) (9 = 5) ///
	(10 = 5) (-1 = .) (-2 = .) (-3 = .) (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 3) (6 = 3) ///
	(7 = 4) (8 = 4) (9 = 5) (10 = 5) (-1 = .) (-2 = .) (-3 = .) (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 3) (6 = 3) (7 = 4) (8 = 4) (9 = 5) (10 = 5) (-1 = .) (-2 = .) (-3 = .) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " ///
	3 "low middle/high working " -1 "Missing " 
label value class class 
tab class status_anb

* marital status
generate married = marstat_anb 
recode married (-3 = .) (-2 = .) (1 = 1) (2 = 1) (3 = 0) (4 = 0) (5 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married 
tab married marstat_anb

* religion
generate religion = relig_anb 
recode religion (-3 = .) (-2 = .) (1 = 3) (2 = 3) (3 = 3) (4 = 1) (5 = 3) (6 = 3) (7 = 2 ) ///
	(8 = 1) (9 = 1) (10 = 3) (11 = 0) (12 = 3) (13 = 3) (14 = 3) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing " 
label value religion religion 
tab religion relig_anb

* education - categorical
generate educ = education_anb 
recode educ (-3 = .) (-2 = .) (0 = 1) (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 2) (6 = 2) (7 = 3) ///
	(8 = 3) (9 = 3) (10 = 0) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 0 "Other " 
label value educ educ 
tab educ education_anb

* employment status
generate employment = employed_anb 
recode employment (-4 = .) (-3 = .) (1 = 1) (2 = 2 )
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment employed_anb

* financial satisfaction
tab finan_satis_anb, nol
gen econsit = ((finan_satis_anb-1)/4)*100 if finan_satis_anb >=1
label var econsit "financial satisfaction"
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab1


* keep harmonised variables
keep income_10 income_5 data birth age year country female class married religion educ employment econsit


