** --------------------------------------------------------------------------
** RECODING OF DATA: CEEB

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/CEEB.dta"

* gender
generate female = V119 
recode female (0 = .) (1 = 0) (2 = 1) (9 = .) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female V119

* marital status
generate married = V125 
recode married (0 = .) (1 = 0) (2 = 1) (3 = 1) (4 = 0) (9 = .) 
label variable married "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married 
tab married V125

* education - categorical
generate educ = V127 
recode educ (0 = .) (1 = 1) (2 = 2) (3 = 2) (4 = 3) (7 = .) (8 = .) (9 = .) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ educ
tab educ V127 



* keep harmonised variables
keep income_10 income_5 data birth age year country female married education




