** --------------------------------------------------------------------------
** RECODING OF DATA: ESS

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/ESS.dta"

* gender
generate female = gndr 
recode female (1 = 0) (2 = 1) (9 = .) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing " 1"woman " 
label value female female 
tab female gndr

* marital status
generate married = marstat_ess 
recode married (1 = 1) (2 = 0) (3 = 0) (4 = 0) (5 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 
tab married marstat_ess

* religion
generate religion = rlgdnm 
recode religion (1 = 1) (2 = 1) (3 = 1) (4 = 1) (5 = 3) (6 = 2 ) (7 = 3) (8 = 3) (66 = .) ///
	(77 = .) (99 = .) (0 = 0) (0 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing "
label value religion religion 
tab religion rlgdnm

* education - categorical
generate educ = eisced 
recode educ (0 = .) (1 = 1) (2 = 2) (3 = 2) (4 = 2) (5 = 2) (6 = 3) (7 = 3) (55 = 0) (77 = .) ///
	(88 = .) (99 = .) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " 0 "Other " 3 "post-secondary " -1 "Missing " 
label value educ educ 
tab educ eisced

* employment status
generate employment = mainact 
recode employment (1 = 1) (2 = 3 ) (3 = 2 ) (4 = 2 ) (5 = 3 ) (6 = 3 ) (7 = 3 ) (8 = 3 ) (9 = 3 ) ///
	(66 = .) (77 = .) (88 = .) (99 = .) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment mainact



* keep harmonised variables
keep income_10 income_5 data birth age year country female married religion educ employment






