** --------------------------------------------------------------------------
** RECODING OF DATA: EVS

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/EVS.dta"

* gender
generate female = x001 
recode female (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" 
label value female female 
tab female x001

* social class
generate class = x045 
recode class (1 = 5) (2 = 4) (3 = 3) (4 = 2) (5 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " 
label value class class 
tab class x045

* marital status
generate married = x007 
recode married (1 = 1) (2 = 1) (3 = 0) (4 = 0) (5 = 0) (6 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 

* religion
generate religion = f025 
recode religion (12 = 3) (28 = 1) (31 = 3) (42 = 3) (49 = 2 ) (52 = 1) (53 = 3) (62 = 1) ///
	(64 = 1) (0 = 0) (0 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " 
label value religion religion 
tab religion f025

* education - categorical
generate educ = x025 
recode educ (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 2) (6 = 2) (7 = 3) (8 = 3) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " 3 "post-secondary " 
label value educ educ
tab educ x025 

* employment status
generate employment = x028 
recode employment (1 = 1) (2 = 1) (3 = 1) (4 = 3 ) (5 = 3 ) (6 = 3 ) (7 = 2 ) (8 = 3 ) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment x028

* financial satisfaction
tab c006, nol
gen econsit = ((c006-1)/9)*100
label var econsit "financial satisfaction"
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab1
tab econsit



* keep harmonised variables
keep income_10 income_5 data birth age year country female class married religion educ employment econsit




