** --------------------------------------------------------------------------
** RECODING OF DATA: Eurobarometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Eurobarometer.dta"

* gender
generate female = sex 
recode female (1 = 0) (2 = 1) (8 = .) (9 = .) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female sex

* social class
generate class = soclass 
recode class (1 = 1) (2 = 2) (3 = 3) (4 = 4) (5 = 5) (6 = -1) (7 = -1) (98 = .) (99 = .) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " -1 "Missing " 
label value class class 
tab class soclass

* marital status
generate married2 = married 
recode married2 (1 = 0) (2 = 1) (3 = 1) (4 = 0) (5 = 0) (6 = 0) (9 = 0) (10 = .) (98 = .) (99 = .) 
label variable married2 "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married2 married
tab married married2
drop married
rename married2 married

* religion
generate religion = denom 
recode religion (110 = 1) (120 = 1) (121 = 1) (122 = 1) (123 = 1) (124 = 1) (125 = 1) (126 = 1) ///
	(130 = 1) (131 = 1) (141 = 1) (142 = 1) (143 = 1) (144 = 1) (145 = 1) (201 = 3) (202 = 3) ///
	(203 = 3) (204 = 2 ) (980 = 3) (990 = 0) (998 = .) (999 = .) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing " 
label value religion religion
tab religion denom 

* employment status
generate employment = occup 
recode employment (110 = 1) (111 = 1) (112 = 1) (120 = 1) (130 = 1) (131 = 1) (132 = 1) (210 = 1) ///
	(220 = 1) (230 = 1) (310 = 1) (311 = 1) (312 = 1) (320 = 1) (321 = 1) (322 = 1) (410 = 1) ///
	(411 = 1) (412 = 1) (413 = 1) (500 = 3 ) (510 = 3 ) (520 = 3 ) (521 = 3 ) (522 = 3 ) (530 = 3 ) ///
	(540 = 2 ) (998 = .) (999 = .) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment occup



* keep harmonised variables
keep income_10 income_5 data birth age year country female class married religion employment





