** --------------------------------------------------------------------------
** RECODING OF DATA: ISSP

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/ISSP.dta"

* gender
generate female = female_issp 
recode female (0.00 = 0) (1.00 = 1) 
label variable female "gender: female" 
label define female 0 "man" 1 "woman" -1 "Missing"
label value female female 
tab female female_issp

* social class
generate class = sclass_issp 
recode class (1.00 = 1) (2.00 = 2) (3.00 = 3) (4.00 = 4) (5.00 = 5) (6.00 = 5) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " 
label value class class
tab class sclass_issp 

* marital status
generate married = marstat_issp 
recode married (1.00 = 1) (2.00 = 0) (3.00 = 0) (4.00 = 0) (5.00 = 0) 
label variable married "marital status" 
label define married 1 "Married or living with partner " 0 "Not married " 
label value married married 
tab married marstat_issp

* religion
generate religion = religion_issp 
recode religion (1.00 = 1) (2.00 = 3) (3.00 = 2 ) (4.00 = 1) (5.00 = 3) (6.00 = 3) (7.00 = 1) ///
	(8.00 = 1) (9.00 = 3) (10.00 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " 
label value religion religion 
tab religion religion_issp

* employment status
generate employment = employed3 
recode employment (0.00 = 2 ) (1.00 = 1) 
label variable employment "employment status" 
label define employment 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment employed3





