** --------------------------------------------------------------------------
** RECODING OF DATA: Latinobarometer

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/Latinobarometer.dta"

* gender
generate female = sex_lb 
recode female (-4 = .) (-3 = .) (-2 = .) (-1 = -1) (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female sex_lb

* social class
generate class = class_lb 
recode class (-2 = .) (-1 = .) (1 = 5) (2 = 4) (3 = 3) (4 = 2) (5 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " -1 "Missing " 
label value class class 
tab class class_lb

* marital status
generate married = marstat_lb 
recode married (-4 = .) (-3 = .) (-2 = .) (-1 = -1) (1 = 1) (2 = 0) (3 = 0) 
label variable married "marital status"
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married 
tab married marstat_lb

* religion
generate religion = religion_lb 
recode religion (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 1) (4 = 1) (5 = 1) ///
	(6 = 1) (7 = 1) (8 = 1) (9 = 3) (10 = 1) (11 = 3) (12 = 3) (13 = 0) (14 = 0) (15 = 1) (16 = 2 ) ///
	(17 = 3) (18 = 1) (19 = 3) (96 = 3) (97 = 0) 
label variable religion "Religious: yes/no + denomination" 
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing "
label value religion religion 
tab religion religion_lb

* education - categorical
generate educ = education_lb 
recode educ (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 1) (4 = 1) (5 = 1) (6 = 1) ///
	(7 = 1) (8 = 2) (9 = 2) (10 = 2) (11 = 2) (12 = 2) (13 = 2) (14 = 3) (15 = 3) (16 = 2) (17 = 2) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ edu 
tab educ education_lb

* employment status
generate employment = employment_lb 
recode employment (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 1) (4 = 2 ) (5 = 3 ) ///
	(6 = 3 ) (7 = 3 ) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment employment_lb

* financial satisfaction
tab econsit_lb, nol
recode econsit_lb (-2=.) (-1=.) (1=5) (2=4) (3=3) (4=2) (5=1)
gen econsit = ((econsit_lb-1)/4)*100
label var econsit "financial satisfaction"
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab1




