** --------------------------------------------------------------------------
** RECODING OF DATA: WVS

clear all
*cd "/Users/aneundorf/Dropbox/Legacy of authoritarian regimes data/"
cd "C:/Users/ldars3/Dropbox/Research/legacy of authoritarian regimes/Legacy of authoritarian regimes data/"


** Get data
use "Data for harmonisation/WVS.dta"

* gender
generate female = X001 
recode female (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 0) (2 = 1) 
label variable female "gender: female" 
label define female 0 "man" -1 "Missing" 1 "woman" 
label value female female 
tab female X001

* social class
generate class = X045 
recode class (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 5) (2 = 4) (3 = 3) (4 = 2) (5 = 1) 
label variable class "social class" 
label define class 5 "High/Upper " 1 "low " 4 "Middle class " 2 "working class " 3 "low middle/high working " -1 "Missing " 
label value class class 
tab class X045

* marital status
generate married = X007 
recode married (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 0) ///
	(4 = 0) (5 = 0) (6 = 0) (7 = 0) (8 = 1) 
label variable married "marital status" 
label define married 1 "Married or living with partner " -1 "Missing " 0 "Not married " 
label value married married
tab married X007 

* religion
generate religion = F025 
recode religion (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (0 = 0) (1 = 1) (2 = 2 ) (3 = 1) ///
	(4 = 3) (5 = 1) (6 = 1) (7 = 1) (8 = 3) (9 = 1) (10 = 1) (11 = 1) (12 = 3) (13 = 1) (14 = 3) ///
	(15 = 1) (16 = 1) (17 = 1) (18 = 1) (19 = 1) (20 = 1) (21 = 3) (22 = 3) (23 = 1) (24 = 2 ) ///
	(25 = 1) (26 = 3) (27 = 3) (28 = 1) (29 = 1) (30 = 1) (31 = 3) (32 = 3) (33 = 1) (34 = 1) ///
	(35 = 1) (36 = 1) (37 = 3) (38 = 3) (39 = 1) (40 = 1) (41 = 1) (42 = 3) (43 = 3) (44 = 1) ///
	(45 = 1) (46 = 1) (47 = 1) (48 = 1) (49 = 2 ) (50 = 3) (51 = 1) (52 = 1) (53 = 3) (54 = 3) ///
	(55 = 1) (56 = 3) (57 = 3) (58 = 3) (59 = 3) (60 = 1) (61 = 1) (62 = 1) (63 = 2 ) (64 = 1) ///
	(65 = 3) (66 = 1) (67 = 3) (68 = 1) (69 = 3) (70 = 2 ) (71 = 3) (72 = 3) (73 = 3) (74 = 3) ///
	(75 = 2 ) (76 = 3) (77 = 3) (78 = 1) (79 = 1) (80 = 3) (81 = 1) (82 = 1) (83 = 1) (84 = 3) ///
	(85 = 3) (86 = 3) (87 = 3) (88 = 3) (89 = 1) (90 = 3) (91 = 3) (12001 = 1) (360001 = 1) ///
	(528001 = 1) (528002 = 1) (710001 = 1) (710002 = 3) 
label variable religion "Religious: yes/no + denomination"
label define religion 0 "not religious " 2 "Muslim " 1 "Christian " 3 "Other " -1 "Missing "
label value religion religion 
tab F025 religion

* Education - categorical
generate educ = X025 
recode educ (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 2) (4 = 2) (5 = 2) ///
	(6 = 2) (7 = 3) (8 = 3) 
label variable educ "education: categorical" 
label define educ 2 "secondary " 1 "primary or less " -1 "Missing " 3 "post-secondary " 
label value educ educ
tab educ X025 

* employment status
generate employment = X028 
recode employment (-5 = .) (-4 = .) (-3 = .) (-2 = .) (-1 = .) (1 = 1) (2 = 1) (3 = 1) (4 = 3 ) ///
	(5 = 3 ) (6 = 3 ) (7 = 2 ) (8 = 3 ) 
label variable employment "employment status" 
label define employment 3 "Other (e.g. retired, student, housewife) " -1 "Missing " 2 "Unemployed " 1 "Working " 
label value employment employment 
tab employment X028

* financial satisfaction
tab C006, nol
gen econsit = ((C006-1)/9)*100 if C006>=1
label var econsit "financial satisfaction"
label define sat_lab1 100 "very satisfied" 0 "not at all satisfied"
label values econsit sat_lab1






